/**
 * @license
 * Copyright 2024 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports,require("@tensorflow/tfjs-converter"),require("@tensorflow/tfjs-core")):"function"==typeof define&&define.amd?define(["exports","@tensorflow/tfjs-converter","@tensorflow/tfjs-core"],t):t((e="undefined"!=typeof globalThis?globalThis:e||self).tfdf=e.tfdf||{},e.tf,e.tf)}(this,(function(e,t,r){"use strict";var n="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function i(e){throw new Error('Could not dynamically require "'+e+'". Please configure the dynamicRequireTargets or/and ignoreDynamicRequires option of @rollup/plugin-commonjs appropriately for this require call to work.')}var a={exports:{}};!function(e,t){var r,a,o=(e,t,r)=>new Promise(((n,i)=>{var a=e=>{try{s(r.next(e))}catch(e){i(e)}},o=e=>{try{s(r.throw(e))}catch(e){i(e)}},s=e=>e.done?n(e.value):Promise.resolve(e.value).then(a,o);s((r=r.apply(e,t)).next())})),s=(r=(e,t)=>{!function(r){"object"==typeof e&&"undefined"!=typeof t?t.exports=r():("undefined"!=typeof window?window:"undefined"!=typeof n?n:"undefined"!=typeof self?self:this).JSZip=r()}((function(){return function e(t,r,n){function a(s,u){if(!r[s]){if(!t[s]){var l="function"==typeof i&&i;if(!u&&l)return l(s,!0);if(o)return o(s,!0);var c=new Error("Cannot find module '"+s+"'");throw c.code="MODULE_NOT_FOUND",c}var f=r[s]={exports:{}};t[s][0].call(f.exports,(function(e){return a(t[s][1][e]||e)}),f,f.exports,e,t,r,n)}return r[s].exports}for(var o="function"==typeof i&&i,s=0;s<n.length;s++)a(n[s]);return a}({1:[function(e,t,r){var n=e("./utils"),i=e("./support"),a="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";r.encode=function(e){for(var t,r,i,o,s,u,l,c=[],f=0,d=e.length,h=d,p="string"!==n.getTypeOf(e);f<e.length;)h=d-f,i=p?(t=e[f++],r=f<d?e[f++]:0,f<d?e[f++]:0):(t=e.charCodeAt(f++),r=f<d?e.charCodeAt(f++):0,f<d?e.charCodeAt(f++):0),o=t>>2,s=(3&t)<<4|r>>4,u=1<h?(15&r)<<2|i>>6:64,l=2<h?63&i:64,c.push(a.charAt(o)+a.charAt(s)+a.charAt(u)+a.charAt(l));return c.join("")},r.decode=function(e){var t,r,n,o,s,u,l=0,c=0,f="data:";if(e.substr(0,f.length)===f)throw new Error("Invalid base64 input, it looks like a data url.");var d,h=3*(e=e.replace(/[^A-Za-z0-9+/=]/g,"")).length/4;if(e.charAt(e.length-1)===a.charAt(64)&&h--,e.charAt(e.length-2)===a.charAt(64)&&h--,h%1!=0)throw new Error("Invalid base64 input, bad content length.");for(d=i.uint8array?new Uint8Array(0|h):new Array(0|h);l<e.length;)t=a.indexOf(e.charAt(l++))<<2|(o=a.indexOf(e.charAt(l++)))>>4,r=(15&o)<<4|(s=a.indexOf(e.charAt(l++)))>>2,n=(3&s)<<6|(u=a.indexOf(e.charAt(l++))),d[c++]=t,64!==s&&(d[c++]=r),64!==u&&(d[c++]=n);return d}},{"./support":30,"./utils":32}],2:[function(e,t,r){var n=e("./external"),i=e("./stream/DataWorker"),a=e("./stream/Crc32Probe"),o=e("./stream/DataLengthProbe");function s(e,t,r,n,i){this.compressedSize=e,this.uncompressedSize=t,this.crc32=r,this.compression=n,this.compressedContent=i}s.prototype={getContentWorker:function(){var e=new i(n.Promise.resolve(this.compressedContent)).pipe(this.compression.uncompressWorker()).pipe(new o("data_length")),t=this;return e.on("end",(function(){if(this.streamInfo.data_length!==t.uncompressedSize)throw new Error("Bug : uncompressed data size mismatch")})),e},getCompressedWorker:function(){return new i(n.Promise.resolve(this.compressedContent)).withStreamInfo("compressedSize",this.compressedSize).withStreamInfo("uncompressedSize",this.uncompressedSize).withStreamInfo("crc32",this.crc32).withStreamInfo("compression",this.compression)}},s.createWorkerFrom=function(e,t,r){return e.pipe(new a).pipe(new o("uncompressedSize")).pipe(t.compressWorker(r)).pipe(new o("compressedSize")).withStreamInfo("compression",t)},t.exports=s},{"./external":6,"./stream/Crc32Probe":25,"./stream/DataLengthProbe":26,"./stream/DataWorker":27}],3:[function(e,t,r){var n=e("./stream/GenericWorker");r.STORE={magic:"\0\0",compressWorker:function(){return new n("STORE compression")},uncompressWorker:function(){return new n("STORE decompression")}},r.DEFLATE=e("./flate")},{"./flate":7,"./stream/GenericWorker":28}],4:[function(e,t,r){var n=e("./utils"),i=function(){for(var e,t=[],r=0;r<256;r++){e=r;for(var n=0;n<8;n++)e=1&e?3988292384^e>>>1:e>>>1;t[r]=e}return t}();t.exports=function(e,t){return void 0!==e&&e.length?"string"!==n.getTypeOf(e)?function(e,t,r,n){var a=i,o=0+r;e^=-1;for(var s=0;s<o;s++)e=e>>>8^a[255&(e^t[s])];return-1^e}(0|t,e,e.length):function(e,t,r,n){var a=i,o=0+r;e^=-1;for(var s=0;s<o;s++)e=e>>>8^a[255&(e^t.charCodeAt(s))];return-1^e}(0|t,e,e.length):0}},{"./utils":32}],5:[function(e,t,r){r.base64=!1,r.binary=!1,r.dir=!1,r.createFolders=!0,r.date=null,r.compression=null,r.compressionOptions=null,r.comment=null,r.unixPermissions=null,r.dosPermissions=null},{}],6:[function(e,t,r){var n;n="undefined"!=typeof Promise?Promise:e("lie"),t.exports={Promise:n}},{lie:37}],7:[function(e,t,r){var n="undefined"!=typeof Uint8Array&&"undefined"!=typeof Uint16Array&&"undefined"!=typeof Uint32Array,i=e("pako"),a=e("./utils"),o=e("./stream/GenericWorker"),s=n?"uint8array":"array";function u(e,t){o.call(this,"FlateWorker/"+e),this._pako=null,this._pakoAction=e,this._pakoOptions=t,this.meta={}}r.magic="\b\0",a.inherits(u,o),u.prototype.processChunk=function(e){this.meta=e.meta,null===this._pako&&this._createPako(),this._pako.push(a.transformTo(s,e.data),!1)},u.prototype.flush=function(){o.prototype.flush.call(this),null===this._pako&&this._createPako(),this._pako.push([],!0)},u.prototype.cleanUp=function(){o.prototype.cleanUp.call(this),this._pako=null},u.prototype._createPako=function(){this._pako=new i[this._pakoAction]({raw:!0,level:this._pakoOptions.level||-1});var e=this;this._pako.onData=function(t){e.push({data:t,meta:e.meta})}},r.compressWorker=function(e){return new u("Deflate",e)},r.uncompressWorker=function(){return new u("Inflate",{})}},{"./stream/GenericWorker":28,"./utils":32,pako:38}],8:[function(e,t,r){function n(e,t){var r,n="";for(r=0;r<t;r++)n+=String.fromCharCode(255&e),e>>>=8;return n}function i(e,t,r,i,o,c){var f,d,h=e.file,p=e.compression,m=c!==s.utf8encode,_=a.transformTo("string",c(h.name)),g=a.transformTo("string",s.utf8encode(h.name)),v=h.comment,y=a.transformTo("string",c(v)),w=a.transformTo("string",s.utf8encode(v)),b=g.length!==h.name.length,k=w.length!==v.length,E="",S="",x="",C=h.dir,F=h.date,A={crc32:0,compressedSize:0,uncompressedSize:0};t&&!r||(A.crc32=e.crc32,A.compressedSize=e.compressedSize,A.uncompressedSize=e.uncompressedSize);var T=0;t&&(T|=8),m||!b&&!k||(T|=2048);var D,z,I,O=0,P=0;C&&(O|=16),"UNIX"===o?(P=798,O|=(D=h.unixPermissions,z=C,I=D,D||(I=z?16893:33204),(65535&I)<<16)):(P=20,O|=function(e){return 63&(e||0)}(h.dosPermissions)),f=F.getUTCHours(),f<<=6,f|=F.getUTCMinutes(),f<<=5,f|=F.getUTCSeconds()/2,d=F.getUTCFullYear()-1980,d<<=4,d|=F.getUTCMonth()+1,d<<=5,d|=F.getUTCDate(),b&&(S=n(1,1)+n(u(_),4)+g,E+="up"+n(S.length,2)+S),k&&(x=n(1,1)+n(u(y),4)+w,E+="uc"+n(x.length,2)+x);var R="";return R+="\n\0",R+=n(T,2),R+=p.magic,R+=n(f,2),R+=n(d,2),R+=n(A.crc32,4),R+=n(A.compressedSize,4),R+=n(A.uncompressedSize,4),R+=n(_.length,2),R+=n(E.length,2),{fileRecord:l.LOCAL_FILE_HEADER+R+_+E,dirRecord:l.CENTRAL_FILE_HEADER+n(P,2)+R+n(y.length,2)+"\0\0\0\0"+n(O,4)+n(i,4)+_+E+y}}var a=e("../utils"),o=e("../stream/GenericWorker"),s=e("../utf8"),u=e("../crc32"),l=e("../signature");function c(e,t,r,n){o.call(this,"ZipFileWorker"),this.bytesWritten=0,this.zipComment=t,this.zipPlatform=r,this.encodeFileName=n,this.streamFiles=e,this.accumulate=!1,this.contentBuffer=[],this.dirRecords=[],this.currentSourceOffset=0,this.entriesCount=0,this.currentFile=null,this._sources=[]}a.inherits(c,o),c.prototype.push=function(e){var t=e.meta.percent||0,r=this.entriesCount,n=this._sources.length;this.accumulate?this.contentBuffer.push(e):(this.bytesWritten+=e.data.length,o.prototype.push.call(this,{data:e.data,meta:{currentFile:this.currentFile,percent:r?(t+100*(r-n-1))/r:100}}))},c.prototype.openedSource=function(e){this.currentSourceOffset=this.bytesWritten,this.currentFile=e.file.name;var t=this.streamFiles&&!e.file.dir;if(t){var r=i(e,t,!1,this.currentSourceOffset,this.zipPlatform,this.encodeFileName);this.push({data:r.fileRecord,meta:{percent:0}})}else this.accumulate=!0},c.prototype.closedSource=function(e){this.accumulate=!1;var t,r=this.streamFiles&&!e.file.dir,a=i(e,r,!0,this.currentSourceOffset,this.zipPlatform,this.encodeFileName);if(this.dirRecords.push(a.dirRecord),r)this.push({data:(t=e,l.DATA_DESCRIPTOR+n(t.crc32,4)+n(t.compressedSize,4)+n(t.uncompressedSize,4)),meta:{percent:100}});else for(this.push({data:a.fileRecord,meta:{percent:0}});this.contentBuffer.length;)this.push(this.contentBuffer.shift());this.currentFile=null},c.prototype.flush=function(){for(var e=this.bytesWritten,t=0;t<this.dirRecords.length;t++)this.push({data:this.dirRecords[t],meta:{percent:100}});var r,i,o,s,u,c,f=this.bytesWritten-e,d=(r=this.dirRecords.length,i=f,o=e,s=this.zipComment,u=this.encodeFileName,c=a.transformTo("string",u(s)),l.CENTRAL_DIRECTORY_END+"\0\0\0\0"+n(r,2)+n(r,2)+n(i,4)+n(o,4)+n(c.length,2)+c);this.push({data:d,meta:{percent:100}})},c.prototype.prepareNextSource=function(){this.previous=this._sources.shift(),this.openedSource(this.previous.streamInfo),this.isPaused?this.previous.pause():this.previous.resume()},c.prototype.registerPrevious=function(e){this._sources.push(e);var t=this;return e.on("data",(function(e){t.processChunk(e)})),e.on("end",(function(){t.closedSource(t.previous.streamInfo),t._sources.length?t.prepareNextSource():t.end()})),e.on("error",(function(e){t.error(e)})),this},c.prototype.resume=function(){return!!o.prototype.resume.call(this)&&(!this.previous&&this._sources.length?(this.prepareNextSource(),!0):this.previous||this._sources.length||this.generatedError?void 0:(this.end(),!0))},c.prototype.error=function(e){var t=this._sources;if(!o.prototype.error.call(this,e))return!1;for(var r=0;r<t.length;r++)try{t[r].error(e)}catch(e){}return!0},c.prototype.lock=function(){o.prototype.lock.call(this);for(var e=this._sources,t=0;t<e.length;t++)e[t].lock()},t.exports=c},{"../crc32":4,"../signature":23,"../stream/GenericWorker":28,"../utf8":31,"../utils":32}],9:[function(e,t,r){var n=e("../compressions"),i=e("./ZipFileWorker");r.generateWorker=function(e,t,r){var a=new i(t.streamFiles,r,t.platform,t.encodeFileName),o=0;try{e.forEach((function(e,r){o++;var i=function(e,t){var r=e||t,i=n[r];if(!i)throw new Error(r+" is not a valid compression method !");return i}(r.options.compression,t.compression),s=r.options.compressionOptions||t.compressionOptions||{},u=r.dir,l=r.date;r._compressWorker(i,s).withStreamInfo("file",{name:e,dir:u,date:l,comment:r.comment||"",unixPermissions:r.unixPermissions,dosPermissions:r.dosPermissions}).pipe(a)})),a.entriesCount=o}catch(e){a.error(e)}return a}},{"../compressions":3,"./ZipFileWorker":8}],10:[function(e,t,r){function n(){if(!(this instanceof n))return new n;if(arguments.length)throw new Error("The constructor with parameters has been removed in JSZip 3.0, please check the upgrade guide.");this.files=Object.create(null),this.comment=null,this.root="",this.clone=function(){var e=new n;for(var t in this)"function"!=typeof this[t]&&(e[t]=this[t]);return e}}(n.prototype=e("./object")).loadAsync=e("./load"),n.support=e("./support"),n.defaults=e("./defaults"),n.version="3.10.1",n.loadAsync=function(e,t){return(new n).loadAsync(e,t)},n.external=e("./external"),t.exports=n},{"./defaults":5,"./external":6,"./load":11,"./object":15,"./support":30}],11:[function(e,t,r){var n=e("./utils"),i=e("./external"),a=e("./utf8"),o=e("./zipEntries"),s=e("./stream/Crc32Probe"),u=e("./nodejsUtils");function l(e){return new i.Promise((function(t,r){var n=e.decompressed.getContentWorker().pipe(new s);n.on("error",(function(e){r(e)})).on("end",(function(){n.streamInfo.crc32!==e.decompressed.crc32?r(new Error("Corrupted zip : CRC32 mismatch")):t()})).resume()}))}t.exports=function(e,t){var r=this;return t=n.extend(t||{},{base64:!1,checkCRC32:!1,optimizedBinaryString:!1,createFolders:!1,decodeFileName:a.utf8decode}),u.isNode&&u.isStream(e)?i.Promise.reject(new Error("JSZip can't accept a stream when loading a zip file.")):n.prepareContent("the loaded zip file",e,!0,t.optimizedBinaryString,t.base64).then((function(e){var r=new o(t);return r.load(e),r})).then((function(e){var r=[i.Promise.resolve(e)],n=e.files;if(t.checkCRC32)for(var a=0;a<n.length;a++)r.push(l(n[a]));return i.Promise.all(r)})).then((function(e){for(var i=e.shift(),a=i.files,o=0;o<a.length;o++){var s=a[o],u=s.fileNameStr,l=n.resolve(s.fileNameStr);r.file(l,s.decompressed,{binary:!0,optimizedBinaryString:!0,date:s.date,dir:s.dir,comment:s.fileCommentStr.length?s.fileCommentStr:null,unixPermissions:s.unixPermissions,dosPermissions:s.dosPermissions,createFolders:t.createFolders}),s.dir||(r.file(l).unsafeOriginalName=u)}return i.zipComment.length&&(r.comment=i.zipComment),r}))}},{"./external":6,"./nodejsUtils":14,"./stream/Crc32Probe":25,"./utf8":31,"./utils":32,"./zipEntries":33}],12:[function(e,t,r){var n=e("../utils"),i=e("../stream/GenericWorker");function a(e,t){i.call(this,"Nodejs stream input adapter for "+e),this._upstreamEnded=!1,this._bindStream(t)}n.inherits(a,i),a.prototype._bindStream=function(e){var t=this;(this._stream=e).pause(),e.on("data",(function(e){t.push({data:e,meta:{percent:0}})})).on("error",(function(e){t.isPaused?this.generatedError=e:t.error(e)})).on("end",(function(){t.isPaused?t._upstreamEnded=!0:t.end()}))},a.prototype.pause=function(){return!!i.prototype.pause.call(this)&&(this._stream.pause(),!0)},a.prototype.resume=function(){return!!i.prototype.resume.call(this)&&(this._upstreamEnded?this.end():this._stream.resume(),!0)},t.exports=a},{"../stream/GenericWorker":28,"../utils":32}],13:[function(e,t,r){var n=e("readable-stream").Readable;function i(e,t,r){n.call(this,t),this._helper=e;var i=this;e.on("data",(function(e,t){i.push(e)||i._helper.pause(),r&&r(t)})).on("error",(function(e){i.emit("error",e)})).on("end",(function(){i.push(null)}))}e("../utils").inherits(i,n),i.prototype._read=function(){this._helper.resume()},t.exports=i},{"../utils":32,"readable-stream":16}],14:[function(e,t,r){t.exports={isNode:"undefined"!=typeof Buffer,newBufferFrom:function(e,t){if(Buffer.from&&Buffer.from!==Uint8Array.from)return Buffer.from(e,t);if("number"==typeof e)throw new Error('The "data" argument must not be a number');return new Buffer(e,t)},allocBuffer:function(e){if(Buffer.alloc)return Buffer.alloc(e);var t=new Buffer(e);return t.fill(0),t},isBuffer:function(e){return Buffer.isBuffer(e)},isStream:function(e){return e&&"function"==typeof e.on&&"function"==typeof e.pause&&"function"==typeof e.resume}}},{}],15:[function(e,t,r){function n(e,t,r){var n,i=a.getTypeOf(t),s=a.extend(r||{},u);s.date=s.date||new Date,null!==s.compression&&(s.compression=s.compression.toUpperCase()),"string"==typeof s.unixPermissions&&(s.unixPermissions=parseInt(s.unixPermissions,8)),s.unixPermissions&&16384&s.unixPermissions&&(s.dir=!0),s.dosPermissions&&16&s.dosPermissions&&(s.dir=!0),s.dir&&(e=m(e)),s.createFolders&&(n=p(e))&&_.call(this,n,!0);var f,g="string"===i&&!1===s.binary&&!1===s.base64;r&&void 0!==r.binary||(s.binary=!g),(t instanceof l&&0===t.uncompressedSize||s.dir||!t||0===t.length)&&(s.base64=!1,s.binary=!0,t="",s.compression="STORE",i="string"),f=t instanceof l||t instanceof o?t:d.isNode&&d.isStream(t)?new h(e,t):a.prepareContent(e,t,s.binary,s.optimizedBinaryString,s.base64);var v=new c(e,f,s);this.files[e]=v}var i=e("./utf8"),a=e("./utils"),o=e("./stream/GenericWorker"),s=e("./stream/StreamHelper"),u=e("./defaults"),l=e("./compressedObject"),c=e("./zipObject"),f=e("./generate"),d=e("./nodejsUtils"),h=e("./nodejs/NodejsStreamInputAdapter"),p=function(e){"/"===e.slice(-1)&&(e=e.substring(0,e.length-1));var t=e.lastIndexOf("/");return 0<t?e.substring(0,t):""},m=function(e){return"/"!==e.slice(-1)&&(e+="/"),e},_=function(e,t){return t=void 0!==t?t:u.createFolders,e=m(e),this.files[e]||n.call(this,e,null,{dir:!0,createFolders:t}),this.files[e]};function g(e){return"[object RegExp]"===Object.prototype.toString.call(e)}var v={load:function(){throw new Error("This method has been removed in JSZip 3.0, please check the upgrade guide.")},forEach:function(e){var t,r,n;for(t in this.files)n=this.files[t],(r=t.slice(this.root.length,t.length))&&t.slice(0,this.root.length)===this.root&&e(r,n)},filter:function(e){var t=[];return this.forEach((function(r,n){e(r,n)&&t.push(n)})),t},file:function(e,t,r){if(1!==arguments.length)return e=this.root+e,n.call(this,e,t,r),this;if(g(e)){var i=e;return this.filter((function(e,t){return!t.dir&&i.test(e)}))}var a=this.files[this.root+e];return a&&!a.dir?a:null},folder:function(e){if(!e)return this;if(g(e))return this.filter((function(t,r){return r.dir&&e.test(t)}));var t=this.root+e,r=_.call(this,t),n=this.clone();return n.root=r.name,n},remove:function(e){e=this.root+e;var t=this.files[e];if(t||("/"!==e.slice(-1)&&(e+="/"),t=this.files[e]),t&&!t.dir)delete this.files[e];else for(var r=this.filter((function(t,r){return r.name.slice(0,e.length)===e})),n=0;n<r.length;n++)delete this.files[r[n].name];return this},generate:function(){throw new Error("This method has been removed in JSZip 3.0, please check the upgrade guide.")},generateInternalStream:function(e){var t,r={};try{if((r=a.extend(e||{},{streamFiles:!1,compression:"STORE",compressionOptions:null,type:"",platform:"DOS",comment:null,mimeType:"application/zip",encodeFileName:i.utf8encode})).type=r.type.toLowerCase(),r.compression=r.compression.toUpperCase(),"binarystring"===r.type&&(r.type="string"),!r.type)throw new Error("No output type specified.");a.checkSupport(r.type),"darwin"!==r.platform&&"freebsd"!==r.platform&&"linux"!==r.platform&&"sunos"!==r.platform||(r.platform="UNIX"),"win32"===r.platform&&(r.platform="DOS");var n=r.comment||this.comment||"";t=f.generateWorker(this,r,n)}catch(e){(t=new o("error")).error(e)}return new s(t,r.type||"string",r.mimeType)},generateAsync:function(e,t){return this.generateInternalStream(e).accumulate(t)},generateNodeStream:function(e,t){return(e=e||{}).type||(e.type="nodebuffer"),this.generateInternalStream(e).toNodejsStream(t)}};t.exports=v},{"./compressedObject":2,"./defaults":5,"./generate":9,"./nodejs/NodejsStreamInputAdapter":12,"./nodejsUtils":14,"./stream/GenericWorker":28,"./stream/StreamHelper":29,"./utf8":31,"./utils":32,"./zipObject":35}],16:[function(e,t,r){t.exports=e("stream")},{stream:void 0}],17:[function(e,t,r){var n=e("./DataReader");function i(e){n.call(this,e);for(var t=0;t<this.data.length;t++)e[t]=255&e[t]}e("../utils").inherits(i,n),i.prototype.byteAt=function(e){return this.data[this.zero+e]},i.prototype.lastIndexOfSignature=function(e){for(var t=e.charCodeAt(0),r=e.charCodeAt(1),n=e.charCodeAt(2),i=e.charCodeAt(3),a=this.length-4;0<=a;--a)if(this.data[a]===t&&this.data[a+1]===r&&this.data[a+2]===n&&this.data[a+3]===i)return a-this.zero;return-1},i.prototype.readAndCheckSignature=function(e){var t=e.charCodeAt(0),r=e.charCodeAt(1),n=e.charCodeAt(2),i=e.charCodeAt(3),a=this.readData(4);return t===a[0]&&r===a[1]&&n===a[2]&&i===a[3]},i.prototype.readData=function(e){if(this.checkOffset(e),0===e)return[];var t=this.data.slice(this.zero+this.index,this.zero+this.index+e);return this.index+=e,t},t.exports=i},{"../utils":32,"./DataReader":18}],18:[function(e,t,r){var n=e("../utils");function i(e){this.data=e,this.length=e.length,this.index=0,this.zero=0}i.prototype={checkOffset:function(e){this.checkIndex(this.index+e)},checkIndex:function(e){if(this.length<this.zero+e||e<0)throw new Error("End of data reached (data length = "+this.length+", asked index = "+e+"). Corrupted zip ?")},setIndex:function(e){this.checkIndex(e),this.index=e},skip:function(e){this.setIndex(this.index+e)},byteAt:function(){},readInt:function(e){var t,r=0;for(this.checkOffset(e),t=this.index+e-1;t>=this.index;t--)r=(r<<8)+this.byteAt(t);return this.index+=e,r},readString:function(e){return n.transformTo("string",this.readData(e))},readData:function(){},lastIndexOfSignature:function(){},readAndCheckSignature:function(){},readDate:function(){var e=this.readInt(4);return new Date(Date.UTC(1980+(e>>25&127),(e>>21&15)-1,e>>16&31,e>>11&31,e>>5&63,(31&e)<<1))}},t.exports=i},{"../utils":32}],19:[function(e,t,r){var n=e("./Uint8ArrayReader");function i(e){n.call(this,e)}e("../utils").inherits(i,n),i.prototype.readData=function(e){this.checkOffset(e);var t=this.data.slice(this.zero+this.index,this.zero+this.index+e);return this.index+=e,t},t.exports=i},{"../utils":32,"./Uint8ArrayReader":21}],20:[function(e,t,r){var n=e("./DataReader");function i(e){n.call(this,e)}e("../utils").inherits(i,n),i.prototype.byteAt=function(e){return this.data.charCodeAt(this.zero+e)},i.prototype.lastIndexOfSignature=function(e){return this.data.lastIndexOf(e)-this.zero},i.prototype.readAndCheckSignature=function(e){return e===this.readData(4)},i.prototype.readData=function(e){this.checkOffset(e);var t=this.data.slice(this.zero+this.index,this.zero+this.index+e);return this.index+=e,t},t.exports=i},{"../utils":32,"./DataReader":18}],21:[function(e,t,r){var n=e("./ArrayReader");function i(e){n.call(this,e)}e("../utils").inherits(i,n),i.prototype.readData=function(e){if(this.checkOffset(e),0===e)return new Uint8Array(0);var t=this.data.subarray(this.zero+this.index,this.zero+this.index+e);return this.index+=e,t},t.exports=i},{"../utils":32,"./ArrayReader":17}],22:[function(e,t,r){var n=e("../utils"),i=e("../support"),a=e("./ArrayReader"),o=e("./StringReader"),s=e("./NodeBufferReader"),u=e("./Uint8ArrayReader");t.exports=function(e){var t=n.getTypeOf(e);return n.checkSupport(t),"string"!==t||i.uint8array?"nodebuffer"===t?new s(e):i.uint8array?new u(n.transformTo("uint8array",e)):new a(n.transformTo("array",e)):new o(e)}},{"../support":30,"../utils":32,"./ArrayReader":17,"./NodeBufferReader":19,"./StringReader":20,"./Uint8ArrayReader":21}],23:[function(e,t,r){r.LOCAL_FILE_HEADER="PK",r.CENTRAL_FILE_HEADER="PK",r.CENTRAL_DIRECTORY_END="PK",r.ZIP64_CENTRAL_DIRECTORY_LOCATOR="PK",r.ZIP64_CENTRAL_DIRECTORY_END="PK",r.DATA_DESCRIPTOR="PK\b"},{}],24:[function(e,t,r){var n=e("./GenericWorker"),i=e("../utils");function a(e){n.call(this,"ConvertWorker to "+e),this.destType=e}i.inherits(a,n),a.prototype.processChunk=function(e){this.push({data:i.transformTo(this.destType,e.data),meta:e.meta})},t.exports=a},{"../utils":32,"./GenericWorker":28}],25:[function(e,t,r){var n=e("./GenericWorker"),i=e("../crc32");function a(){n.call(this,"Crc32Probe"),this.withStreamInfo("crc32",0)}e("../utils").inherits(a,n),a.prototype.processChunk=function(e){this.streamInfo.crc32=i(e.data,this.streamInfo.crc32||0),this.push(e)},t.exports=a},{"../crc32":4,"../utils":32,"./GenericWorker":28}],26:[function(e,t,r){var n=e("../utils"),i=e("./GenericWorker");function a(e){i.call(this,"DataLengthProbe for "+e),this.propName=e,this.withStreamInfo(e,0)}n.inherits(a,i),a.prototype.processChunk=function(e){if(e){var t=this.streamInfo[this.propName]||0;this.streamInfo[this.propName]=t+e.data.length}i.prototype.processChunk.call(this,e)},t.exports=a},{"../utils":32,"./GenericWorker":28}],27:[function(e,t,r){var n=e("../utils"),i=e("./GenericWorker");function a(e){i.call(this,"DataWorker");var t=this;this.dataIsReady=!1,this.index=0,this.max=0,this.data=null,this.type="",this._tickScheduled=!1,e.then((function(e){t.dataIsReady=!0,t.data=e,t.max=e&&e.length||0,t.type=n.getTypeOf(e),t.isPaused||t._tickAndRepeat()}),(function(e){t.error(e)}))}n.inherits(a,i),a.prototype.cleanUp=function(){i.prototype.cleanUp.call(this),this.data=null},a.prototype.resume=function(){return!!i.prototype.resume.call(this)&&(!this._tickScheduled&&this.dataIsReady&&(this._tickScheduled=!0,n.delay(this._tickAndRepeat,[],this)),!0)},a.prototype._tickAndRepeat=function(){this._tickScheduled=!1,this.isPaused||this.isFinished||(this._tick(),this.isFinished||(n.delay(this._tickAndRepeat,[],this),this._tickScheduled=!0))},a.prototype._tick=function(){if(this.isPaused||this.isFinished)return!1;var e=null,t=Math.min(this.max,this.index+16384);if(this.index>=this.max)return this.end();switch(this.type){case"string":e=this.data.substring(this.index,t);break;case"uint8array":e=this.data.subarray(this.index,t);break;case"array":case"nodebuffer":e=this.data.slice(this.index,t)}return this.index=t,this.push({data:e,meta:{percent:this.max?this.index/this.max*100:0}})},t.exports=a},{"../utils":32,"./GenericWorker":28}],28:[function(e,t,r){function n(e){this.name=e||"default",this.streamInfo={},this.generatedError=null,this.extraStreamInfo={},this.isPaused=!0,this.isFinished=!1,this.isLocked=!1,this._listeners={data:[],end:[],error:[]},this.previous=null}n.prototype={push:function(e){this.emit("data",e)},end:function(){if(this.isFinished)return!1;this.flush();try{this.emit("end"),this.cleanUp(),this.isFinished=!0}catch(e){this.emit("error",e)}return!0},error:function(e){return!this.isFinished&&(this.isPaused?this.generatedError=e:(this.isFinished=!0,this.emit("error",e),this.previous&&this.previous.error(e),this.cleanUp()),!0)},on:function(e,t){return this._listeners[e].push(t),this},cleanUp:function(){this.streamInfo=this.generatedError=this.extraStreamInfo=null,this._listeners=[]},emit:function(e,t){if(this._listeners[e])for(var r=0;r<this._listeners[e].length;r++)this._listeners[e][r].call(this,t)},pipe:function(e){return e.registerPrevious(this)},registerPrevious:function(e){if(this.isLocked)throw new Error("The stream '"+this+"' has already been used.");this.streamInfo=e.streamInfo,this.mergeStreamInfo(),this.previous=e;var t=this;return e.on("data",(function(e){t.processChunk(e)})),e.on("end",(function(){t.end()})),e.on("error",(function(e){t.error(e)})),this},pause:function(){return!this.isPaused&&!this.isFinished&&(this.isPaused=!0,this.previous&&this.previous.pause(),!0)},resume:function(){if(!this.isPaused||this.isFinished)return!1;var e=this.isPaused=!1;return this.generatedError&&(this.error(this.generatedError),e=!0),this.previous&&this.previous.resume(),!e},flush:function(){},processChunk:function(e){this.push(e)},withStreamInfo:function(e,t){return this.extraStreamInfo[e]=t,this.mergeStreamInfo(),this},mergeStreamInfo:function(){for(var e in this.extraStreamInfo)Object.prototype.hasOwnProperty.call(this.extraStreamInfo,e)&&(this.streamInfo[e]=this.extraStreamInfo[e])},lock:function(){if(this.isLocked)throw new Error("The stream '"+this+"' has already been used.");this.isLocked=!0,this.previous&&this.previous.lock()},toString:function(){var e="Worker "+this.name;return this.previous?this.previous+" -> "+e:e}},t.exports=n},{}],29:[function(e,t,r){var n=e("../utils"),i=e("./ConvertWorker"),a=e("./GenericWorker"),o=e("../base64"),s=e("../support"),u=e("../external"),l=null;if(s.nodestream)try{l=e("../nodejs/NodejsStreamOutputAdapter")}catch(e){}function c(e,t,r){var o=t;switch(t){case"blob":case"arraybuffer":o="uint8array";break;case"base64":o="string"}try{this._internalType=o,this._outputType=t,this._mimeType=r,n.checkSupport(o),this._worker=e.pipe(new i(o)),e.lock()}catch(e){this._worker=new a("error"),this._worker.error(e)}}c.prototype={accumulate:function(e){return function(e,t){return new u.Promise((function(r,i){var a=[],s=e._internalType,u=e._outputType,l=e._mimeType;e.on("data",(function(e,r){a.push(e),t&&t(r)})).on("error",(function(e){a=[],i(e)})).on("end",(function(){try{var e=function(e,t,r){switch(e){case"blob":return n.newBlob(n.transformTo("arraybuffer",t),r);case"base64":return o.encode(t);default:return n.transformTo(e,t)}}(u,function(e,t){var r,n=0,i=null,a=0;for(r=0;r<t.length;r++)a+=t[r].length;switch(e){case"string":return t.join("");case"array":return Array.prototype.concat.apply([],t);case"uint8array":for(i=new Uint8Array(a),r=0;r<t.length;r++)i.set(t[r],n),n+=t[r].length;return i;case"nodebuffer":return Buffer.concat(t);default:throw new Error("concat : unsupported type '"+e+"'")}}(s,a),l);r(e)}catch(e){i(e)}a=[]})).resume()}))}(this,e)},on:function(e,t){var r=this;return"data"===e?this._worker.on(e,(function(e){t.call(r,e.data,e.meta)})):this._worker.on(e,(function(){n.delay(t,arguments,r)})),this},resume:function(){return n.delay(this._worker.resume,[],this._worker),this},pause:function(){return this._worker.pause(),this},toNodejsStream:function(e){if(n.checkSupport("nodestream"),"nodebuffer"!==this._outputType)throw new Error(this._outputType+" is not supported by this method");return new l(this,{objectMode:"nodebuffer"!==this._outputType},e)}},t.exports=c},{"../base64":1,"../external":6,"../nodejs/NodejsStreamOutputAdapter":13,"../support":30,"../utils":32,"./ConvertWorker":24,"./GenericWorker":28}],30:[function(e,t,r){if(r.base64=!0,r.array=!0,r.string=!0,r.arraybuffer="undefined"!=typeof ArrayBuffer&&"undefined"!=typeof Uint8Array,r.nodebuffer="undefined"!=typeof Buffer,r.uint8array="undefined"!=typeof Uint8Array,"undefined"==typeof ArrayBuffer)r.blob=!1;else{var n=new ArrayBuffer(0);try{r.blob=0===new Blob([n],{type:"application/zip"}).size}catch(e){try{var i=new(self.BlobBuilder||self.WebKitBlobBuilder||self.MozBlobBuilder||self.MSBlobBuilder);i.append(n),r.blob=0===i.getBlob("application/zip").size}catch(e){r.blob=!1}}}try{r.nodestream=!!e("readable-stream").Readable}catch(e){r.nodestream=!1}},{"readable-stream":16}],31:[function(e,t,r){for(var n=e("./utils"),i=e("./support"),a=e("./nodejsUtils"),o=e("./stream/GenericWorker"),s=new Array(256),u=0;u<256;u++)s[u]=252<=u?6:248<=u?5:240<=u?4:224<=u?3:192<=u?2:1;function l(){o.call(this,"utf-8 decode"),this.leftOver=null}function c(){o.call(this,"utf-8 encode")}s[254]=s[254]=1,r.utf8encode=function(e){return i.nodebuffer?a.newBufferFrom(e,"utf-8"):function(e){var t,r,n,a,o,s=e.length,u=0;for(a=0;a<s;a++)55296==(64512&(r=e.charCodeAt(a)))&&a+1<s&&56320==(64512&(n=e.charCodeAt(a+1)))&&(r=65536+(r-55296<<10)+(n-56320),a++),u+=r<128?1:r<2048?2:r<65536?3:4;for(t=i.uint8array?new Uint8Array(u):new Array(u),a=o=0;o<u;a++)55296==(64512&(r=e.charCodeAt(a)))&&a+1<s&&56320==(64512&(n=e.charCodeAt(a+1)))&&(r=65536+(r-55296<<10)+(n-56320),a++),r<128?t[o++]=r:(r<2048?t[o++]=192|r>>>6:(r<65536?t[o++]=224|r>>>12:(t[o++]=240|r>>>18,t[o++]=128|r>>>12&63),t[o++]=128|r>>>6&63),t[o++]=128|63&r);return t}(e)},r.utf8decode=function(e){return i.nodebuffer?n.transformTo("nodebuffer",e).toString("utf-8"):function(e){var t,r,i,a,o=e.length,u=new Array(2*o);for(t=r=0;t<o;)if((i=e[t++])<128)u[r++]=i;else if(4<(a=s[i]))u[r++]=65533,t+=a-1;else{for(i&=2===a?31:3===a?15:7;1<a&&t<o;)i=i<<6|63&e[t++],a--;1<a?u[r++]=65533:i<65536?u[r++]=i:(i-=65536,u[r++]=55296|i>>10&1023,u[r++]=56320|1023&i)}return u.length!==r&&(u.subarray?u=u.subarray(0,r):u.length=r),n.applyFromCharCode(u)}(e=n.transformTo(i.uint8array?"uint8array":"array",e))},n.inherits(l,o),l.prototype.processChunk=function(e){var t=n.transformTo(i.uint8array?"uint8array":"array",e.data);if(this.leftOver&&this.leftOver.length){if(i.uint8array){var a=t;(t=new Uint8Array(a.length+this.leftOver.length)).set(this.leftOver,0),t.set(a,this.leftOver.length)}else t=this.leftOver.concat(t);this.leftOver=null}var o=function(e,t){var r;for((t=t||e.length)>e.length&&(t=e.length),r=t-1;0<=r&&128==(192&e[r]);)r--;return r<0||0===r?t:r+s[e[r]]>t?r:t}(t),u=t;o!==t.length&&(i.uint8array?(u=t.subarray(0,o),this.leftOver=t.subarray(o,t.length)):(u=t.slice(0,o),this.leftOver=t.slice(o,t.length))),this.push({data:r.utf8decode(u),meta:e.meta})},l.prototype.flush=function(){this.leftOver&&this.leftOver.length&&(this.push({data:r.utf8decode(this.leftOver),meta:{}}),this.leftOver=null)},r.Utf8DecodeWorker=l,n.inherits(c,o),c.prototype.processChunk=function(e){this.push({data:r.utf8encode(e.data),meta:e.meta})},r.Utf8EncodeWorker=c},{"./nodejsUtils":14,"./stream/GenericWorker":28,"./support":30,"./utils":32}],32:[function(e,t,r){var n=e("./support"),i=e("./base64"),a=e("./nodejsUtils"),o=e("./external");function s(e){return e}function u(e,t){for(var r=0;r<e.length;++r)t[r]=255&e.charCodeAt(r);return t}e("setimmediate"),r.newBlob=function(e,t){r.checkSupport("blob");try{return new Blob([e],{type:t})}catch(r){try{var n=new(self.BlobBuilder||self.WebKitBlobBuilder||self.MozBlobBuilder||self.MSBlobBuilder);return n.append(e),n.getBlob(t)}catch(e){throw new Error("Bug : can't construct the Blob.")}}};var l={stringifyByChunk:function(e,t,r){var n=[],i=0,a=e.length;if(a<=r)return String.fromCharCode.apply(null,e);for(;i<a;)"array"===t||"nodebuffer"===t?n.push(String.fromCharCode.apply(null,e.slice(i,Math.min(i+r,a)))):n.push(String.fromCharCode.apply(null,e.subarray(i,Math.min(i+r,a)))),i+=r;return n.join("")},stringifyByChar:function(e){for(var t="",r=0;r<e.length;r++)t+=String.fromCharCode(e[r]);return t},applyCanBeUsed:{uint8array:function(){try{return n.uint8array&&1===String.fromCharCode.apply(null,new Uint8Array(1)).length}catch(e){return!1}}(),nodebuffer:function(){try{return n.nodebuffer&&1===String.fromCharCode.apply(null,a.allocBuffer(1)).length}catch(e){return!1}}()}};function c(e){var t=65536,n=r.getTypeOf(e),i=!0;if("uint8array"===n?i=l.applyCanBeUsed.uint8array:"nodebuffer"===n&&(i=l.applyCanBeUsed.nodebuffer),i)for(;1<t;)try{return l.stringifyByChunk(e,n,t)}catch(e){t=Math.floor(t/2)}return l.stringifyByChar(e)}function f(e,t){for(var r=0;r<e.length;r++)t[r]=e[r];return t}r.applyFromCharCode=c;var d={};d.string={string:s,array:function(e){return u(e,new Array(e.length))},arraybuffer:function(e){return d.string.uint8array(e).buffer},uint8array:function(e){return u(e,new Uint8Array(e.length))},nodebuffer:function(e){return u(e,a.allocBuffer(e.length))}},d.array={string:c,array:s,arraybuffer:function(e){return new Uint8Array(e).buffer},uint8array:function(e){return new Uint8Array(e)},nodebuffer:function(e){return a.newBufferFrom(e)}},d.arraybuffer={string:function(e){return c(new Uint8Array(e))},array:function(e){return f(new Uint8Array(e),new Array(e.byteLength))},arraybuffer:s,uint8array:function(e){return new Uint8Array(e)},nodebuffer:function(e){return a.newBufferFrom(new Uint8Array(e))}},d.uint8array={string:c,array:function(e){return f(e,new Array(e.length))},arraybuffer:function(e){return e.buffer},uint8array:s,nodebuffer:function(e){return a.newBufferFrom(e)}},d.nodebuffer={string:c,array:function(e){return f(e,new Array(e.length))},arraybuffer:function(e){return d.nodebuffer.uint8array(e).buffer},uint8array:function(e){return f(e,new Uint8Array(e.length))},nodebuffer:s},r.transformTo=function(e,t){if(t=t||"",!e)return t;r.checkSupport(e);var n=r.getTypeOf(t);return d[n][e](t)},r.resolve=function(e){for(var t=e.split("/"),r=[],n=0;n<t.length;n++){var i=t[n];"."===i||""===i&&0!==n&&n!==t.length-1||(".."===i?r.pop():r.push(i))}return r.join("/")},r.getTypeOf=function(e){return"string"==typeof e?"string":"[object Array]"===Object.prototype.toString.call(e)?"array":n.nodebuffer&&a.isBuffer(e)?"nodebuffer":n.uint8array&&e instanceof Uint8Array?"uint8array":n.arraybuffer&&e instanceof ArrayBuffer?"arraybuffer":void 0},r.checkSupport=function(e){if(!n[e.toLowerCase()])throw new Error(e+" is not supported by this platform")},r.MAX_VALUE_16BITS=65535,r.MAX_VALUE_32BITS=-1,r.pretty=function(e){var t,r,n="";for(r=0;r<(e||"").length;r++)n+="\\x"+((t=e.charCodeAt(r))<16?"0":"")+t.toString(16).toUpperCase();return n},r.delay=function(e,t,r){setImmediate((function(){e.apply(r||null,t||[])}))},r.inherits=function(e,t){function r(){}r.prototype=t.prototype,e.prototype=new r},r.extend=function(){var e,t,r={};for(e=0;e<arguments.length;e++)for(t in arguments[e])Object.prototype.hasOwnProperty.call(arguments[e],t)&&void 0===r[t]&&(r[t]=arguments[e][t]);return r},r.prepareContent=function(e,t,a,s,l){return o.Promise.resolve(t).then((function(e){return n.blob&&(e instanceof Blob||-1!==["[object File]","[object Blob]"].indexOf(Object.prototype.toString.call(e)))&&"undefined"!=typeof FileReader?new o.Promise((function(t,r){var n=new FileReader;n.onload=function(e){t(e.target.result)},n.onerror=function(e){r(e.target.error)},n.readAsArrayBuffer(e)})):e})).then((function(t){var c,f=r.getTypeOf(t);return f?("arraybuffer"===f?t=r.transformTo("uint8array",t):"string"===f&&(l?t=i.decode(t):a&&!0!==s&&(t=u(c=t,n.uint8array?new Uint8Array(c.length):new Array(c.length)))),t):o.Promise.reject(new Error("Can't read the data of '"+e+"'. Is it in a supported JavaScript type (String, Blob, ArrayBuffer, etc) ?"))}))}},{"./base64":1,"./external":6,"./nodejsUtils":14,"./support":30,setimmediate:54}],33:[function(e,t,r){var n=e("./reader/readerFor"),i=e("./utils"),a=e("./signature"),o=e("./zipEntry"),s=e("./support");function u(e){this.files=[],this.loadOptions=e}u.prototype={checkSignature:function(e){if(!this.reader.readAndCheckSignature(e)){this.reader.index-=4;var t=this.reader.readString(4);throw new Error("Corrupted zip or bug: unexpected signature ("+i.pretty(t)+", expected "+i.pretty(e)+")")}},isSignature:function(e,t){var r=this.reader.index;this.reader.setIndex(e);var n=this.reader.readString(4)===t;return this.reader.setIndex(r),n},readBlockEndOfCentral:function(){this.diskNumber=this.reader.readInt(2),this.diskWithCentralDirStart=this.reader.readInt(2),this.centralDirRecordsOnThisDisk=this.reader.readInt(2),this.centralDirRecords=this.reader.readInt(2),this.centralDirSize=this.reader.readInt(4),this.centralDirOffset=this.reader.readInt(4),this.zipCommentLength=this.reader.readInt(2);var e=this.reader.readData(this.zipCommentLength),t=s.uint8array?"uint8array":"array",r=i.transformTo(t,e);this.zipComment=this.loadOptions.decodeFileName(r)},readBlockZip64EndOfCentral:function(){this.zip64EndOfCentralSize=this.reader.readInt(8),this.reader.skip(4),this.diskNumber=this.reader.readInt(4),this.diskWithCentralDirStart=this.reader.readInt(4),this.centralDirRecordsOnThisDisk=this.reader.readInt(8),this.centralDirRecords=this.reader.readInt(8),this.centralDirSize=this.reader.readInt(8),this.centralDirOffset=this.reader.readInt(8),this.zip64ExtensibleData={};for(var e,t,r,n=this.zip64EndOfCentralSize-44;0<n;)e=this.reader.readInt(2),t=this.reader.readInt(4),r=this.reader.readData(t),this.zip64ExtensibleData[e]={id:e,length:t,value:r}},readBlockZip64EndOfCentralLocator:function(){if(this.diskWithZip64CentralDirStart=this.reader.readInt(4),this.relativeOffsetEndOfZip64CentralDir=this.reader.readInt(8),this.disksCount=this.reader.readInt(4),1<this.disksCount)throw new Error("Multi-volumes zip are not supported")},readLocalFiles:function(){var e,t;for(e=0;e<this.files.length;e++)t=this.files[e],this.reader.setIndex(t.localHeaderOffset),this.checkSignature(a.LOCAL_FILE_HEADER),t.readLocalPart(this.reader),t.handleUTF8(),t.processAttributes()},readCentralDir:function(){var e;for(this.reader.setIndex(this.centralDirOffset);this.reader.readAndCheckSignature(a.CENTRAL_FILE_HEADER);)(e=new o({zip64:this.zip64},this.loadOptions)).readCentralPart(this.reader),this.files.push(e);if(this.centralDirRecords!==this.files.length&&0!==this.centralDirRecords&&0===this.files.length)throw new Error("Corrupted zip or bug: expected "+this.centralDirRecords+" records in central dir, got "+this.files.length)},readEndOfCentral:function(){var e=this.reader.lastIndexOfSignature(a.CENTRAL_DIRECTORY_END);if(e<0)throw this.isSignature(0,a.LOCAL_FILE_HEADER)?new Error("Corrupted zip: can't find end of central directory"):new Error("Can't find end of central directory : is this a zip file ? If it is, see https://stuk.github.io/jszip/documentation/howto/read_zip.html");this.reader.setIndex(e);var t=e;if(this.checkSignature(a.CENTRAL_DIRECTORY_END),this.readBlockEndOfCentral(),this.diskNumber===i.MAX_VALUE_16BITS||this.diskWithCentralDirStart===i.MAX_VALUE_16BITS||this.centralDirRecordsOnThisDisk===i.MAX_VALUE_16BITS||this.centralDirRecords===i.MAX_VALUE_16BITS||this.centralDirSize===i.MAX_VALUE_32BITS||this.centralDirOffset===i.MAX_VALUE_32BITS){if(this.zip64=!0,(e=this.reader.lastIndexOfSignature(a.ZIP64_CENTRAL_DIRECTORY_LOCATOR))<0)throw new Error("Corrupted zip: can't find the ZIP64 end of central directory locator");if(this.reader.setIndex(e),this.checkSignature(a.ZIP64_CENTRAL_DIRECTORY_LOCATOR),this.readBlockZip64EndOfCentralLocator(),!this.isSignature(this.relativeOffsetEndOfZip64CentralDir,a.ZIP64_CENTRAL_DIRECTORY_END)&&(this.relativeOffsetEndOfZip64CentralDir=this.reader.lastIndexOfSignature(a.ZIP64_CENTRAL_DIRECTORY_END),this.relativeOffsetEndOfZip64CentralDir<0))throw new Error("Corrupted zip: can't find the ZIP64 end of central directory");this.reader.setIndex(this.relativeOffsetEndOfZip64CentralDir),this.checkSignature(a.ZIP64_CENTRAL_DIRECTORY_END),this.readBlockZip64EndOfCentral()}var r=this.centralDirOffset+this.centralDirSize;this.zip64&&(r+=20,r+=12+this.zip64EndOfCentralSize);var n=t-r;if(0<n)this.isSignature(t,a.CENTRAL_FILE_HEADER)||(this.reader.zero=n);else if(n<0)throw new Error("Corrupted zip: missing "+Math.abs(n)+" bytes.")},prepareReader:function(e){this.reader=n(e)},load:function(e){this.prepareReader(e),this.readEndOfCentral(),this.readCentralDir(),this.readLocalFiles()}},t.exports=u},{"./reader/readerFor":22,"./signature":23,"./support":30,"./utils":32,"./zipEntry":34}],34:[function(e,t,r){var n=e("./reader/readerFor"),i=e("./utils"),a=e("./compressedObject"),o=e("./crc32"),s=e("./utf8"),u=e("./compressions"),l=e("./support");function c(e,t){this.options=e,this.loadOptions=t}c.prototype={isEncrypted:function(){return 1==(1&this.bitFlag)},useUTF8:function(){return 2048==(2048&this.bitFlag)},readLocalPart:function(e){var t,r;if(e.skip(22),this.fileNameLength=e.readInt(2),r=e.readInt(2),this.fileName=e.readData(this.fileNameLength),e.skip(r),-1===this.compressedSize||-1===this.uncompressedSize)throw new Error("Bug or corrupted zip : didn't get enough information from the central directory (compressedSize === -1 || uncompressedSize === -1)");if(null===(t=function(e){for(var t in u)if(Object.prototype.hasOwnProperty.call(u,t)&&u[t].magic===e)return u[t];return null}(this.compressionMethod)))throw new Error("Corrupted zip : compression "+i.pretty(this.compressionMethod)+" unknown (inner file : "+i.transformTo("string",this.fileName)+")");this.decompressed=new a(this.compressedSize,this.uncompressedSize,this.crc32,t,e.readData(this.compressedSize))},readCentralPart:function(e){this.versionMadeBy=e.readInt(2),e.skip(2),this.bitFlag=e.readInt(2),this.compressionMethod=e.readString(2),this.date=e.readDate(),this.crc32=e.readInt(4),this.compressedSize=e.readInt(4),this.uncompressedSize=e.readInt(4);var t=e.readInt(2);if(this.extraFieldsLength=e.readInt(2),this.fileCommentLength=e.readInt(2),this.diskNumberStart=e.readInt(2),this.internalFileAttributes=e.readInt(2),this.externalFileAttributes=e.readInt(4),this.localHeaderOffset=e.readInt(4),this.isEncrypted())throw new Error("Encrypted zip are not supported");e.skip(t),this.readExtraFields(e),this.parseZIP64ExtraField(e),this.fileComment=e.readData(this.fileCommentLength)},processAttributes:function(){this.unixPermissions=null,this.dosPermissions=null;var e=this.versionMadeBy>>8;this.dir=!!(16&this.externalFileAttributes),0==e&&(this.dosPermissions=63&this.externalFileAttributes),3==e&&(this.unixPermissions=this.externalFileAttributes>>16&65535),this.dir||"/"!==this.fileNameStr.slice(-1)||(this.dir=!0)},parseZIP64ExtraField:function(){if(this.extraFields[1]){var e=n(this.extraFields[1].value);this.uncompressedSize===i.MAX_VALUE_32BITS&&(this.uncompressedSize=e.readInt(8)),this.compressedSize===i.MAX_VALUE_32BITS&&(this.compressedSize=e.readInt(8)),this.localHeaderOffset===i.MAX_VALUE_32BITS&&(this.localHeaderOffset=e.readInt(8)),this.diskNumberStart===i.MAX_VALUE_32BITS&&(this.diskNumberStart=e.readInt(4))}},readExtraFields:function(e){var t,r,n,i=e.index+this.extraFieldsLength;for(this.extraFields||(this.extraFields={});e.index+4<i;)t=e.readInt(2),r=e.readInt(2),n=e.readData(r),this.extraFields[t]={id:t,length:r,value:n};e.setIndex(i)},handleUTF8:function(){var e=l.uint8array?"uint8array":"array";if(this.useUTF8())this.fileNameStr=s.utf8decode(this.fileName),this.fileCommentStr=s.utf8decode(this.fileComment);else{var t=this.findExtraFieldUnicodePath();if(null!==t)this.fileNameStr=t;else{var r=i.transformTo(e,this.fileName);this.fileNameStr=this.loadOptions.decodeFileName(r)}var n=this.findExtraFieldUnicodeComment();if(null!==n)this.fileCommentStr=n;else{var a=i.transformTo(e,this.fileComment);this.fileCommentStr=this.loadOptions.decodeFileName(a)}}},findExtraFieldUnicodePath:function(){var e=this.extraFields[28789];if(e){var t=n(e.value);return 1!==t.readInt(1)||o(this.fileName)!==t.readInt(4)?null:s.utf8decode(t.readData(e.length-5))}return null},findExtraFieldUnicodeComment:function(){var e=this.extraFields[25461];if(e){var t=n(e.value);return 1!==t.readInt(1)||o(this.fileComment)!==t.readInt(4)?null:s.utf8decode(t.readData(e.length-5))}return null}},t.exports=c},{"./compressedObject":2,"./compressions":3,"./crc32":4,"./reader/readerFor":22,"./support":30,"./utf8":31,"./utils":32}],35:[function(e,t,r){function n(e,t,r){this.name=e,this.dir=r.dir,this.date=r.date,this.comment=r.comment,this.unixPermissions=r.unixPermissions,this.dosPermissions=r.dosPermissions,this._data=t,this._dataBinary=r.binary,this.options={compression:r.compression,compressionOptions:r.compressionOptions}}var i=e("./stream/StreamHelper"),a=e("./stream/DataWorker"),o=e("./utf8"),s=e("./compressedObject"),u=e("./stream/GenericWorker");n.prototype={internalStream:function(e){var t=null,r="string";try{if(!e)throw new Error("No output type specified.");var n="string"===(r=e.toLowerCase())||"text"===r;"binarystring"!==r&&"text"!==r||(r="string"),t=this._decompressWorker();var a=!this._dataBinary;a&&!n&&(t=t.pipe(new o.Utf8EncodeWorker)),!a&&n&&(t=t.pipe(new o.Utf8DecodeWorker))}catch(e){(t=new u("error")).error(e)}return new i(t,r,"")},async:function(e,t){return this.internalStream(e).accumulate(t)},nodeStream:function(e,t){return this.internalStream(e||"nodebuffer").toNodejsStream(t)},_compressWorker:function(e,t){if(this._data instanceof s&&this._data.compression.magic===e.magic)return this._data.getCompressedWorker();var r=this._decompressWorker();return this._dataBinary||(r=r.pipe(new o.Utf8EncodeWorker)),s.createWorkerFrom(r,e,t)},_decompressWorker:function(){return this._data instanceof s?this._data.getContentWorker():this._data instanceof u?this._data:new a(this._data)}};for(var l=["asText","asBinary","asNodeBuffer","asUint8Array","asArrayBuffer"],c=function(){throw new Error("This method has been removed in JSZip 3.0, please check the upgrade guide.")},f=0;f<l.length;f++)n.prototype[l[f]]=c;t.exports=n},{"./compressedObject":2,"./stream/DataWorker":27,"./stream/GenericWorker":28,"./stream/StreamHelper":29,"./utf8":31}],36:[function(e,t,r){(function(e){var r,n,i=e.MutationObserver||e.WebKitMutationObserver;if(i){var a=0,o=new i(c),s=e.document.createTextNode("");o.observe(s,{characterData:!0}),r=function(){s.data=a=++a%2}}else if(e.setImmediate||void 0===e.MessageChannel)r="document"in e&&"onreadystatechange"in e.document.createElement("script")?function(){var t=e.document.createElement("script");t.onreadystatechange=function(){c(),t.onreadystatechange=null,t.parentNode.removeChild(t),t=null},e.document.documentElement.appendChild(t)}:function(){setTimeout(c,0)};else{var u=new e.MessageChannel;u.port1.onmessage=c,r=function(){u.port2.postMessage(0)}}var l=[];function c(){var e,t;n=!0;for(var r=l.length;r;){for(t=l,l=[],e=-1;++e<r;)t[e]();r=l.length}n=!1}t.exports=function(e){1!==l.push(e)||n||r()}}).call(this,"undefined"!=typeof n?n:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{}],37:[function(e,t,r){var n=e("immediate");function i(){}var a={},o=["REJECTED"],s=["FULFILLED"],u=["PENDING"];function l(e){if("function"!=typeof e)throw new TypeError("resolver must be a function");this.state=u,this.queue=[],this.outcome=void 0,e!==i&&h(this,e)}function c(e,t,r){this.promise=e,"function"==typeof t&&(this.onFulfilled=t,this.callFulfilled=this.otherCallFulfilled),"function"==typeof r&&(this.onRejected=r,this.callRejected=this.otherCallRejected)}function f(e,t,r){n((function(){var n;try{n=t(r)}catch(t){return a.reject(e,t)}n===e?a.reject(e,new TypeError("Cannot resolve promise with itself")):a.resolve(e,n)}))}function d(e){var t=e&&e.then;if(e&&("object"==typeof e||"function"==typeof e)&&"function"==typeof t)return function(){t.apply(e,arguments)}}function h(e,t){var r=!1;function n(t){r||(r=!0,a.reject(e,t))}function i(t){r||(r=!0,a.resolve(e,t))}var o=p((function(){t(i,n)}));"error"===o.status&&n(o.value)}function p(e,t){var r={};try{r.value=e(t),r.status="success"}catch(e){r.status="error",r.value=e}return r}(t.exports=l).prototype.finally=function(e){if("function"!=typeof e)return this;var t=this.constructor;return this.then((function(r){return t.resolve(e()).then((function(){return r}))}),(function(r){return t.resolve(e()).then((function(){throw r}))}))},l.prototype.catch=function(e){return this.then(null,e)},l.prototype.then=function(e,t){if("function"!=typeof e&&this.state===s||"function"!=typeof t&&this.state===o)return this;var r=new this.constructor(i);return this.state!==u?f(r,this.state===s?e:t,this.outcome):this.queue.push(new c(r,e,t)),r},c.prototype.callFulfilled=function(e){a.resolve(this.promise,e)},c.prototype.otherCallFulfilled=function(e){f(this.promise,this.onFulfilled,e)},c.prototype.callRejected=function(e){a.reject(this.promise,e)},c.prototype.otherCallRejected=function(e){f(this.promise,this.onRejected,e)},a.resolve=function(e,t){var r=p(d,t);if("error"===r.status)return a.reject(e,r.value);var n=r.value;if(n)h(e,n);else{e.state=s,e.outcome=t;for(var i=-1,o=e.queue.length;++i<o;)e.queue[i].callFulfilled(t)}return e},a.reject=function(e,t){e.state=o,e.outcome=t;for(var r=-1,n=e.queue.length;++r<n;)e.queue[r].callRejected(t);return e},l.resolve=function(e){return e instanceof this?e:a.resolve(new this(i),e)},l.reject=function(e){var t=new this(i);return a.reject(t,e)},l.all=function(e){var t=this;if("[object Array]"!==Object.prototype.toString.call(e))return this.reject(new TypeError("must be an array"));var r=e.length,n=!1;if(!r)return this.resolve([]);for(var o=new Array(r),s=0,u=-1,l=new this(i);++u<r;)c(e[u],u);return l;function c(e,i){t.resolve(e).then((function(e){o[i]=e,++s!==r||n||(n=!0,a.resolve(l,o))}),(function(e){n||(n=!0,a.reject(l,e))}))}},l.race=function(e){if("[object Array]"!==Object.prototype.toString.call(e))return this.reject(new TypeError("must be an array"));var t,r=e.length,n=!1;if(!r)return this.resolve([]);for(var o=-1,s=new this(i);++o<r;)t=e[o],this.resolve(t).then((function(e){n||(n=!0,a.resolve(s,e))}),(function(e){n||(n=!0,a.reject(s,e))}));return s}},{immediate:36}],38:[function(e,t,r){var n={};(0,e("./lib/utils/common").assign)(n,e("./lib/deflate"),e("./lib/inflate"),e("./lib/zlib/constants")),t.exports=n},{"./lib/deflate":39,"./lib/inflate":40,"./lib/utils/common":41,"./lib/zlib/constants":44}],39:[function(e,t,r){var n=e("./zlib/deflate"),i=e("./utils/common"),a=e("./utils/strings"),o=e("./zlib/messages"),s=e("./zlib/zstream"),u=Object.prototype.toString;function l(e){if(!(this instanceof l))return new l(e);this.options=i.assign({level:-1,method:8,chunkSize:16384,windowBits:15,memLevel:8,strategy:0,to:""},e||{});var t=this.options;t.raw&&0<t.windowBits?t.windowBits=-t.windowBits:t.gzip&&0<t.windowBits&&t.windowBits<16&&(t.windowBits+=16),this.err=0,this.msg="",this.ended=!1,this.chunks=[],this.strm=new s,this.strm.avail_out=0;var r=n.deflateInit2(this.strm,t.level,t.method,t.windowBits,t.memLevel,t.strategy);if(0!==r)throw new Error(o[r]);if(t.header&&n.deflateSetHeader(this.strm,t.header),t.dictionary){var c;if(c="string"==typeof t.dictionary?a.string2buf(t.dictionary):"[object ArrayBuffer]"===u.call(t.dictionary)?new Uint8Array(t.dictionary):t.dictionary,0!==(r=n.deflateSetDictionary(this.strm,c)))throw new Error(o[r]);this._dict_set=!0}}function c(e,t){var r=new l(t);if(r.push(e,!0),r.err)throw r.msg||o[r.err];return r.result}l.prototype.push=function(e,t){var r,o,s=this.strm,l=this.options.chunkSize;if(this.ended)return!1;o=t===~~t?t:!0===t?4:0,"string"==typeof e?s.input=a.string2buf(e):"[object ArrayBuffer]"===u.call(e)?s.input=new Uint8Array(e):s.input=e,s.next_in=0,s.avail_in=s.input.length;do{if(0===s.avail_out&&(s.output=new i.Buf8(l),s.next_out=0,s.avail_out=l),1!==(r=n.deflate(s,o))&&0!==r)return this.onEnd(r),!(this.ended=!0);0!==s.avail_out&&(0!==s.avail_in||4!==o&&2!==o)||("string"===this.options.to?this.onData(a.buf2binstring(i.shrinkBuf(s.output,s.next_out))):this.onData(i.shrinkBuf(s.output,s.next_out)))}while((0<s.avail_in||0===s.avail_out)&&1!==r);return 4===o?(r=n.deflateEnd(this.strm),this.onEnd(r),this.ended=!0,0===r):2!==o||(this.onEnd(0),!(s.avail_out=0))},l.prototype.onData=function(e){this.chunks.push(e)},l.prototype.onEnd=function(e){0===e&&("string"===this.options.to?this.result=this.chunks.join(""):this.result=i.flattenChunks(this.chunks)),this.chunks=[],this.err=e,this.msg=this.strm.msg},r.Deflate=l,r.deflate=c,r.deflateRaw=function(e,t){return(t=t||{}).raw=!0,c(e,t)},r.gzip=function(e,t){return(t=t||{}).gzip=!0,c(e,t)}},{"./utils/common":41,"./utils/strings":42,"./zlib/deflate":46,"./zlib/messages":51,"./zlib/zstream":53}],40:[function(e,t,r){var n=e("./zlib/inflate"),i=e("./utils/common"),a=e("./utils/strings"),o=e("./zlib/constants"),s=e("./zlib/messages"),u=e("./zlib/zstream"),l=e("./zlib/gzheader"),c=Object.prototype.toString;function f(e){if(!(this instanceof f))return new f(e);this.options=i.assign({chunkSize:16384,windowBits:0,to:""},e||{});var t=this.options;t.raw&&0<=t.windowBits&&t.windowBits<16&&(t.windowBits=-t.windowBits,0===t.windowBits&&(t.windowBits=-15)),!(0<=t.windowBits&&t.windowBits<16)||e&&e.windowBits||(t.windowBits+=32),15<t.windowBits&&t.windowBits<48&&0==(15&t.windowBits)&&(t.windowBits|=15),this.err=0,this.msg="",this.ended=!1,this.chunks=[],this.strm=new u,this.strm.avail_out=0;var r=n.inflateInit2(this.strm,t.windowBits);if(r!==o.Z_OK)throw new Error(s[r]);this.header=new l,n.inflateGetHeader(this.strm,this.header)}function d(e,t){var r=new f(t);if(r.push(e,!0),r.err)throw r.msg||s[r.err];return r.result}f.prototype.push=function(e,t){var r,s,u,l,f,d,h=this.strm,p=this.options.chunkSize,m=this.options.dictionary,_=!1;if(this.ended)return!1;s=t===~~t?t:!0===t?o.Z_FINISH:o.Z_NO_FLUSH,"string"==typeof e?h.input=a.binstring2buf(e):"[object ArrayBuffer]"===c.call(e)?h.input=new Uint8Array(e):h.input=e,h.next_in=0,h.avail_in=h.input.length;do{if(0===h.avail_out&&(h.output=new i.Buf8(p),h.next_out=0,h.avail_out=p),(r=n.inflate(h,o.Z_NO_FLUSH))===o.Z_NEED_DICT&&m&&(d="string"==typeof m?a.string2buf(m):"[object ArrayBuffer]"===c.call(m)?new Uint8Array(m):m,r=n.inflateSetDictionary(this.strm,d)),r===o.Z_BUF_ERROR&&!0===_&&(r=o.Z_OK,_=!1),r!==o.Z_STREAM_END&&r!==o.Z_OK)return this.onEnd(r),!(this.ended=!0);h.next_out&&(0!==h.avail_out&&r!==o.Z_STREAM_END&&(0!==h.avail_in||s!==o.Z_FINISH&&s!==o.Z_SYNC_FLUSH)||("string"===this.options.to?(u=a.utf8border(h.output,h.next_out),l=h.next_out-u,f=a.buf2string(h.output,u),h.next_out=l,h.avail_out=p-l,l&&i.arraySet(h.output,h.output,u,l,0),this.onData(f)):this.onData(i.shrinkBuf(h.output,h.next_out)))),0===h.avail_in&&0===h.avail_out&&(_=!0)}while((0<h.avail_in||0===h.avail_out)&&r!==o.Z_STREAM_END);return r===o.Z_STREAM_END&&(s=o.Z_FINISH),s===o.Z_FINISH?(r=n.inflateEnd(this.strm),this.onEnd(r),this.ended=!0,r===o.Z_OK):s!==o.Z_SYNC_FLUSH||(this.onEnd(o.Z_OK),!(h.avail_out=0))},f.prototype.onData=function(e){this.chunks.push(e)},f.prototype.onEnd=function(e){e===o.Z_OK&&("string"===this.options.to?this.result=this.chunks.join(""):this.result=i.flattenChunks(this.chunks)),this.chunks=[],this.err=e,this.msg=this.strm.msg},r.Inflate=f,r.inflate=d,r.inflateRaw=function(e,t){return(t=t||{}).raw=!0,d(e,t)},r.ungzip=d},{"./utils/common":41,"./utils/strings":42,"./zlib/constants":44,"./zlib/gzheader":47,"./zlib/inflate":49,"./zlib/messages":51,"./zlib/zstream":53}],41:[function(e,t,r){var n="undefined"!=typeof Uint8Array&&"undefined"!=typeof Uint16Array&&"undefined"!=typeof Int32Array;r.assign=function(e){for(var t=Array.prototype.slice.call(arguments,1);t.length;){var r=t.shift();if(r){if("object"!=typeof r)throw new TypeError(r+"must be non-object");for(var n in r)r.hasOwnProperty(n)&&(e[n]=r[n])}}return e},r.shrinkBuf=function(e,t){return e.length===t?e:e.subarray?e.subarray(0,t):(e.length=t,e)};var i={arraySet:function(e,t,r,n,i){if(t.subarray&&e.subarray)e.set(t.subarray(r,r+n),i);else for(var a=0;a<n;a++)e[i+a]=t[r+a]},flattenChunks:function(e){var t,r,n,i,a,o;for(t=n=0,r=e.length;t<r;t++)n+=e[t].length;for(o=new Uint8Array(n),t=i=0,r=e.length;t<r;t++)a=e[t],o.set(a,i),i+=a.length;return o}},a={arraySet:function(e,t,r,n,i){for(var a=0;a<n;a++)e[i+a]=t[r+a]},flattenChunks:function(e){return[].concat.apply([],e)}};r.setTyped=function(e){e?(r.Buf8=Uint8Array,r.Buf16=Uint16Array,r.Buf32=Int32Array,r.assign(r,i)):(r.Buf8=Array,r.Buf16=Array,r.Buf32=Array,r.assign(r,a))},r.setTyped(n)},{}],42:[function(e,t,r){var n=e("./common"),i=!0,a=!0;try{String.fromCharCode.apply(null,[0])}catch(e){i=!1}try{String.fromCharCode.apply(null,new Uint8Array(1))}catch(e){a=!1}for(var o=new n.Buf8(256),s=0;s<256;s++)o[s]=252<=s?6:248<=s?5:240<=s?4:224<=s?3:192<=s?2:1;function u(e,t){if(t<65537&&(e.subarray&&a||!e.subarray&&i))return String.fromCharCode.apply(null,n.shrinkBuf(e,t));for(var r="",o=0;o<t;o++)r+=String.fromCharCode(e[o]);return r}o[254]=o[254]=1,r.string2buf=function(e){var t,r,i,a,o,s=e.length,u=0;for(a=0;a<s;a++)55296==(64512&(r=e.charCodeAt(a)))&&a+1<s&&56320==(64512&(i=e.charCodeAt(a+1)))&&(r=65536+(r-55296<<10)+(i-56320),a++),u+=r<128?1:r<2048?2:r<65536?3:4;for(t=new n.Buf8(u),a=o=0;o<u;a++)55296==(64512&(r=e.charCodeAt(a)))&&a+1<s&&56320==(64512&(i=e.charCodeAt(a+1)))&&(r=65536+(r-55296<<10)+(i-56320),a++),r<128?t[o++]=r:(r<2048?t[o++]=192|r>>>6:(r<65536?t[o++]=224|r>>>12:(t[o++]=240|r>>>18,t[o++]=128|r>>>12&63),t[o++]=128|r>>>6&63),t[o++]=128|63&r);return t},r.buf2binstring=function(e){return u(e,e.length)},r.binstring2buf=function(e){for(var t=new n.Buf8(e.length),r=0,i=t.length;r<i;r++)t[r]=e.charCodeAt(r);return t},r.buf2string=function(e,t){var r,n,i,a,s=t||e.length,l=new Array(2*s);for(r=n=0;r<s;)if((i=e[r++])<128)l[n++]=i;else if(4<(a=o[i]))l[n++]=65533,r+=a-1;else{for(i&=2===a?31:3===a?15:7;1<a&&r<s;)i=i<<6|63&e[r++],a--;1<a?l[n++]=65533:i<65536?l[n++]=i:(i-=65536,l[n++]=55296|i>>10&1023,l[n++]=56320|1023&i)}return u(l,n)},r.utf8border=function(e,t){var r;for((t=t||e.length)>e.length&&(t=e.length),r=t-1;0<=r&&128==(192&e[r]);)r--;return r<0||0===r?t:r+o[e[r]]>t?r:t}},{"./common":41}],43:[function(e,t,r){t.exports=function(e,t,r,n){for(var i=65535&e|0,a=e>>>16&65535|0,o=0;0!==r;){for(r-=o=2e3<r?2e3:r;a=a+(i=i+t[n++]|0)|0,--o;);i%=65521,a%=65521}return i|a<<16|0}},{}],44:[function(e,t,r){t.exports={Z_NO_FLUSH:0,Z_PARTIAL_FLUSH:1,Z_SYNC_FLUSH:2,Z_FULL_FLUSH:3,Z_FINISH:4,Z_BLOCK:5,Z_TREES:6,Z_OK:0,Z_STREAM_END:1,Z_NEED_DICT:2,Z_ERRNO:-1,Z_STREAM_ERROR:-2,Z_DATA_ERROR:-3,Z_BUF_ERROR:-5,Z_NO_COMPRESSION:0,Z_BEST_SPEED:1,Z_BEST_COMPRESSION:9,Z_DEFAULT_COMPRESSION:-1,Z_FILTERED:1,Z_HUFFMAN_ONLY:2,Z_RLE:3,Z_FIXED:4,Z_DEFAULT_STRATEGY:0,Z_BINARY:0,Z_TEXT:1,Z_UNKNOWN:2,Z_DEFLATED:8}},{}],45:[function(e,t,r){var n=function(){for(var e,t=[],r=0;r<256;r++){e=r;for(var n=0;n<8;n++)e=1&e?3988292384^e>>>1:e>>>1;t[r]=e}return t}();t.exports=function(e,t,r,i){var a=n,o=i+r;e^=-1;for(var s=i;s<o;s++)e=e>>>8^a[255&(e^t[s])];return-1^e}},{}],46:[function(e,t,r){var n,i=e("../utils/common"),a=e("./trees"),o=e("./adler32"),s=e("./crc32"),u=e("./messages"),l=-2,c=258,f=262,d=113;function h(e,t){return e.msg=u[t],t}function p(e){return(e<<1)-(4<e?9:0)}function m(e){for(var t=e.length;0<=--t;)e[t]=0}function _(e){var t=e.state,r=t.pending;r>e.avail_out&&(r=e.avail_out),0!==r&&(i.arraySet(e.output,t.pending_buf,t.pending_out,r,e.next_out),e.next_out+=r,t.pending_out+=r,e.total_out+=r,e.avail_out-=r,t.pending-=r,0===t.pending&&(t.pending_out=0))}function g(e,t){a._tr_flush_block(e,0<=e.block_start?e.block_start:-1,e.strstart-e.block_start,t),e.block_start=e.strstart,_(e.strm)}function v(e,t){e.pending_buf[e.pending++]=t}function y(e,t){e.pending_buf[e.pending++]=t>>>8&255,e.pending_buf[e.pending++]=255&t}function w(e,t){var r,n,i=e.max_chain_length,a=e.strstart,o=e.prev_length,s=e.nice_match,u=e.strstart>e.w_size-f?e.strstart-(e.w_size-f):0,l=e.window,d=e.w_mask,h=e.prev,p=e.strstart+c,m=l[a+o-1],_=l[a+o];e.prev_length>=e.good_match&&(i>>=2),s>e.lookahead&&(s=e.lookahead);do{if(l[(r=t)+o]===_&&l[r+o-1]===m&&l[r]===l[a]&&l[++r]===l[a+1]){a+=2,r++;do{}while(l[++a]===l[++r]&&l[++a]===l[++r]&&l[++a]===l[++r]&&l[++a]===l[++r]&&l[++a]===l[++r]&&l[++a]===l[++r]&&l[++a]===l[++r]&&l[++a]===l[++r]&&a<p);if(n=c-(p-a),a=p-c,o<n){if(e.match_start=t,s<=(o=n))break;m=l[a+o-1],_=l[a+o]}}}while((t=h[t&d])>u&&0!=--i);return o<=e.lookahead?o:e.lookahead}function b(e){var t,r,n,a,u,l,c,d,h,p,m=e.w_size;do{if(a=e.window_size-e.lookahead-e.strstart,e.strstart>=m+(m-f)){for(i.arraySet(e.window,e.window,m,m,0),e.match_start-=m,e.strstart-=m,e.block_start-=m,t=r=e.hash_size;n=e.head[--t],e.head[t]=m<=n?n-m:0,--r;);for(t=r=m;n=e.prev[--t],e.prev[t]=m<=n?n-m:0,--r;);a+=m}if(0===e.strm.avail_in)break;if(l=e.strm,c=e.window,d=e.strstart+e.lookahead,p=void 0,(h=a)<(p=l.avail_in)&&(p=h),r=0===p?0:(l.avail_in-=p,i.arraySet(c,l.input,l.next_in,p,d),1===l.state.wrap?l.adler=o(l.adler,c,p,d):2===l.state.wrap&&(l.adler=s(l.adler,c,p,d)),l.next_in+=p,l.total_in+=p,p),e.lookahead+=r,e.lookahead+e.insert>=3)for(u=e.strstart-e.insert,e.ins_h=e.window[u],e.ins_h=(e.ins_h<<e.hash_shift^e.window[u+1])&e.hash_mask;e.insert&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[u+3-1])&e.hash_mask,e.prev[u&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=u,u++,e.insert--,!(e.lookahead+e.insert<3)););}while(e.lookahead<f&&0!==e.strm.avail_in)}function k(e,t){for(var r,n;;){if(e.lookahead<f){if(b(e),e.lookahead<f&&0===t)return 1;if(0===e.lookahead)break}if(r=0,e.lookahead>=3&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,r=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart),0!==r&&e.strstart-r<=e.w_size-f&&(e.match_length=w(e,r)),e.match_length>=3)if(n=a._tr_tally(e,e.strstart-e.match_start,e.match_length-3),e.lookahead-=e.match_length,e.match_length<=e.max_lazy_match&&e.lookahead>=3){for(e.match_length--;e.strstart++,e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,r=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart,0!=--e.match_length;);e.strstart++}else e.strstart+=e.match_length,e.match_length=0,e.ins_h=e.window[e.strstart],e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+1])&e.hash_mask;else n=a._tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++;if(n&&(g(e,!1),0===e.strm.avail_out))return 1}return e.insert=e.strstart<2?e.strstart:2,4===t?(g(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(g(e,!1),0===e.strm.avail_out)?1:2}function E(e,t){for(var r,n,i;;){if(e.lookahead<f){if(b(e),e.lookahead<f&&0===t)return 1;if(0===e.lookahead)break}if(r=0,e.lookahead>=3&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,r=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart),e.prev_length=e.match_length,e.prev_match=e.match_start,e.match_length=2,0!==r&&e.prev_length<e.max_lazy_match&&e.strstart-r<=e.w_size-f&&(e.match_length=w(e,r),e.match_length<=5&&(1===e.strategy||3===e.match_length&&4096<e.strstart-e.match_start)&&(e.match_length=2)),e.prev_length>=3&&e.match_length<=e.prev_length){for(i=e.strstart+e.lookahead-3,n=a._tr_tally(e,e.strstart-1-e.prev_match,e.prev_length-3),e.lookahead-=e.prev_length-1,e.prev_length-=2;++e.strstart<=i&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+3-1])&e.hash_mask,r=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart),0!=--e.prev_length;);if(e.match_available=0,e.match_length=2,e.strstart++,n&&(g(e,!1),0===e.strm.avail_out))return 1}else if(e.match_available){if((n=a._tr_tally(e,0,e.window[e.strstart-1]))&&g(e,!1),e.strstart++,e.lookahead--,0===e.strm.avail_out)return 1}else e.match_available=1,e.strstart++,e.lookahead--}return e.match_available&&(n=a._tr_tally(e,0,e.window[e.strstart-1]),e.match_available=0),e.insert=e.strstart<2?e.strstart:2,4===t?(g(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(g(e,!1),0===e.strm.avail_out)?1:2}function S(e,t,r,n,i){this.good_length=e,this.max_lazy=t,this.nice_length=r,this.max_chain=n,this.func=i}function x(){this.strm=null,this.status=0,this.pending_buf=null,this.pending_buf_size=0,this.pending_out=0,this.pending=0,this.wrap=0,this.gzhead=null,this.gzindex=0,this.method=8,this.last_flush=-1,this.w_size=0,this.w_bits=0,this.w_mask=0,this.window=null,this.window_size=0,this.prev=null,this.head=null,this.ins_h=0,this.hash_size=0,this.hash_bits=0,this.hash_mask=0,this.hash_shift=0,this.block_start=0,this.match_length=0,this.prev_match=0,this.match_available=0,this.strstart=0,this.match_start=0,this.lookahead=0,this.prev_length=0,this.max_chain_length=0,this.max_lazy_match=0,this.level=0,this.strategy=0,this.good_match=0,this.nice_match=0,this.dyn_ltree=new i.Buf16(1146),this.dyn_dtree=new i.Buf16(122),this.bl_tree=new i.Buf16(78),m(this.dyn_ltree),m(this.dyn_dtree),m(this.bl_tree),this.l_desc=null,this.d_desc=null,this.bl_desc=null,this.bl_count=new i.Buf16(16),this.heap=new i.Buf16(573),m(this.heap),this.heap_len=0,this.heap_max=0,this.depth=new i.Buf16(573),m(this.depth),this.l_buf=0,this.lit_bufsize=0,this.last_lit=0,this.d_buf=0,this.opt_len=0,this.static_len=0,this.matches=0,this.insert=0,this.bi_buf=0,this.bi_valid=0}function C(e){var t;return e&&e.state?(e.total_in=e.total_out=0,e.data_type=2,(t=e.state).pending=0,t.pending_out=0,t.wrap<0&&(t.wrap=-t.wrap),t.status=t.wrap?42:d,e.adler=2===t.wrap?0:1,t.last_flush=0,a._tr_init(t),0):h(e,l)}function F(e){var t,r=C(e);return 0===r&&((t=e.state).window_size=2*t.w_size,m(t.head),t.max_lazy_match=n[t.level].max_lazy,t.good_match=n[t.level].good_length,t.nice_match=n[t.level].nice_length,t.max_chain_length=n[t.level].max_chain,t.strstart=0,t.block_start=0,t.lookahead=0,t.insert=0,t.match_length=t.prev_length=2,t.match_available=0,t.ins_h=0),r}function A(e,t,r,n,a,o){if(!e)return l;var s=1;if(-1===t&&(t=6),n<0?(s=0,n=-n):15<n&&(s=2,n-=16),a<1||9<a||8!==r||n<8||15<n||t<0||9<t||o<0||4<o)return h(e,l);8===n&&(n=9);var u=new x;return(e.state=u).strm=e,u.wrap=s,u.gzhead=null,u.w_bits=n,u.w_size=1<<u.w_bits,u.w_mask=u.w_size-1,u.hash_bits=a+7,u.hash_size=1<<u.hash_bits,u.hash_mask=u.hash_size-1,u.hash_shift=~~((u.hash_bits+3-1)/3),u.window=new i.Buf8(2*u.w_size),u.head=new i.Buf16(u.hash_size),u.prev=new i.Buf16(u.w_size),u.lit_bufsize=1<<a+6,u.pending_buf_size=4*u.lit_bufsize,u.pending_buf=new i.Buf8(u.pending_buf_size),u.d_buf=1*u.lit_bufsize,u.l_buf=3*u.lit_bufsize,u.level=t,u.strategy=o,u.method=r,F(e)}n=[new S(0,0,0,0,(function(e,t){var r=65535;for(r>e.pending_buf_size-5&&(r=e.pending_buf_size-5);;){if(e.lookahead<=1){if(b(e),0===e.lookahead&&0===t)return 1;if(0===e.lookahead)break}e.strstart+=e.lookahead,e.lookahead=0;var n=e.block_start+r;if((0===e.strstart||e.strstart>=n)&&(e.lookahead=e.strstart-n,e.strstart=n,g(e,!1),0===e.strm.avail_out)||e.strstart-e.block_start>=e.w_size-f&&(g(e,!1),0===e.strm.avail_out))return 1}return e.insert=0,4===t?(g(e,!0),0===e.strm.avail_out?3:4):(e.strstart>e.block_start&&(g(e,!1),e.strm.avail_out),1)})),new S(4,4,8,4,k),new S(4,5,16,8,k),new S(4,6,32,32,k),new S(4,4,16,16,E),new S(8,16,32,32,E),new S(8,16,128,128,E),new S(8,32,128,256,E),new S(32,128,258,1024,E),new S(32,258,258,4096,E)],r.deflateInit=function(e,t){return A(e,t,8,15,8,0)},r.deflateInit2=A,r.deflateReset=F,r.deflateResetKeep=C,r.deflateSetHeader=function(e,t){return e&&e.state?2!==e.state.wrap?l:(e.state.gzhead=t,0):l},r.deflate=function(e,t){var r,i,o,u;if(!e||!e.state||5<t||t<0)return e?h(e,l):l;if(i=e.state,!e.output||!e.input&&0!==e.avail_in||666===i.status&&4!==t)return h(e,0===e.avail_out?-5:l);if(i.strm=e,r=i.last_flush,i.last_flush=t,42===i.status)if(2===i.wrap)e.adler=0,v(i,31),v(i,139),v(i,8),i.gzhead?(v(i,(i.gzhead.text?1:0)+(i.gzhead.hcrc?2:0)+(i.gzhead.extra?4:0)+(i.gzhead.name?8:0)+(i.gzhead.comment?16:0)),v(i,255&i.gzhead.time),v(i,i.gzhead.time>>8&255),v(i,i.gzhead.time>>16&255),v(i,i.gzhead.time>>24&255),v(i,9===i.level?2:2<=i.strategy||i.level<2?4:0),v(i,255&i.gzhead.os),i.gzhead.extra&&i.gzhead.extra.length&&(v(i,255&i.gzhead.extra.length),v(i,i.gzhead.extra.length>>8&255)),i.gzhead.hcrc&&(e.adler=s(e.adler,i.pending_buf,i.pending,0)),i.gzindex=0,i.status=69):(v(i,0),v(i,0),v(i,0),v(i,0),v(i,0),v(i,9===i.level?2:2<=i.strategy||i.level<2?4:0),v(i,3),i.status=d);else{var f=8+(i.w_bits-8<<4)<<8;f|=(2<=i.strategy||i.level<2?0:i.level<6?1:6===i.level?2:3)<<6,0!==i.strstart&&(f|=32),f+=31-f%31,i.status=d,y(i,f),0!==i.strstart&&(y(i,e.adler>>>16),y(i,65535&e.adler)),e.adler=1}if(69===i.status)if(i.gzhead.extra){for(o=i.pending;i.gzindex<(65535&i.gzhead.extra.length)&&(i.pending!==i.pending_buf_size||(i.gzhead.hcrc&&i.pending>o&&(e.adler=s(e.adler,i.pending_buf,i.pending-o,o)),_(e),o=i.pending,i.pending!==i.pending_buf_size));)v(i,255&i.gzhead.extra[i.gzindex]),i.gzindex++;i.gzhead.hcrc&&i.pending>o&&(e.adler=s(e.adler,i.pending_buf,i.pending-o,o)),i.gzindex===i.gzhead.extra.length&&(i.gzindex=0,i.status=73)}else i.status=73;if(73===i.status)if(i.gzhead.name){o=i.pending;do{if(i.pending===i.pending_buf_size&&(i.gzhead.hcrc&&i.pending>o&&(e.adler=s(e.adler,i.pending_buf,i.pending-o,o)),_(e),o=i.pending,i.pending===i.pending_buf_size)){u=1;break}u=i.gzindex<i.gzhead.name.length?255&i.gzhead.name.charCodeAt(i.gzindex++):0,v(i,u)}while(0!==u);i.gzhead.hcrc&&i.pending>o&&(e.adler=s(e.adler,i.pending_buf,i.pending-o,o)),0===u&&(i.gzindex=0,i.status=91)}else i.status=91;if(91===i.status)if(i.gzhead.comment){o=i.pending;do{if(i.pending===i.pending_buf_size&&(i.gzhead.hcrc&&i.pending>o&&(e.adler=s(e.adler,i.pending_buf,i.pending-o,o)),_(e),o=i.pending,i.pending===i.pending_buf_size)){u=1;break}u=i.gzindex<i.gzhead.comment.length?255&i.gzhead.comment.charCodeAt(i.gzindex++):0,v(i,u)}while(0!==u);i.gzhead.hcrc&&i.pending>o&&(e.adler=s(e.adler,i.pending_buf,i.pending-o,o)),0===u&&(i.status=103)}else i.status=103;if(103===i.status&&(i.gzhead.hcrc?(i.pending+2>i.pending_buf_size&&_(e),i.pending+2<=i.pending_buf_size&&(v(i,255&e.adler),v(i,e.adler>>8&255),e.adler=0,i.status=d)):i.status=d),0!==i.pending){if(_(e),0===e.avail_out)return i.last_flush=-1,0}else if(0===e.avail_in&&p(t)<=p(r)&&4!==t)return h(e,-5);if(666===i.status&&0!==e.avail_in)return h(e,-5);if(0!==e.avail_in||0!==i.lookahead||0!==t&&666!==i.status){var w=2===i.strategy?function(e,t){for(var r;;){if(0===e.lookahead&&(b(e),0===e.lookahead)){if(0===t)return 1;break}if(e.match_length=0,r=a._tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++,r&&(g(e,!1),0===e.strm.avail_out))return 1}return e.insert=0,4===t?(g(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(g(e,!1),0===e.strm.avail_out)?1:2}(i,t):3===i.strategy?function(e,t){for(var r,n,i,o,s=e.window;;){if(e.lookahead<=c){if(b(e),e.lookahead<=c&&0===t)return 1;if(0===e.lookahead)break}if(e.match_length=0,e.lookahead>=3&&0<e.strstart&&(n=s[i=e.strstart-1])===s[++i]&&n===s[++i]&&n===s[++i]){o=e.strstart+c;do{}while(n===s[++i]&&n===s[++i]&&n===s[++i]&&n===s[++i]&&n===s[++i]&&n===s[++i]&&n===s[++i]&&n===s[++i]&&i<o);e.match_length=c-(o-i),e.match_length>e.lookahead&&(e.match_length=e.lookahead)}if(e.match_length>=3?(r=a._tr_tally(e,1,e.match_length-3),e.lookahead-=e.match_length,e.strstart+=e.match_length,e.match_length=0):(r=a._tr_tally(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++),r&&(g(e,!1),0===e.strm.avail_out))return 1}return e.insert=0,4===t?(g(e,!0),0===e.strm.avail_out?3:4):e.last_lit&&(g(e,!1),0===e.strm.avail_out)?1:2}(i,t):n[i.level].func(i,t);if(3!==w&&4!==w||(i.status=666),1===w||3===w)return 0===e.avail_out&&(i.last_flush=-1),0;if(2===w&&(1===t?a._tr_align(i):5!==t&&(a._tr_stored_block(i,0,0,!1),3===t&&(m(i.head),0===i.lookahead&&(i.strstart=0,i.block_start=0,i.insert=0))),_(e),0===e.avail_out))return i.last_flush=-1,0}return 4!==t?0:i.wrap<=0?1:(2===i.wrap?(v(i,255&e.adler),v(i,e.adler>>8&255),v(i,e.adler>>16&255),v(i,e.adler>>24&255),v(i,255&e.total_in),v(i,e.total_in>>8&255),v(i,e.total_in>>16&255),v(i,e.total_in>>24&255)):(y(i,e.adler>>>16),y(i,65535&e.adler)),_(e),0<i.wrap&&(i.wrap=-i.wrap),0!==i.pending?0:1)},r.deflateEnd=function(e){var t;return e&&e.state?42!==(t=e.state.status)&&69!==t&&73!==t&&91!==t&&103!==t&&t!==d&&666!==t?h(e,l):(e.state=null,t===d?h(e,-3):0):l},r.deflateSetDictionary=function(e,t){var r,n,a,s,u,c,f,d,h=t.length;if(!e||!e.state||2===(s=(r=e.state).wrap)||1===s&&42!==r.status||r.lookahead)return l;for(1===s&&(e.adler=o(e.adler,t,h,0)),r.wrap=0,h>=r.w_size&&(0===s&&(m(r.head),r.strstart=0,r.block_start=0,r.insert=0),d=new i.Buf8(r.w_size),i.arraySet(d,t,h-r.w_size,r.w_size,0),t=d,h=r.w_size),u=e.avail_in,c=e.next_in,f=e.input,e.avail_in=h,e.next_in=0,e.input=t,b(r);r.lookahead>=3;){for(n=r.strstart,a=r.lookahead-2;r.ins_h=(r.ins_h<<r.hash_shift^r.window[n+3-1])&r.hash_mask,r.prev[n&r.w_mask]=r.head[r.ins_h],r.head[r.ins_h]=n,n++,--a;);r.strstart=n,r.lookahead=2,b(r)}return r.strstart+=r.lookahead,r.block_start=r.strstart,r.insert=r.lookahead,r.lookahead=0,r.match_length=r.prev_length=2,r.match_available=0,e.next_in=c,e.input=f,e.avail_in=u,r.wrap=s,0},r.deflateInfo="pako deflate (from Nodeca project)"},{"../utils/common":41,"./adler32":43,"./crc32":45,"./messages":51,"./trees":52}],47:[function(e,t,r){t.exports=function(){this.text=0,this.time=0,this.xflags=0,this.os=0,this.extra=null,this.extra_len=0,this.name="",this.comment="",this.hcrc=0,this.done=!1}},{}],48:[function(e,t,r){t.exports=function(e,t){var r,n,i,a,o,s,u,l,c,f,d,h,p,m,_,g,v,y,w,b,k,E,S,x,C;r=e.state,n=e.next_in,x=e.input,i=n+(e.avail_in-5),a=e.next_out,C=e.output,o=a-(t-e.avail_out),s=a+(e.avail_out-257),u=r.dmax,l=r.wsize,c=r.whave,f=r.wnext,d=r.window,h=r.hold,p=r.bits,m=r.lencode,_=r.distcode,g=(1<<r.lenbits)-1,v=(1<<r.distbits)-1;e:do{p<15&&(h+=x[n++]<<p,p+=8,h+=x[n++]<<p,p+=8),y=m[h&g];t:for(;;){if(h>>>=w=y>>>24,p-=w,0==(w=y>>>16&255))C[a++]=65535&y;else{if(!(16&w)){if(0==(64&w)){y=m[(65535&y)+(h&(1<<w)-1)];continue t}if(32&w){r.mode=12;break e}e.msg="invalid literal/length code",r.mode=30;break e}b=65535&y,(w&=15)&&(p<w&&(h+=x[n++]<<p,p+=8),b+=h&(1<<w)-1,h>>>=w,p-=w),p<15&&(h+=x[n++]<<p,p+=8,h+=x[n++]<<p,p+=8),y=_[h&v];r:for(;;){if(h>>>=w=y>>>24,p-=w,!(16&(w=y>>>16&255))){if(0==(64&w)){y=_[(65535&y)+(h&(1<<w)-1)];continue r}e.msg="invalid distance code",r.mode=30;break e}if(k=65535&y,p<(w&=15)&&(h+=x[n++]<<p,(p+=8)<w&&(h+=x[n++]<<p,p+=8)),u<(k+=h&(1<<w)-1)){e.msg="invalid distance too far back",r.mode=30;break e}if(h>>>=w,p-=w,(w=a-o)<k){if(c<(w=k-w)&&r.sane){e.msg="invalid distance too far back",r.mode=30;break e}if(S=d,(E=0)===f){if(E+=l-w,w<b){for(b-=w;C[a++]=d[E++],--w;);E=a-k,S=C}}else if(f<w){if(E+=l+f-w,(w-=f)<b){for(b-=w;C[a++]=d[E++],--w;);if(E=0,f<b){for(b-=w=f;C[a++]=d[E++],--w;);E=a-k,S=C}}}else if(E+=f-w,w<b){for(b-=w;C[a++]=d[E++],--w;);E=a-k,S=C}for(;2<b;)C[a++]=S[E++],C[a++]=S[E++],C[a++]=S[E++],b-=3;b&&(C[a++]=S[E++],1<b&&(C[a++]=S[E++]))}else{for(E=a-k;C[a++]=C[E++],C[a++]=C[E++],C[a++]=C[E++],2<(b-=3););b&&(C[a++]=C[E++],1<b&&(C[a++]=C[E++]))}break}}break}}while(n<i&&a<s);n-=b=p>>3,h&=(1<<(p-=b<<3))-1,e.next_in=n,e.next_out=a,e.avail_in=n<i?i-n+5:5-(n-i),e.avail_out=a<s?s-a+257:257-(a-s),r.hold=h,r.bits=p}},{}],49:[function(e,t,r){var n=e("../utils/common"),i=e("./adler32"),a=e("./crc32"),o=e("./inffast"),s=e("./inftrees"),u=-2;function l(e){return(e>>>24&255)+(e>>>8&65280)+((65280&e)<<8)+((255&e)<<24)}function c(){this.mode=0,this.last=!1,this.wrap=0,this.havedict=!1,this.flags=0,this.dmax=0,this.check=0,this.total=0,this.head=null,this.wbits=0,this.wsize=0,this.whave=0,this.wnext=0,this.window=null,this.hold=0,this.bits=0,this.length=0,this.offset=0,this.extra=0,this.lencode=null,this.distcode=null,this.lenbits=0,this.distbits=0,this.ncode=0,this.nlen=0,this.ndist=0,this.have=0,this.next=null,this.lens=new n.Buf16(320),this.work=new n.Buf16(288),this.lendyn=null,this.distdyn=null,this.sane=0,this.back=0,this.was=0}function f(e){var t;return e&&e.state?(t=e.state,e.total_in=e.total_out=t.total=0,e.msg="",t.wrap&&(e.adler=1&t.wrap),t.mode=1,t.last=0,t.havedict=0,t.dmax=32768,t.head=null,t.hold=0,t.bits=0,t.lencode=t.lendyn=new n.Buf32(852),t.distcode=t.distdyn=new n.Buf32(592),t.sane=1,t.back=-1,0):u}function d(e){var t;return e&&e.state?((t=e.state).wsize=0,t.whave=0,t.wnext=0,f(e)):u}function h(e,t){var r,n;return e&&e.state?(n=e.state,t<0?(r=0,t=-t):(r=1+(t>>4),t<48&&(t&=15)),t&&(t<8||15<t)?u:(null!==n.window&&n.wbits!==t&&(n.window=null),n.wrap=r,n.wbits=t,d(e))):u}function p(e,t){var r,n;return e?(n=new c,(e.state=n).window=null,0!==(r=h(e,t))&&(e.state=null),r):u}var m,_,g=!0;function v(e){if(g){var t;for(m=new n.Buf32(512),_=new n.Buf32(32),t=0;t<144;)e.lens[t++]=8;for(;t<256;)e.lens[t++]=9;for(;t<280;)e.lens[t++]=7;for(;t<288;)e.lens[t++]=8;for(s(1,e.lens,0,288,m,0,e.work,{bits:9}),t=0;t<32;)e.lens[t++]=5;s(2,e.lens,0,32,_,0,e.work,{bits:5}),g=!1}e.lencode=m,e.lenbits=9,e.distcode=_,e.distbits=5}function y(e,t,r,i){var a,o=e.state;return null===o.window&&(o.wsize=1<<o.wbits,o.wnext=0,o.whave=0,o.window=new n.Buf8(o.wsize)),i>=o.wsize?(n.arraySet(o.window,t,r-o.wsize,o.wsize,0),o.wnext=0,o.whave=o.wsize):(i<(a=o.wsize-o.wnext)&&(a=i),n.arraySet(o.window,t,r-i,a,o.wnext),(i-=a)?(n.arraySet(o.window,t,r-i,i,0),o.wnext=i,o.whave=o.wsize):(o.wnext+=a,o.wnext===o.wsize&&(o.wnext=0),o.whave<o.wsize&&(o.whave+=a))),0}r.inflateReset=d,r.inflateReset2=h,r.inflateResetKeep=f,r.inflateInit=function(e){return p(e,15)},r.inflateInit2=p,r.inflate=function(e,t){var r,c,f,d,h,p,m,_,g,w,b,k,E,S,x,C,F,A,T,D,z,I,O,P,R=0,j=new n.Buf8(4),B=[16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15];if(!e||!e.state||!e.output||!e.input&&0!==e.avail_in)return u;12===(r=e.state).mode&&(r.mode=13),h=e.next_out,f=e.output,m=e.avail_out,d=e.next_in,c=e.input,p=e.avail_in,_=r.hold,g=r.bits,w=p,b=m,I=0;e:for(;;)switch(r.mode){case 1:if(0===r.wrap){r.mode=13;break}for(;g<16;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}if(2&r.wrap&&35615===_){j[r.check=0]=255&_,j[1]=_>>>8&255,r.check=a(r.check,j,2,0),g=_=0,r.mode=2;break}if(r.flags=0,r.head&&(r.head.done=!1),!(1&r.wrap)||(((255&_)<<8)+(_>>8))%31){e.msg="incorrect header check",r.mode=30;break}if(8!=(15&_)){e.msg="unknown compression method",r.mode=30;break}if(g-=4,z=8+(15&(_>>>=4)),0===r.wbits)r.wbits=z;else if(z>r.wbits){e.msg="invalid window size",r.mode=30;break}r.dmax=1<<z,e.adler=r.check=1,r.mode=512&_?10:12,g=_=0;break;case 2:for(;g<16;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}if(r.flags=_,8!=(255&r.flags)){e.msg="unknown compression method",r.mode=30;break}if(57344&r.flags){e.msg="unknown header flags set",r.mode=30;break}r.head&&(r.head.text=_>>8&1),512&r.flags&&(j[0]=255&_,j[1]=_>>>8&255,r.check=a(r.check,j,2,0)),g=_=0,r.mode=3;case 3:for(;g<32;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}r.head&&(r.head.time=_),512&r.flags&&(j[0]=255&_,j[1]=_>>>8&255,j[2]=_>>>16&255,j[3]=_>>>24&255,r.check=a(r.check,j,4,0)),g=_=0,r.mode=4;case 4:for(;g<16;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}r.head&&(r.head.xflags=255&_,r.head.os=_>>8),512&r.flags&&(j[0]=255&_,j[1]=_>>>8&255,r.check=a(r.check,j,2,0)),g=_=0,r.mode=5;case 5:if(1024&r.flags){for(;g<16;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}r.length=_,r.head&&(r.head.extra_len=_),512&r.flags&&(j[0]=255&_,j[1]=_>>>8&255,r.check=a(r.check,j,2,0)),g=_=0}else r.head&&(r.head.extra=null);r.mode=6;case 6:if(1024&r.flags&&(p<(k=r.length)&&(k=p),k&&(r.head&&(z=r.head.extra_len-r.length,r.head.extra||(r.head.extra=new Array(r.head.extra_len)),n.arraySet(r.head.extra,c,d,k,z)),512&r.flags&&(r.check=a(r.check,c,k,d)),p-=k,d+=k,r.length-=k),r.length))break e;r.length=0,r.mode=7;case 7:if(2048&r.flags){if(0===p)break e;for(k=0;z=c[d+k++],r.head&&z&&r.length<65536&&(r.head.name+=String.fromCharCode(z)),z&&k<p;);if(512&r.flags&&(r.check=a(r.check,c,k,d)),p-=k,d+=k,z)break e}else r.head&&(r.head.name=null);r.length=0,r.mode=8;case 8:if(4096&r.flags){if(0===p)break e;for(k=0;z=c[d+k++],r.head&&z&&r.length<65536&&(r.head.comment+=String.fromCharCode(z)),z&&k<p;);if(512&r.flags&&(r.check=a(r.check,c,k,d)),p-=k,d+=k,z)break e}else r.head&&(r.head.comment=null);r.mode=9;case 9:if(512&r.flags){for(;g<16;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}if(_!==(65535&r.check)){e.msg="header crc mismatch",r.mode=30;break}g=_=0}r.head&&(r.head.hcrc=r.flags>>9&1,r.head.done=!0),e.adler=r.check=0,r.mode=12;break;case 10:for(;g<32;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}e.adler=r.check=l(_),g=_=0,r.mode=11;case 11:if(0===r.havedict)return e.next_out=h,e.avail_out=m,e.next_in=d,e.avail_in=p,r.hold=_,r.bits=g,2;e.adler=r.check=1,r.mode=12;case 12:if(5===t||6===t)break e;case 13:if(r.last){_>>>=7&g,g-=7&g,r.mode=27;break}for(;g<3;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}switch(r.last=1&_,g-=1,3&(_>>>=1)){case 0:r.mode=14;break;case 1:if(v(r),r.mode=20,6!==t)break;_>>>=2,g-=2;break e;case 2:r.mode=17;break;case 3:e.msg="invalid block type",r.mode=30}_>>>=2,g-=2;break;case 14:for(_>>>=7&g,g-=7&g;g<32;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}if((65535&_)!=(_>>>16^65535)){e.msg="invalid stored block lengths",r.mode=30;break}if(r.length=65535&_,g=_=0,r.mode=15,6===t)break e;case 15:r.mode=16;case 16:if(k=r.length){if(p<k&&(k=p),m<k&&(k=m),0===k)break e;n.arraySet(f,c,d,k,h),p-=k,d+=k,m-=k,h+=k,r.length-=k;break}r.mode=12;break;case 17:for(;g<14;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}if(r.nlen=257+(31&_),_>>>=5,g-=5,r.ndist=1+(31&_),_>>>=5,g-=5,r.ncode=4+(15&_),_>>>=4,g-=4,286<r.nlen||30<r.ndist){e.msg="too many length or distance symbols",r.mode=30;break}r.have=0,r.mode=18;case 18:for(;r.have<r.ncode;){for(;g<3;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}r.lens[B[r.have++]]=7&_,_>>>=3,g-=3}for(;r.have<19;)r.lens[B[r.have++]]=0;if(r.lencode=r.lendyn,r.lenbits=7,O={bits:r.lenbits},I=s(0,r.lens,0,19,r.lencode,0,r.work,O),r.lenbits=O.bits,I){e.msg="invalid code lengths set",r.mode=30;break}r.have=0,r.mode=19;case 19:for(;r.have<r.nlen+r.ndist;){for(;C=(R=r.lencode[_&(1<<r.lenbits)-1])>>>16&255,F=65535&R,!((x=R>>>24)<=g);){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}if(F<16)_>>>=x,g-=x,r.lens[r.have++]=F;else{if(16===F){for(P=x+2;g<P;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}if(_>>>=x,g-=x,0===r.have){e.msg="invalid bit length repeat",r.mode=30;break}z=r.lens[r.have-1],k=3+(3&_),_>>>=2,g-=2}else if(17===F){for(P=x+3;g<P;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}g-=x,z=0,k=3+(7&(_>>>=x)),_>>>=3,g-=3}else{for(P=x+7;g<P;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}g-=x,z=0,k=11+(127&(_>>>=x)),_>>>=7,g-=7}if(r.have+k>r.nlen+r.ndist){e.msg="invalid bit length repeat",r.mode=30;break}for(;k--;)r.lens[r.have++]=z}}if(30===r.mode)break;if(0===r.lens[256]){e.msg="invalid code -- missing end-of-block",r.mode=30;break}if(r.lenbits=9,O={bits:r.lenbits},I=s(1,r.lens,0,r.nlen,r.lencode,0,r.work,O),r.lenbits=O.bits,I){e.msg="invalid literal/lengths set",r.mode=30;break}if(r.distbits=6,r.distcode=r.distdyn,O={bits:r.distbits},I=s(2,r.lens,r.nlen,r.ndist,r.distcode,0,r.work,O),r.distbits=O.bits,I){e.msg="invalid distances set",r.mode=30;break}if(r.mode=20,6===t)break e;case 20:r.mode=21;case 21:if(6<=p&&258<=m){e.next_out=h,e.avail_out=m,e.next_in=d,e.avail_in=p,r.hold=_,r.bits=g,o(e,b),h=e.next_out,f=e.output,m=e.avail_out,d=e.next_in,c=e.input,p=e.avail_in,_=r.hold,g=r.bits,12===r.mode&&(r.back=-1);break}for(r.back=0;C=(R=r.lencode[_&(1<<r.lenbits)-1])>>>16&255,F=65535&R,!((x=R>>>24)<=g);){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}if(C&&0==(240&C)){for(A=x,T=C,D=F;C=(R=r.lencode[D+((_&(1<<A+T)-1)>>A)])>>>16&255,F=65535&R,!(A+(x=R>>>24)<=g);){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}_>>>=A,g-=A,r.back+=A}if(_>>>=x,g-=x,r.back+=x,r.length=F,0===C){r.mode=26;break}if(32&C){r.back=-1,r.mode=12;break}if(64&C){e.msg="invalid literal/length code",r.mode=30;break}r.extra=15&C,r.mode=22;case 22:if(r.extra){for(P=r.extra;g<P;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}r.length+=_&(1<<r.extra)-1,_>>>=r.extra,g-=r.extra,r.back+=r.extra}r.was=r.length,r.mode=23;case 23:for(;C=(R=r.distcode[_&(1<<r.distbits)-1])>>>16&255,F=65535&R,!((x=R>>>24)<=g);){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}if(0==(240&C)){for(A=x,T=C,D=F;C=(R=r.distcode[D+((_&(1<<A+T)-1)>>A)])>>>16&255,F=65535&R,!(A+(x=R>>>24)<=g);){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}_>>>=A,g-=A,r.back+=A}if(_>>>=x,g-=x,r.back+=x,64&C){e.msg="invalid distance code",r.mode=30;break}r.offset=F,r.extra=15&C,r.mode=24;case 24:if(r.extra){for(P=r.extra;g<P;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}r.offset+=_&(1<<r.extra)-1,_>>>=r.extra,g-=r.extra,r.back+=r.extra}if(r.offset>r.dmax){e.msg="invalid distance too far back",r.mode=30;break}r.mode=25;case 25:if(0===m)break e;if(k=b-m,r.offset>k){if((k=r.offset-k)>r.whave&&r.sane){e.msg="invalid distance too far back",r.mode=30;break}E=k>r.wnext?(k-=r.wnext,r.wsize-k):r.wnext-k,k>r.length&&(k=r.length),S=r.window}else S=f,E=h-r.offset,k=r.length;for(m<k&&(k=m),m-=k,r.length-=k;f[h++]=S[E++],--k;);0===r.length&&(r.mode=21);break;case 26:if(0===m)break e;f[h++]=r.length,m--,r.mode=21;break;case 27:if(r.wrap){for(;g<32;){if(0===p)break e;p--,_|=c[d++]<<g,g+=8}if(b-=m,e.total_out+=b,r.total+=b,b&&(e.adler=r.check=r.flags?a(r.check,f,b,h-b):i(r.check,f,b,h-b)),b=m,(r.flags?_:l(_))!==r.check){e.msg="incorrect data check",r.mode=30;break}g=_=0}r.mode=28;case 28:if(r.wrap&&r.flags){for(;g<32;){if(0===p)break e;p--,_+=c[d++]<<g,g+=8}if(_!==(4294967295&r.total)){e.msg="incorrect length check",r.mode=30;break}g=_=0}r.mode=29;case 29:I=1;break e;case 30:I=-3;break e;case 31:return-4;default:return u}return e.next_out=h,e.avail_out=m,e.next_in=d,e.avail_in=p,r.hold=_,r.bits=g,(r.wsize||b!==e.avail_out&&r.mode<30&&(r.mode<27||4!==t))&&y(e,e.output,e.next_out,b-e.avail_out)?(r.mode=31,-4):(w-=e.avail_in,b-=e.avail_out,e.total_in+=w,e.total_out+=b,r.total+=b,r.wrap&&b&&(e.adler=r.check=r.flags?a(r.check,f,b,e.next_out-b):i(r.check,f,b,e.next_out-b)),e.data_type=r.bits+(r.last?64:0)+(12===r.mode?128:0)+(20===r.mode||15===r.mode?256:0),(0==w&&0===b||4===t)&&0===I&&(I=-5),I)},r.inflateEnd=function(e){if(!e||!e.state)return u;var t=e.state;return t.window&&(t.window=null),e.state=null,0},r.inflateGetHeader=function(e,t){var r;return e&&e.state?0==(2&(r=e.state).wrap)?u:((r.head=t).done=!1,0):u},r.inflateSetDictionary=function(e,t){var r,n=t.length;return e&&e.state?0!==(r=e.state).wrap&&11!==r.mode?u:11===r.mode&&i(1,t,n,0)!==r.check?-3:y(e,t,n,n)?(r.mode=31,-4):(r.havedict=1,0):u},r.inflateInfo="pako inflate (from Nodeca project)"},{"../utils/common":41,"./adler32":43,"./crc32":45,"./inffast":48,"./inftrees":50}],50:[function(e,t,r){var n=e("../utils/common"),i=[3,4,5,6,7,8,9,10,11,13,15,17,19,23,27,31,35,43,51,59,67,83,99,115,131,163,195,227,258,0,0],a=[16,16,16,16,16,16,16,16,17,17,17,17,18,18,18,18,19,19,19,19,20,20,20,20,21,21,21,21,16,72,78],o=[1,2,3,4,5,7,9,13,17,25,33,49,65,97,129,193,257,385,513,769,1025,1537,2049,3073,4097,6145,8193,12289,16385,24577,0,0],s=[16,16,16,16,17,17,18,18,19,19,20,20,21,21,22,22,23,23,24,24,25,25,26,26,27,27,28,28,29,29,64,64];t.exports=function(e,t,r,u,l,c,f,d){var h,p,m,_,g,v,y,w,b,k=d.bits,E=0,S=0,x=0,C=0,F=0,A=0,T=0,D=0,z=0,I=0,O=null,P=0,R=new n.Buf16(16),j=new n.Buf16(16),B=null,M=0;for(E=0;E<=15;E++)R[E]=0;for(S=0;S<u;S++)R[t[r+S]]++;for(F=k,C=15;1<=C&&0===R[C];C--);if(C<F&&(F=C),0===C)return l[c++]=20971520,l[c++]=20971520,d.bits=1,0;for(x=1;x<C&&0===R[x];x++);for(F<x&&(F=x),E=D=1;E<=15;E++)if(D<<=1,(D-=R[E])<0)return-1;if(0<D&&(0===e||1!==C))return-1;for(j[1]=0,E=1;E<15;E++)j[E+1]=j[E]+R[E];for(S=0;S<u;S++)0!==t[r+S]&&(f[j[t[r+S]]++]=S);if(v=0===e?(O=B=f,19):1===e?(O=i,P-=257,B=a,M-=257,256):(O=o,B=s,-1),E=x,g=c,T=S=I=0,m=-1,_=(z=1<<(A=F))-1,1===e&&852<z||2===e&&592<z)return 1;for(;;){for(y=E-T,b=f[S]<v?(w=0,f[S]):f[S]>v?(w=B[M+f[S]],O[P+f[S]]):(w=96,0),h=1<<E-T,x=p=1<<A;l[g+(I>>T)+(p-=h)]=y<<24|w<<16|b|0,0!==p;);for(h=1<<E-1;I&h;)h>>=1;if(0!==h?(I&=h-1,I+=h):I=0,S++,0==--R[E]){if(E===C)break;E=t[r+f[S]]}if(F<E&&(I&_)!==m){for(0===T&&(T=F),g+=x,D=1<<(A=E-T);A+T<C&&!((D-=R[A+T])<=0);)A++,D<<=1;if(z+=1<<A,1===e&&852<z||2===e&&592<z)return 1;l[m=I&_]=F<<24|A<<16|g-c|0}}return 0!==I&&(l[g+I]=E-T<<24|64<<16|0),d.bits=F,0}},{"../utils/common":41}],51:[function(e,t,r){t.exports={2:"need dictionary",1:"stream end",0:"","-1":"file error","-2":"stream error","-3":"data error","-4":"insufficient memory","-5":"buffer error","-6":"incompatible version"}},{}],52:[function(e,t,r){var n=e("../utils/common");function i(e){for(var t=e.length;0<=--t;)e[t]=0}var a=256,o=286,s=30,u=15,l=[0,0,0,0,0,0,0,0,1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,0],c=[0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13],f=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,3,7],d=[16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15],h=new Array(576);i(h);var p=new Array(60);i(p);var m=new Array(512);i(m);var _=new Array(256);i(_);var g=new Array(29);i(g);var v,y,w,b=new Array(s);function k(e,t,r,n,i){this.static_tree=e,this.extra_bits=t,this.extra_base=r,this.elems=n,this.max_length=i,this.has_stree=e&&e.length}function E(e,t){this.dyn_tree=e,this.max_code=0,this.stat_desc=t}function S(e){return e<256?m[e]:m[256+(e>>>7)]}function x(e,t){e.pending_buf[e.pending++]=255&t,e.pending_buf[e.pending++]=t>>>8&255}function C(e,t,r){e.bi_valid>16-r?(e.bi_buf|=t<<e.bi_valid&65535,x(e,e.bi_buf),e.bi_buf=t>>16-e.bi_valid,e.bi_valid+=r-16):(e.bi_buf|=t<<e.bi_valid&65535,e.bi_valid+=r)}function F(e,t,r){C(e,r[2*t],r[2*t+1])}function A(e,t){for(var r=0;r|=1&e,e>>>=1,r<<=1,0<--t;);return r>>>1}function T(e,t,r){var n,i,a=new Array(16),o=0;for(n=1;n<=u;n++)a[n]=o=o+r[n-1]<<1;for(i=0;i<=t;i++){var s=e[2*i+1];0!==s&&(e[2*i]=A(a[s]++,s))}}function D(e){var t;for(t=0;t<o;t++)e.dyn_ltree[2*t]=0;for(t=0;t<s;t++)e.dyn_dtree[2*t]=0;for(t=0;t<19;t++)e.bl_tree[2*t]=0;e.dyn_ltree[512]=1,e.opt_len=e.static_len=0,e.last_lit=e.matches=0}function z(e){8<e.bi_valid?x(e,e.bi_buf):0<e.bi_valid&&(e.pending_buf[e.pending++]=e.bi_buf),e.bi_buf=0,e.bi_valid=0}function I(e,t,r,n){var i=2*t,a=2*r;return e[i]<e[a]||e[i]===e[a]&&n[t]<=n[r]}function O(e,t,r){for(var n=e.heap[r],i=r<<1;i<=e.heap_len&&(i<e.heap_len&&I(t,e.heap[i+1],e.heap[i],e.depth)&&i++,!I(t,n,e.heap[i],e.depth));)e.heap[r]=e.heap[i],r=i,i<<=1;e.heap[r]=n}function P(e,t,r){var n,i,o,s,u=0;if(0!==e.last_lit)for(;n=e.pending_buf[e.d_buf+2*u]<<8|e.pending_buf[e.d_buf+2*u+1],i=e.pending_buf[e.l_buf+u],u++,0===n?F(e,i,t):(F(e,(o=_[i])+a+1,t),0!==(s=l[o])&&C(e,i-=g[o],s),F(e,o=S(--n),r),0!==(s=c[o])&&C(e,n-=b[o],s)),u<e.last_lit;);F(e,256,t)}function R(e,t){var r,n,i,a=t.dyn_tree,o=t.stat_desc.static_tree,s=t.stat_desc.has_stree,l=t.stat_desc.elems,c=-1;for(e.heap_len=0,e.heap_max=573,r=0;r<l;r++)0!==a[2*r]?(e.heap[++e.heap_len]=c=r,e.depth[r]=0):a[2*r+1]=0;for(;e.heap_len<2;)a[2*(i=e.heap[++e.heap_len]=c<2?++c:0)]=1,e.depth[i]=0,e.opt_len--,s&&(e.static_len-=o[2*i+1]);for(t.max_code=c,r=e.heap_len>>1;1<=r;r--)O(e,a,r);for(i=l;r=e.heap[1],e.heap[1]=e.heap[e.heap_len--],O(e,a,1),n=e.heap[1],e.heap[--e.heap_max]=r,e.heap[--e.heap_max]=n,a[2*i]=a[2*r]+a[2*n],e.depth[i]=(e.depth[r]>=e.depth[n]?e.depth[r]:e.depth[n])+1,a[2*r+1]=a[2*n+1]=i,e.heap[1]=i++,O(e,a,1),2<=e.heap_len;);e.heap[--e.heap_max]=e.heap[1],function(e,t){var r,n,i,a,o,s,l=t.dyn_tree,c=t.max_code,f=t.stat_desc.static_tree,d=t.stat_desc.has_stree,h=t.stat_desc.extra_bits,p=t.stat_desc.extra_base,m=t.stat_desc.max_length,_=0;for(a=0;a<=u;a++)e.bl_count[a]=0;for(l[2*e.heap[e.heap_max]+1]=0,r=e.heap_max+1;r<573;r++)m<(a=l[2*l[2*(n=e.heap[r])+1]+1]+1)&&(a=m,_++),l[2*n+1]=a,c<n||(e.bl_count[a]++,o=0,p<=n&&(o=h[n-p]),s=l[2*n],e.opt_len+=s*(a+o),d&&(e.static_len+=s*(f[2*n+1]+o)));if(0!==_){do{for(a=m-1;0===e.bl_count[a];)a--;e.bl_count[a]--,e.bl_count[a+1]+=2,e.bl_count[m]--,_-=2}while(0<_);for(a=m;0!==a;a--)for(n=e.bl_count[a];0!==n;)c<(i=e.heap[--r])||(l[2*i+1]!==a&&(e.opt_len+=(a-l[2*i+1])*l[2*i],l[2*i+1]=a),n--)}}(e,t),T(a,c,e.bl_count)}function j(e,t,r){var n,i,a=-1,o=t[1],s=0,u=7,l=4;for(0===o&&(u=138,l=3),t[2*(r+1)+1]=65535,n=0;n<=r;n++)i=o,o=t[2*(n+1)+1],++s<u&&i===o||(s<l?e.bl_tree[2*i]+=s:0!==i?(i!==a&&e.bl_tree[2*i]++,e.bl_tree[32]++):s<=10?e.bl_tree[34]++:e.bl_tree[36]++,a=i,l=(s=0)===o?(u=138,3):i===o?(u=6,3):(u=7,4))}function B(e,t,r){var n,i,a=-1,o=t[1],s=0,u=7,l=4;for(0===o&&(u=138,l=3),n=0;n<=r;n++)if(i=o,o=t[2*(n+1)+1],!(++s<u&&i===o)){if(s<l)for(;F(e,i,e.bl_tree),0!=--s;);else 0!==i?(i!==a&&(F(e,i,e.bl_tree),s--),F(e,16,e.bl_tree),C(e,s-3,2)):s<=10?(F(e,17,e.bl_tree),C(e,s-3,3)):(F(e,18,e.bl_tree),C(e,s-11,7));a=i,l=(s=0)===o?(u=138,3):i===o?(u=6,3):(u=7,4)}}i(b);var M=!1;function N(e,t,r,i){var a,o,s;C(e,0+(i?1:0),3),o=t,s=r,z(a=e),x(a,s),x(a,~s),n.arraySet(a.pending_buf,a.window,o,s,a.pending),a.pending+=s}r._tr_init=function(e){M||(function(){var e,t,r,n,i,a=new Array(16);for(n=r=0;n<28;n++)for(g[n]=r,e=0;e<1<<l[n];e++)_[r++]=n;for(_[r-1]=n,n=i=0;n<16;n++)for(b[n]=i,e=0;e<1<<c[n];e++)m[i++]=n;for(i>>=7;n<s;n++)for(b[n]=i<<7,e=0;e<1<<c[n]-7;e++)m[256+i++]=n;for(t=0;t<=u;t++)a[t]=0;for(e=0;e<=143;)h[2*e+1]=8,e++,a[8]++;for(;e<=255;)h[2*e+1]=9,e++,a[9]++;for(;e<=279;)h[2*e+1]=7,e++,a[7]++;for(;e<=287;)h[2*e+1]=8,e++,a[8]++;for(T(h,287,a),e=0;e<s;e++)p[2*e+1]=5,p[2*e]=A(e,5);v=new k(h,l,257,o,u),y=new k(p,c,0,s,u),w=new k(new Array(0),f,0,19,7)}(),M=!0),e.l_desc=new E(e.dyn_ltree,v),e.d_desc=new E(e.dyn_dtree,y),e.bl_desc=new E(e.bl_tree,w),e.bi_buf=0,e.bi_valid=0,D(e)},r._tr_stored_block=N,r._tr_flush_block=function(e,t,r,n){var i,o,s=0;0<e.level?(2===e.strm.data_type&&(e.strm.data_type=function(e){var t,r=4093624447;for(t=0;t<=31;t++,r>>>=1)if(1&r&&0!==e.dyn_ltree[2*t])return 0;if(0!==e.dyn_ltree[18]||0!==e.dyn_ltree[20]||0!==e.dyn_ltree[26])return 1;for(t=32;t<a;t++)if(0!==e.dyn_ltree[2*t])return 1;return 0}(e)),R(e,e.l_desc),R(e,e.d_desc),s=function(e){var t;for(j(e,e.dyn_ltree,e.l_desc.max_code),j(e,e.dyn_dtree,e.d_desc.max_code),R(e,e.bl_desc),t=18;3<=t&&0===e.bl_tree[2*d[t]+1];t--);return e.opt_len+=3*(t+1)+5+5+4,t}(e),i=e.opt_len+3+7>>>3,(o=e.static_len+3+7>>>3)<=i&&(i=o)):i=o=r+5,r+4<=i&&-1!==t?N(e,t,r,n):4===e.strategy||o===i?(C(e,2+(n?1:0),3),P(e,h,p)):(C(e,4+(n?1:0),3),function(e,t,r,n){var i;for(C(e,t-257,5),C(e,r-1,5),C(e,n-4,4),i=0;i<n;i++)C(e,e.bl_tree[2*d[i]+1],3);B(e,e.dyn_ltree,t-1),B(e,e.dyn_dtree,r-1)}(e,e.l_desc.max_code+1,e.d_desc.max_code+1,s+1),P(e,e.dyn_ltree,e.dyn_dtree)),D(e),n&&z(e)},r._tr_tally=function(e,t,r){return e.pending_buf[e.d_buf+2*e.last_lit]=t>>>8&255,e.pending_buf[e.d_buf+2*e.last_lit+1]=255&t,e.pending_buf[e.l_buf+e.last_lit]=255&r,e.last_lit++,0===t?e.dyn_ltree[2*r]++:(e.matches++,t--,e.dyn_ltree[2*(_[r]+a+1)]++,e.dyn_dtree[2*S(t)]++),e.last_lit===e.lit_bufsize-1},r._tr_align=function(e){var t;C(e,2,3),F(e,256,h),16===(t=e).bi_valid?(x(t,t.bi_buf),t.bi_buf=0,t.bi_valid=0):8<=t.bi_valid&&(t.pending_buf[t.pending++]=255&t.bi_buf,t.bi_buf>>=8,t.bi_valid-=8)}},{"../utils/common":41}],53:[function(e,t,r){t.exports=function(){this.input=null,this.next_in=0,this.avail_in=0,this.total_in=0,this.output=null,this.next_out=0,this.avail_out=0,this.total_out=0,this.msg="",this.state=null,this.data_type=2,this.adler=0}},{}],54:[function(e,t,r){(function(e){!function(e,t){if(!e.setImmediate){var r,n,i,a,o=1,s={},u=!1,l=e.document,c=Object.getPrototypeOf&&Object.getPrototypeOf(e);c=c&&c.setTimeout?c:e,r="[object process]"==={}.toString.call(e.process)?function(e){process.nextTick((function(){d(e)}))}:function(){if(e.postMessage&&!e.importScripts){var t=!0,r=e.onmessage;return e.onmessage=function(){t=!1},e.postMessage("","*"),e.onmessage=r,t}}()?(a="setImmediate$"+Math.random()+"$",e.addEventListener?e.addEventListener("message",h,!1):e.attachEvent("onmessage",h),function(t){e.postMessage(a+t,"*")}):e.MessageChannel?((i=new MessageChannel).port1.onmessage=function(e){d(e.data)},function(e){i.port2.postMessage(e)}):l&&"onreadystatechange"in l.createElement("script")?(n=l.documentElement,function(e){var t=l.createElement("script");t.onreadystatechange=function(){d(e),t.onreadystatechange=null,n.removeChild(t),t=null},n.appendChild(t)}):function(e){setTimeout(d,0,e)},c.setImmediate=function(e){"function"!=typeof e&&(e=new Function(""+e));for(var t=new Array(arguments.length-1),n=0;n<t.length;n++)t[n]=arguments[n+1];var i={callback:e,args:t};return s[o]=i,r(o),o++},c.clearImmediate=f}function f(e){delete s[e]}function d(e){if(u)setTimeout(d,0,e);else{var t=s[e];if(t){u=!0;try{!function(e){var t=e.callback,r=e.args;switch(r.length){case 0:t();break;case 1:t(r[0]);break;case 2:t(r[0],r[1]);break;case 3:t(r[0],r[1],r[2]);break;default:t.apply(void 0,r)}}(t)}finally{f(e),u=!1}}}}function h(t){t.source===e&&"string"==typeof t.data&&0===t.data.indexOf(a)&&d(+t.data.slice(a.length))}}("undefined"==typeof self?void 0===e?this:e:self)}).call(this,"undefined"!=typeof n?n:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{}]},{},[10])(10)}))},()=>(a||r((a={exports:{}}).exports,a),a.exports)),u=(()=>{var e="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0;return"undefined"!=typeof __filename&&(e=e||__filename),function(t){var r,n,i="undefined"!=typeof(t=t||{})?t:{};i.ready=new Promise((function(e,t){r=e,n=t}));var a,u,l,c,f,d,h=Object.assign({},i),p="./this.program",m=(e,t)=>{throw t},_="object"==typeof window,g="function"==typeof importScripts,v="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,y="";v?(y=g?require("path").dirname(y)+"/":__dirname+"/",d=()=>{f||(c=require("fs"),f=require("path"))},a=function(e,t){return d(),e=f.normalize(e),c.readFileSync(e,t?void 0:"utf8")},l=e=>{var t=a(e,!0);return t.buffer||(t=new Uint8Array(t)),t},u=(e,t,r)=>{d(),e=f.normalize(e),c.readFile(e,(function(e,n){e?r(e):t(n.buffer)}))},process.argv.length>1&&(p=process.argv[1].replace(/\\/g,"/")),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof br))throw e})),process.on("unhandledRejection",(function(e){throw e})),m=(e,t)=>{throw process.exitCode=e,t},i.inspect=function(){return"[Emscripten Module object]"}):(_||g)&&(g?y=self.location.href:"undefined"!=typeof document&&document.currentScript&&(y=document.currentScript.src),e&&(y=e),y=0!==y.indexOf("blob:")?y.substr(0,y.replace(/[?#].*/,"").lastIndexOf("/")+1):"",a=e=>{var t=new XMLHttpRequest;return t.open("GET",e,!1),t.send(null),t.responseText},g&&(l=e=>{var t=new XMLHttpRequest;return t.open("GET",e,!1),t.responseType="arraybuffer",t.send(null),new Uint8Array(t.response)}),u=(e,t,r)=>{var n=new XMLHttpRequest;n.open("GET",e,!0),n.responseType="arraybuffer",n.onload=()=>{200==n.status||0==n.status&&n.response?t(n.response):r()},n.onerror=r,n.send(null)});var w=i.print||console.log.bind(console),b=i.printErr||console.warn.bind(console);Object.assign(i,h),h=null;var k=0,E=e=>{k=e};"object"!=typeof WebAssembly&&ae("no native wasm support detected");var S,x=!1;function C(e,t){e||ae(t)}var F="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function A(e,t,r){for(var n=t+r,i=t;e[i]&&!(i>=n);)++i;if(i-t>16&&e.buffer&&F)return F.decode(e.subarray(t,i));for(var a="";t<i;){var o=e[t++];if(128&o){var s=63&e[t++];if(192!=(224&o)){var u=63&e[t++];if((o=224==(240&o)?(15&o)<<12|s<<6|u:(7&o)<<18|s<<12|u<<6|63&e[t++])<65536)a+=String.fromCharCode(o);else{var l=o-65536;a+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else a+=String.fromCharCode((31&o)<<6|s)}else a+=String.fromCharCode(o)}return a}function T(e,t){return e?A(R,e,t):""}function D(e,t,r,n){if(!(n>0))return 0;for(var i=r,a=r+n-1,o=0;o<e.length;++o){var s=e.charCodeAt(o);if(s>=55296&&s<=57343)s=65536+((1023&s)<<10)|1023&e.charCodeAt(++o);if(s<=127){if(r>=a)break;t[r++]=s}else if(s<=2047){if(r+1>=a)break;t[r++]=192|s>>6,t[r++]=128|63&s}else if(s<=65535){if(r+2>=a)break;t[r++]=224|s>>12,t[r++]=128|s>>6&63,t[r++]=128|63&s}else{if(r+3>=a)break;t[r++]=240|s>>18,t[r++]=128|s>>12&63,t[r++]=128|s>>6&63,t[r++]=128|63&s}}return t[r]=0,r-i}function z(e,t,r){return D(e,R,t,r)}function I(e){for(var t=0,r=0;r<e.length;++r){var n=e.charCodeAt(r);n>=55296&&n<=57343&&(n=65536+((1023&n)<<10)|1023&e.charCodeAt(++r)),n<=127?++t:t+=n<=2047?2:n<=65535?3:4}return t}var O,P,R,j,B,M,N,U,L,W="undefined"!=typeof TextDecoder?new TextDecoder("utf-16le"):void 0;function $(e,t){for(var r=e,n=r>>1,i=n+t/2;!(n>=i)&&B[n];)++n;if((r=n<<1)-e>32&&W)return W.decode(R.subarray(e,r));for(var a="",o=0;!(o>=t/2);++o){var s=j[e+2*o>>1];if(0==s)break;a+=String.fromCharCode(s)}return a}function Z(e,t,r){if(void 0===r&&(r=2147483647),r<2)return 0;for(var n=t,i=(r-=2)<2*e.length?r/2:e.length,a=0;a<i;++a){var o=e.charCodeAt(a);j[t>>1]=o,t+=2}return j[t>>1]=0,t-n}function H(e){return 2*e.length}function G(e,t){for(var r=0,n="";!(r>=t/4);){var i=M[e+4*r>>2];if(0==i)break;if(++r,i>=65536){var a=i-65536;n+=String.fromCharCode(55296|a>>10,56320|1023&a)}else n+=String.fromCharCode(i)}return n}function Y(e,t,r){if(void 0===r&&(r=2147483647),r<4)return 0;for(var n=t,i=n+r-4,a=0;a<e.length;++a){var o=e.charCodeAt(a);if(o>=55296&&o<=57343)o=65536+((1023&o)<<10)|1023&e.charCodeAt(++a);if(M[t>>2]=o,(t+=4)+4>i)break}return M[t>>2]=0,t-n}function V(e){for(var t=0,r=0;r<e.length;++r){var n=e.charCodeAt(r);n>=55296&&n<=57343&&++r,t+=4}return t}function q(e){var t=I(e)+1,r=cr(t);return r&&D(e,P,r,t),r}function X(e){O=e,i.HEAP8=P=new Int8Array(e),i.HEAP16=j=new Int16Array(e),i.HEAP32=M=new Int32Array(e),i.HEAPU8=R=new Uint8Array(e),i.HEAPU16=B=new Uint16Array(e),i.HEAPU32=N=new Uint32Array(e),i.HEAPF32=U=new Float32Array(e),i.HEAPF64=L=new Float64Array(e)}var K,J=[],Q=[],ee=[];var te=0,re=null;function ne(e){te++}function ie(e){if(0==--te&&re){var t=re;re=null,t()}}function ae(e){b(e="Aborted("+e+")"),x=!0,e+=". Build with -sASSERTIONS for more info.";var t=new WebAssembly.RuntimeError(e);throw n(t),t}var oe,se;function ue(e){return e.startsWith("data:application/octet-stream;base64,")}function le(e){return e.startsWith("file://")}function ce(e){try{if(l)return l(e);throw"both async and sync fetching of the wasm failed"}catch(e){ae(e)}}ue(oe="inference.wasm")||(se=oe,oe=i.locateFile?i.locateFile(se,y):y+se);var fe,de,he={358482:()=>"undefined"!=typeof wasmOffsetConverter};function pe(e){for(;e.length>0;)e.shift()(i)}var me=[];function _e(e){var t=me[e];return t||(e>=me.length&&(me.length=e+1),me[e]=t=K.get(e)),t}function ge(){var e=new Error;if(!e.stack){try{throw new Error}catch(t){e=t}if(!e.stack)return"(no stack trace available)"}return e.stack.toString()}var ve=[];var ye=0;function we(e){this.excPtr=e,this.ptr=e-24,this.set_type=function(e){N[this.ptr+4>>2]=e},this.get_type=function(){return N[this.ptr+4>>2]},this.set_destructor=function(e){N[this.ptr+8>>2]=e},this.get_destructor=function(){return N[this.ptr+8>>2]},this.set_refcount=function(e){M[this.ptr>>2]=e},this.set_caught=function(e){e=e?1:0,P[this.ptr+12>>0]=e},this.get_caught=function(){return 0!=P[this.ptr+12>>0]},this.set_rethrown=function(e){e=e?1:0,P[this.ptr+13>>0]=e},this.get_rethrown=function(){return 0!=P[this.ptr+13>>0]},this.init=function(e,t){this.set_adjusted_ptr(0),this.set_type(e),this.set_destructor(t),this.set_refcount(0),this.set_caught(!1),this.set_rethrown(!1)},this.add_ref=function(){var e=M[this.ptr>>2];M[this.ptr>>2]=e+1},this.release_ref=function(){var e=M[this.ptr>>2];return M[this.ptr>>2]=e-1,1===e},this.set_adjusted_ptr=function(e){N[this.ptr+16>>2]=e},this.get_adjusted_ptr=function(){return N[this.ptr+16>>2]},this.get_exception_ptr=function(){if(wr(this.get_type()))return N[this.excPtr>>2];var e=this.get_adjusted_ptr();return 0!==e?e:this.excPtr}}function be(e){return fr(new we(e).ptr)}var ke={isAbs:e=>"/"===e.charAt(0),splitPath:e=>/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/.exec(e).slice(1),normalizeArray:(e,t)=>{for(var r=0,n=e.length-1;n>=0;n--){var i=e[n];"."===i?e.splice(n,1):".."===i?(e.splice(n,1),r++):r&&(e.splice(n,1),r--)}if(t)for(;r;r--)e.unshift("..");return e},normalize:e=>{var t=ke.isAbs(e),r="/"===e.substr(-1);return!(e=ke.normalizeArray(e.split("/").filter((e=>!!e)),!t).join("/"))&&!t&&(e="."),e&&r&&(e+="/"),(t?"/":"")+e},dirname:e=>{var t=ke.splitPath(e),r=t[0],n=t[1];return r||n?(n&&(n=n.substr(0,n.length-1)),r+n):"."},basename:e=>{if("/"===e)return"/";var t=(e=(e=ke.normalize(e)).replace(/\/$/,"")).lastIndexOf("/");return-1===t?e:e.substr(t+1)},join:function(){var e=Array.prototype.slice.call(arguments,0);return ke.normalize(e.join("/"))},join2:(e,t)=>ke.normalize(e+"/"+t)};function Ee(){if("object"==typeof crypto&&"function"==typeof crypto.getRandomValues){var e=new Uint8Array(1);return function(){return crypto.getRandomValues(e),e[0]}}if(v)try{var t=require("crypto");return function(){return t.randomBytes(1)[0]}}catch(e){}return function(){ae("randomDevice")}}var Se={resolve:function(){for(var e="",t=!1,r=arguments.length-1;r>=-1&&!t;r--){var n=r>=0?arguments[r]:Ae.cwd();if("string"!=typeof n)throw new TypeError("Arguments to path.resolve must be strings");if(!n)return"";e=n+"/"+e,t=ke.isAbs(n)}return(t?"/":"")+(e=ke.normalizeArray(e.split("/").filter((e=>!!e)),!t).join("/"))||"."},relative:(e,t)=>{function r(e){for(var t=0;t<e.length&&""===e[t];t++);for(var r=e.length-1;r>=0&&""===e[r];r--);return t>r?[]:e.slice(t,r-t+1)}e=Se.resolve(e).substr(1),t=Se.resolve(t).substr(1);for(var n=r(e.split("/")),i=r(t.split("/")),a=Math.min(n.length,i.length),o=a,s=0;s<a;s++)if(n[s]!==i[s]){o=s;break}var u=[];for(s=o;s<n.length;s++)u.push("..");return(u=u.concat(i.slice(o))).join("/")}},xe={ttys:[],init:function(){},shutdown:function(){},register:function(e,t){xe.ttys[e]={input:[],output:[],ops:t},Ae.registerDevice(e,xe.stream_ops)},stream_ops:{open:function(e){var t=xe.ttys[e.node.rdev];if(!t)throw new Ae.ErrnoError(43);e.tty=t,e.seekable=!1},close:function(e){e.tty.ops.flush(e.tty)},flush:function(e){e.tty.ops.flush(e.tty)},read:function(e,t,r,n,i){if(!e.tty||!e.tty.ops.get_char)throw new Ae.ErrnoError(60);for(var a=0,o=0;o<n;o++){var s;try{s=e.tty.ops.get_char(e.tty)}catch(e){throw new Ae.ErrnoError(29)}if(void 0===s&&0===a)throw new Ae.ErrnoError(6);if(null==s)break;a++,t[r+o]=s}return a&&(e.node.timestamp=Date.now()),a},write:function(e,t,r,n,i){if(!e.tty||!e.tty.ops.put_char)throw new Ae.ErrnoError(60);try{for(var a=0;a<n;a++)e.tty.ops.put_char(e.tty,t[r+a])}catch(e){throw new Ae.ErrnoError(29)}return n&&(e.node.timestamp=Date.now()),a}},default_tty_ops:{get_char:function(e){if(!e.input.length){var t=null;if(v){var r=Buffer.alloc(256),n=0;try{n=c.readSync(process.stdin.fd,r,0,256,-1)}catch(e){if(!e.toString().includes("EOF"))throw e;n=0}t=n>0?r.slice(0,n).toString("utf-8"):null}else"undefined"!=typeof window&&"function"==typeof window.prompt?null!==(t=window.prompt("Input: "))&&(t+="\n"):"function"==typeof readline&&(null!==(t=readline())&&(t+="\n"));if(!t)return null;e.input=ur(t,!0)}return e.input.shift()},put_char:function(e,t){null===t||10===t?(w(A(e.output,0)),e.output=[]):0!=t&&e.output.push(t)},flush:function(e){e.output&&e.output.length>0&&(w(A(e.output,0)),e.output=[])}},default_tty1_ops:{put_char:function(e,t){null===t||10===t?(b(A(e.output,0)),e.output=[]):0!=t&&e.output.push(t)},flush:function(e){e.output&&e.output.length>0&&(b(A(e.output,0)),e.output=[])}}};function Ce(e){e=function(e,t){return Math.ceil(e/t)*t}(e,65536);var t=pr(65536,e);return t?(function(e,t){R.fill(0,e,e+t)}(t,e),t):0}var Fe={ops_table:null,mount:function(e){return Fe.createNode(null,"/",16895,0)},createNode:function(e,t,r,n){if(Ae.isBlkdev(r)||Ae.isFIFO(r))throw new Ae.ErrnoError(63);Fe.ops_table||(Fe.ops_table={dir:{node:{getattr:Fe.node_ops.getattr,setattr:Fe.node_ops.setattr,lookup:Fe.node_ops.lookup,mknod:Fe.node_ops.mknod,rename:Fe.node_ops.rename,unlink:Fe.node_ops.unlink,rmdir:Fe.node_ops.rmdir,readdir:Fe.node_ops.readdir,symlink:Fe.node_ops.symlink},stream:{llseek:Fe.stream_ops.llseek}},file:{node:{getattr:Fe.node_ops.getattr,setattr:Fe.node_ops.setattr},stream:{llseek:Fe.stream_ops.llseek,read:Fe.stream_ops.read,write:Fe.stream_ops.write,allocate:Fe.stream_ops.allocate,mmap:Fe.stream_ops.mmap,msync:Fe.stream_ops.msync}},link:{node:{getattr:Fe.node_ops.getattr,setattr:Fe.node_ops.setattr,readlink:Fe.node_ops.readlink},stream:{}},chrdev:{node:{getattr:Fe.node_ops.getattr,setattr:Fe.node_ops.setattr},stream:Ae.chrdev_stream_ops}});var i=Ae.createNode(e,t,r,n);return Ae.isDir(i.mode)?(i.node_ops=Fe.ops_table.dir.node,i.stream_ops=Fe.ops_table.dir.stream,i.contents={}):Ae.isFile(i.mode)?(i.node_ops=Fe.ops_table.file.node,i.stream_ops=Fe.ops_table.file.stream,i.usedBytes=0,i.contents=null):Ae.isLink(i.mode)?(i.node_ops=Fe.ops_table.link.node,i.stream_ops=Fe.ops_table.link.stream):Ae.isChrdev(i.mode)&&(i.node_ops=Fe.ops_table.chrdev.node,i.stream_ops=Fe.ops_table.chrdev.stream),i.timestamp=Date.now(),e&&(e.contents[t]=i,e.timestamp=i.timestamp),i},getFileDataAsTypedArray:function(e){return e.contents?e.contents.subarray?e.contents.subarray(0,e.usedBytes):new Uint8Array(e.contents):new Uint8Array(0)},expandFileStorage:function(e,t){var r=e.contents?e.contents.length:0;if(!(r>=t)){t=Math.max(t,r*(r<1048576?2:1.125)>>>0),0!=r&&(t=Math.max(t,256));var n=e.contents;e.contents=new Uint8Array(t),e.usedBytes>0&&e.contents.set(n.subarray(0,e.usedBytes),0)}},resizeFileStorage:function(e,t){if(e.usedBytes!=t)if(0==t)e.contents=null,e.usedBytes=0;else{var r=e.contents;e.contents=new Uint8Array(t),r&&e.contents.set(r.subarray(0,Math.min(t,e.usedBytes))),e.usedBytes=t}},node_ops:{getattr:function(e){var t={};return t.dev=Ae.isChrdev(e.mode)?e.id:1,t.ino=e.id,t.mode=e.mode,t.nlink=1,t.uid=0,t.gid=0,t.rdev=e.rdev,Ae.isDir(e.mode)?t.size=4096:Ae.isFile(e.mode)?t.size=e.usedBytes:Ae.isLink(e.mode)?t.size=e.link.length:t.size=0,t.atime=new Date(e.timestamp),t.mtime=new Date(e.timestamp),t.ctime=new Date(e.timestamp),t.blksize=4096,t.blocks=Math.ceil(t.size/t.blksize),t},setattr:function(e,t){void 0!==t.mode&&(e.mode=t.mode),void 0!==t.timestamp&&(e.timestamp=t.timestamp),void 0!==t.size&&Fe.resizeFileStorage(e,t.size)},lookup:function(e,t){throw Ae.genericErrors[44]},mknod:function(e,t,r,n){return Fe.createNode(e,t,r,n)},rename:function(e,t,r){if(Ae.isDir(e.mode)){var n;try{n=Ae.lookupNode(t,r)}catch(e){}if(n)for(var i in n.contents)throw new Ae.ErrnoError(55)}delete e.parent.contents[e.name],e.parent.timestamp=Date.now(),e.name=r,t.contents[r]=e,t.timestamp=e.parent.timestamp,e.parent=t},unlink:function(e,t){delete e.contents[t],e.timestamp=Date.now()},rmdir:function(e,t){var r=Ae.lookupNode(e,t);for(var n in r.contents)throw new Ae.ErrnoError(55);delete e.contents[t],e.timestamp=Date.now()},readdir:function(e){var t=[".",".."];for(var r in e.contents)!e.contents.hasOwnProperty(r)||t.push(r);return t},symlink:function(e,t,r){var n=Fe.createNode(e,t,41471,0);return n.link=r,n},readlink:function(e){if(!Ae.isLink(e.mode))throw new Ae.ErrnoError(28);return e.link}},stream_ops:{read:function(e,t,r,n,i){var a=e.node.contents;if(i>=e.node.usedBytes)return 0;var o=Math.min(e.node.usedBytes-i,n);if(o>8&&a.subarray)t.set(a.subarray(i,i+o),r);else for(var s=0;s<o;s++)t[r+s]=a[i+s];return o},write:function(e,t,r,n,i,a){if(t.buffer===P.buffer&&(a=!1),!n)return 0;var o=e.node;if(o.timestamp=Date.now(),t.subarray&&(!o.contents||o.contents.subarray)){if(a)return o.contents=t.subarray(r,r+n),o.usedBytes=n,n;if(0===o.usedBytes&&0===i)return o.contents=t.slice(r,r+n),o.usedBytes=n,n;if(i+n<=o.usedBytes)return o.contents.set(t.subarray(r,r+n),i),n}if(Fe.expandFileStorage(o,i+n),o.contents.subarray&&t.subarray)o.contents.set(t.subarray(r,r+n),i);else for(var s=0;s<n;s++)o.contents[i+s]=t[r+s];return o.usedBytes=Math.max(o.usedBytes,i+n),n},llseek:function(e,t,r){var n=t;if(1===r?n+=e.position:2===r&&Ae.isFile(e.node.mode)&&(n+=e.node.usedBytes),n<0)throw new Ae.ErrnoError(28);return n},allocate:function(e,t,r){Fe.expandFileStorage(e.node,t+r),e.node.usedBytes=Math.max(e.node.usedBytes,t+r)},mmap:function(e,t,r,n,i){if(!Ae.isFile(e.node.mode))throw new Ae.ErrnoError(43);var a,o,s=e.node.contents;if(2&i||s.buffer!==O){if((r>0||r+t<s.length)&&(s=s.subarray?s.subarray(r,r+t):Array.prototype.slice.call(s,r,r+t)),o=!0,!(a=Ce(t)))throw new Ae.ErrnoError(48);P.set(s,a)}else o=!1,a=s.byteOffset;return{ptr:a,allocated:o}},msync:function(e,t,r,n,i){if(!Ae.isFile(e.node.mode))throw new Ae.ErrnoError(43);return 2&i||Fe.stream_ops.write(e,t,0,n,r,!1),0}}};var Ae={root:null,mounts:[],devices:{},streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:!1,ignorePermissions:!0,ErrnoError:null,genericErrors:{},filesystems:null,syncFSRequests:0,lookupPath:(e,t={})=>{if(!(e=Se.resolve(Ae.cwd(),e)))return{path:"",node:null};if((t=Object.assign({follow_mount:!0,recurse_count:0},t)).recurse_count>8)throw new Ae.ErrnoError(32);for(var r=ke.normalizeArray(e.split("/").filter((e=>!!e)),!1),n=Ae.root,i="/",a=0;a<r.length;a++){var o=a===r.length-1;if(o&&t.parent)break;if(n=Ae.lookupNode(n,r[a]),i=ke.join2(i,r[a]),Ae.isMountpoint(n)&&(!o||o&&t.follow_mount)&&(n=n.mounted.root),!o||t.follow)for(var s=0;Ae.isLink(n.mode);){var u=Ae.readlink(i);if(i=Se.resolve(ke.dirname(i),u),n=Ae.lookupPath(i,{recurse_count:t.recurse_count+1}).node,s++>40)throw new Ae.ErrnoError(32)}}return{path:i,node:n}},getPath:e=>{for(var t;;){if(Ae.isRoot(e)){var r=e.mount.mountpoint;return t?"/"!==r[r.length-1]?r+"/"+t:r+t:r}t=t?e.name+"/"+t:e.name,e=e.parent}},hashName:(e,t)=>{for(var r=0,n=0;n<t.length;n++)r=(r<<5)-r+t.charCodeAt(n)|0;return(e+r>>>0)%Ae.nameTable.length},hashAddNode:e=>{var t=Ae.hashName(e.parent.id,e.name);e.name_next=Ae.nameTable[t],Ae.nameTable[t]=e},hashRemoveNode:e=>{var t=Ae.hashName(e.parent.id,e.name);if(Ae.nameTable[t]===e)Ae.nameTable[t]=e.name_next;else for(var r=Ae.nameTable[t];r;){if(r.name_next===e){r.name_next=e.name_next;break}r=r.name_next}},lookupNode:(e,t)=>{var r=Ae.mayLookup(e);if(r)throw new Ae.ErrnoError(r,e);for(var n=Ae.hashName(e.id,t),i=Ae.nameTable[n];i;i=i.name_next){var a=i.name;if(i.parent.id===e.id&&a===t)return i}return Ae.lookup(e,t)},createNode:(e,t,r,n)=>{var i=new Ae.FSNode(e,t,r,n);return Ae.hashAddNode(i),i},destroyNode:e=>{Ae.hashRemoveNode(e)},isRoot:e=>e===e.parent,isMountpoint:e=>!!e.mounted,isFile:e=>32768==(61440&e),isDir:e=>16384==(61440&e),isLink:e=>40960==(61440&e),isChrdev:e=>8192==(61440&e),isBlkdev:e=>24576==(61440&e),isFIFO:e=>4096==(61440&e),isSocket:e=>49152==(49152&e),flagModes:{r:0,"r+":2,w:577,"w+":578,a:1089,"a+":1090},modeStringToFlags:e=>{var t=Ae.flagModes[e];if("undefined"==typeof t)throw new Error("Unknown file open mode: "+e);return t},flagsToPermissionString:e=>{var t=["r","w","rw"][3&e];return 512&e&&(t+="w"),t},nodePermissions:(e,t)=>Ae.ignorePermissions?0:t.includes("r")&&!(292&e.mode)||t.includes("w")&&!(146&e.mode)||t.includes("x")&&!(73&e.mode)?2:0,mayLookup:e=>Ae.nodePermissions(e,"x")||(e.node_ops.lookup?0:2),mayCreate:(e,t)=>{try{Ae.lookupNode(e,t);return 20}catch(e){}return Ae.nodePermissions(e,"wx")},mayDelete:(e,t,r)=>{var n;try{n=Ae.lookupNode(e,t)}catch(e){return e.errno}var i=Ae.nodePermissions(e,"wx");if(i)return i;if(r){if(!Ae.isDir(n.mode))return 54;if(Ae.isRoot(n)||Ae.getPath(n)===Ae.cwd())return 10}else if(Ae.isDir(n.mode))return 31;return 0},mayOpen:(e,t)=>e?Ae.isLink(e.mode)?32:Ae.isDir(e.mode)&&("r"!==Ae.flagsToPermissionString(t)||512&t)?31:Ae.nodePermissions(e,Ae.flagsToPermissionString(t)):44,MAX_OPEN_FDS:4096,nextfd:(e=0,t=Ae.MAX_OPEN_FDS)=>{for(var r=e;r<=t;r++)if(!Ae.streams[r])return r;throw new Ae.ErrnoError(33)},getStream:e=>Ae.streams[e],createStream:(e,t,r)=>{Ae.FSStream||(Ae.FSStream=function(){this.shared={}},Ae.FSStream.prototype={},Object.defineProperties(Ae.FSStream.prototype,{object:{get:function(){return this.node},set:function(e){this.node=e}},isRead:{get:function(){return 1!=(2097155&this.flags)}},isWrite:{get:function(){return 0!=(2097155&this.flags)}},isAppend:{get:function(){return 1024&this.flags}},flags:{get:function(){return this.shared.flags},set:function(e){this.shared.flags=e}},position:{get:function(){return this.shared.position},set:function(e){this.shared.position=e}}})),e=Object.assign(new Ae.FSStream,e);var n=Ae.nextfd(t,r);return e.fd=n,Ae.streams[n]=e,e},closeStream:e=>{Ae.streams[e]=null},chrdev_stream_ops:{open:e=>{var t=Ae.getDevice(e.node.rdev);e.stream_ops=t.stream_ops,e.stream_ops.open&&e.stream_ops.open(e)},llseek:()=>{throw new Ae.ErrnoError(70)}},major:e=>e>>8,minor:e=>255&e,makedev:(e,t)=>e<<8|t,registerDevice:(e,t)=>{Ae.devices[e]={stream_ops:t}},getDevice:e=>Ae.devices[e],getMounts:e=>{for(var t=[],r=[e];r.length;){var n=r.pop();t.push(n),r.push.apply(r,n.mounts)}return t},syncfs:(e,t)=>{"function"==typeof e&&(t=e,e=!1),Ae.syncFSRequests++,Ae.syncFSRequests>1&&b("warning: "+Ae.syncFSRequests+" FS.syncfs operations in flight at once, probably just doing extra work");var r=Ae.getMounts(Ae.root.mount),n=0;function i(e){return Ae.syncFSRequests--,t(e)}function a(e){if(e)return a.errored?void 0:(a.errored=!0,i(e));++n>=r.length&&i(null)}r.forEach((t=>{if(!t.type.syncfs)return a(null);t.type.syncfs(t,e,a)}))},mount:(e,t,r)=>{var n,i="/"===r,a=!r;if(i&&Ae.root)throw new Ae.ErrnoError(10);if(!i&&!a){var o=Ae.lookupPath(r,{follow_mount:!1});if(r=o.path,n=o.node,Ae.isMountpoint(n))throw new Ae.ErrnoError(10);if(!Ae.isDir(n.mode))throw new Ae.ErrnoError(54)}var s={type:e,opts:t,mountpoint:r,mounts:[]},u=e.mount(s);return u.mount=s,s.root=u,i?Ae.root=u:n&&(n.mounted=s,n.mount&&n.mount.mounts.push(s)),u},unmount:e=>{var t=Ae.lookupPath(e,{follow_mount:!1});if(!Ae.isMountpoint(t.node))throw new Ae.ErrnoError(28);var r=t.node,n=r.mounted,i=Ae.getMounts(n);Object.keys(Ae.nameTable).forEach((e=>{for(var t=Ae.nameTable[e];t;){var r=t.name_next;i.includes(t.mount)&&Ae.destroyNode(t),t=r}})),r.mounted=null;var a=r.mount.mounts.indexOf(n);r.mount.mounts.splice(a,1)},lookup:(e,t)=>e.node_ops.lookup(e,t),mknod:(e,t,r)=>{var n=Ae.lookupPath(e,{parent:!0}).node,i=ke.basename(e);if(!i||"."===i||".."===i)throw new Ae.ErrnoError(28);var a=Ae.mayCreate(n,i);if(a)throw new Ae.ErrnoError(a);if(!n.node_ops.mknod)throw new Ae.ErrnoError(63);return n.node_ops.mknod(n,i,t,r)},create:(e,t)=>(t=void 0!==t?t:438,t&=4095,t|=32768,Ae.mknod(e,t,0)),mkdir:(e,t)=>(t=void 0!==t?t:511,t&=1023,t|=16384,Ae.mknod(e,t,0)),mkdirTree:(e,t)=>{for(var r=e.split("/"),n="",i=0;i<r.length;++i)if(r[i]){n+="/"+r[i];try{Ae.mkdir(n,t)}catch(e){if(20!=e.errno)throw e}}},mkdev:(e,t,r)=>("undefined"==typeof r&&(r=t,t=438),t|=8192,Ae.mknod(e,t,r)),symlink:(e,t)=>{if(!Se.resolve(e))throw new Ae.ErrnoError(44);var r=Ae.lookupPath(t,{parent:!0}).node;if(!r)throw new Ae.ErrnoError(44);var n=ke.basename(t),i=Ae.mayCreate(r,n);if(i)throw new Ae.ErrnoError(i);if(!r.node_ops.symlink)throw new Ae.ErrnoError(63);return r.node_ops.symlink(r,n,e)},rename:(e,t)=>{var r,n,i=ke.dirname(e),a=ke.dirname(t),o=ke.basename(e),s=ke.basename(t);if(r=Ae.lookupPath(e,{parent:!0}).node,n=Ae.lookupPath(t,{parent:!0}).node,!r||!n)throw new Ae.ErrnoError(44);if(r.mount!==n.mount)throw new Ae.ErrnoError(75);var u,l=Ae.lookupNode(r,o),c=Se.relative(e,a);if("."!==c.charAt(0))throw new Ae.ErrnoError(28);if("."!==(c=Se.relative(t,i)).charAt(0))throw new Ae.ErrnoError(55);try{u=Ae.lookupNode(n,s)}catch(e){}if(l!==u){var f=Ae.isDir(l.mode),d=Ae.mayDelete(r,o,f);if(d)throw new Ae.ErrnoError(d);if(d=u?Ae.mayDelete(n,s,f):Ae.mayCreate(n,s))throw new Ae.ErrnoError(d);if(!r.node_ops.rename)throw new Ae.ErrnoError(63);if(Ae.isMountpoint(l)||u&&Ae.isMountpoint(u))throw new Ae.ErrnoError(10);if(n!==r&&(d=Ae.nodePermissions(r,"w")))throw new Ae.ErrnoError(d);Ae.hashRemoveNode(l);try{r.node_ops.rename(l,n,s)}catch(e){throw e}finally{Ae.hashAddNode(l)}}},rmdir:e=>{var t=Ae.lookupPath(e,{parent:!0}).node,r=ke.basename(e),n=Ae.lookupNode(t,r),i=Ae.mayDelete(t,r,!0);if(i)throw new Ae.ErrnoError(i);if(!t.node_ops.rmdir)throw new Ae.ErrnoError(63);if(Ae.isMountpoint(n))throw new Ae.ErrnoError(10);t.node_ops.rmdir(t,r),Ae.destroyNode(n)},readdir:e=>{var t=Ae.lookupPath(e,{follow:!0}).node;if(!t.node_ops.readdir)throw new Ae.ErrnoError(54);return t.node_ops.readdir(t)},unlink:e=>{var t=Ae.lookupPath(e,{parent:!0}).node;if(!t)throw new Ae.ErrnoError(44);var r=ke.basename(e),n=Ae.lookupNode(t,r),i=Ae.mayDelete(t,r,!1);if(i)throw new Ae.ErrnoError(i);if(!t.node_ops.unlink)throw new Ae.ErrnoError(63);if(Ae.isMountpoint(n))throw new Ae.ErrnoError(10);t.node_ops.unlink(t,r),Ae.destroyNode(n)},readlink:e=>{var t=Ae.lookupPath(e).node;if(!t)throw new Ae.ErrnoError(44);if(!t.node_ops.readlink)throw new Ae.ErrnoError(28);return Se.resolve(Ae.getPath(t.parent),t.node_ops.readlink(t))},stat:(e,t)=>{var r=Ae.lookupPath(e,{follow:!t}).node;if(!r)throw new Ae.ErrnoError(44);if(!r.node_ops.getattr)throw new Ae.ErrnoError(63);return r.node_ops.getattr(r)},lstat:e=>Ae.stat(e,!0),chmod:(e,t,r)=>{var n;"string"==typeof e?n=Ae.lookupPath(e,{follow:!r}).node:n=e;if(!n.node_ops.setattr)throw new Ae.ErrnoError(63);n.node_ops.setattr(n,{mode:4095&t|-4096&n.mode,timestamp:Date.now()})},lchmod:(e,t)=>{Ae.chmod(e,t,!0)},fchmod:(e,t)=>{var r=Ae.getStream(e);if(!r)throw new Ae.ErrnoError(8);Ae.chmod(r.node,t)},chown:(e,t,r,n)=>{var i;"string"==typeof e?i=Ae.lookupPath(e,{follow:!n}).node:i=e;if(!i.node_ops.setattr)throw new Ae.ErrnoError(63);i.node_ops.setattr(i,{timestamp:Date.now()})},lchown:(e,t,r)=>{Ae.chown(e,t,r,!0)},fchown:(e,t,r)=>{var n=Ae.getStream(e);if(!n)throw new Ae.ErrnoError(8);Ae.chown(n.node,t,r)},truncate:(e,t)=>{if(t<0)throw new Ae.ErrnoError(28);var r;"string"==typeof e?r=Ae.lookupPath(e,{follow:!0}).node:r=e;if(!r.node_ops.setattr)throw new Ae.ErrnoError(63);if(Ae.isDir(r.mode))throw new Ae.ErrnoError(31);if(!Ae.isFile(r.mode))throw new Ae.ErrnoError(28);var n=Ae.nodePermissions(r,"w");if(n)throw new Ae.ErrnoError(n);r.node_ops.setattr(r,{size:t,timestamp:Date.now()})},ftruncate:(e,t)=>{var r=Ae.getStream(e);if(!r)throw new Ae.ErrnoError(8);if(0==(2097155&r.flags))throw new Ae.ErrnoError(28);Ae.truncate(r.node,t)},utime:(e,t,r)=>{var n=Ae.lookupPath(e,{follow:!0}).node;n.node_ops.setattr(n,{timestamp:Math.max(t,r)})},open:(e,t,r)=>{if(""===e)throw new Ae.ErrnoError(44);var n;if(r="undefined"==typeof r?438:r,r=64&(t="string"==typeof t?Ae.modeStringToFlags(t):t)?4095&r|32768:0,"object"==typeof e)n=e;else{e=ke.normalize(e);try{n=Ae.lookupPath(e,{follow:!(131072&t)}).node}catch(e){}}var a=!1;if(64&t)if(n){if(128&t)throw new Ae.ErrnoError(20)}else n=Ae.mknod(e,r,0),a=!0;if(!n)throw new Ae.ErrnoError(44);if(Ae.isChrdev(n.mode)&&(t&=-513),65536&t&&!Ae.isDir(n.mode))throw new Ae.ErrnoError(54);if(!a){var o=Ae.mayOpen(n,t);if(o)throw new Ae.ErrnoError(o)}512&t&&!a&&Ae.truncate(n,0),t&=-131713;var s=Ae.createStream({node:n,path:Ae.getPath(n),flags:t,seekable:!0,position:0,stream_ops:n.stream_ops,ungotten:[],error:!1});return s.stream_ops.open&&s.stream_ops.open(s),i.logReadFiles&&!(1&t)&&(Ae.readFiles||(Ae.readFiles={}),e in Ae.readFiles||(Ae.readFiles[e]=1)),s},close:e=>{if(Ae.isClosed(e))throw new Ae.ErrnoError(8);e.getdents&&(e.getdents=null);try{e.stream_ops.close&&e.stream_ops.close(e)}catch(e){throw e}finally{Ae.closeStream(e.fd)}e.fd=null},isClosed:e=>null===e.fd,llseek:(e,t,r)=>{if(Ae.isClosed(e))throw new Ae.ErrnoError(8);if(!e.seekable||!e.stream_ops.llseek)throw new Ae.ErrnoError(70);if(0!=r&&1!=r&&2!=r)throw new Ae.ErrnoError(28);return e.position=e.stream_ops.llseek(e,t,r),e.ungotten=[],e.position},read:(e,t,r,n,i)=>{if(n<0||i<0)throw new Ae.ErrnoError(28);if(Ae.isClosed(e))throw new Ae.ErrnoError(8);if(1==(2097155&e.flags))throw new Ae.ErrnoError(8);if(Ae.isDir(e.node.mode))throw new Ae.ErrnoError(31);if(!e.stream_ops.read)throw new Ae.ErrnoError(28);var a="undefined"!=typeof i;if(a){if(!e.seekable)throw new Ae.ErrnoError(70)}else i=e.position;var o=e.stream_ops.read(e,t,r,n,i);return a||(e.position+=o),o},write:(e,t,r,n,i,a)=>{if(n<0||i<0)throw new Ae.ErrnoError(28);if(Ae.isClosed(e))throw new Ae.ErrnoError(8);if(0==(2097155&e.flags))throw new Ae.ErrnoError(8);if(Ae.isDir(e.node.mode))throw new Ae.ErrnoError(31);if(!e.stream_ops.write)throw new Ae.ErrnoError(28);e.seekable&&1024&e.flags&&Ae.llseek(e,0,2);var o="undefined"!=typeof i;if(o){if(!e.seekable)throw new Ae.ErrnoError(70)}else i=e.position;var s=e.stream_ops.write(e,t,r,n,i,a);return o||(e.position+=s),s},allocate:(e,t,r)=>{if(Ae.isClosed(e))throw new Ae.ErrnoError(8);if(t<0||r<=0)throw new Ae.ErrnoError(28);if(0==(2097155&e.flags))throw new Ae.ErrnoError(8);if(!Ae.isFile(e.node.mode)&&!Ae.isDir(e.node.mode))throw new Ae.ErrnoError(43);if(!e.stream_ops.allocate)throw new Ae.ErrnoError(138);e.stream_ops.allocate(e,t,r)},mmap:(e,t,r,n,i)=>{if(0!=(2&n)&&0==(2&i)&&2!=(2097155&e.flags))throw new Ae.ErrnoError(2);if(1==(2097155&e.flags))throw new Ae.ErrnoError(2);if(!e.stream_ops.mmap)throw new Ae.ErrnoError(43);return e.stream_ops.mmap(e,t,r,n,i)},msync:(e,t,r,n,i)=>e&&e.stream_ops.msync?e.stream_ops.msync(e,t,r,n,i):0,munmap:e=>0,ioctl:(e,t,r)=>{if(!e.stream_ops.ioctl)throw new Ae.ErrnoError(59);return e.stream_ops.ioctl(e,t,r)},readFile:(e,t={})=>{if(t.flags=t.flags||0,t.encoding=t.encoding||"binary","utf8"!==t.encoding&&"binary"!==t.encoding)throw new Error('Invalid encoding type "'+t.encoding+'"');var r,n=Ae.open(e,t.flags),i=Ae.stat(e).size,a=new Uint8Array(i);return Ae.read(n,a,0,i,0),"utf8"===t.encoding?r=A(a,0):"binary"===t.encoding&&(r=a),Ae.close(n),r},writeFile:(e,t,r={})=>{r.flags=r.flags||577;var n=Ae.open(e,r.flags,r.mode);if("string"==typeof t){var i=new Uint8Array(I(t)+1),a=D(t,i,0,i.length);Ae.write(n,i,0,a,void 0,r.canOwn)}else{if(!ArrayBuffer.isView(t))throw new Error("Unsupported data type");Ae.write(n,t,0,t.byteLength,void 0,r.canOwn)}Ae.close(n)},cwd:()=>Ae.currentPath,chdir:e=>{var t=Ae.lookupPath(e,{follow:!0});if(null===t.node)throw new Ae.ErrnoError(44);if(!Ae.isDir(t.node.mode))throw new Ae.ErrnoError(54);var r=Ae.nodePermissions(t.node,"x");if(r)throw new Ae.ErrnoError(r);Ae.currentPath=t.path},createDefaultDirectories:()=>{Ae.mkdir("/tmp"),Ae.mkdir("/home"),Ae.mkdir("/home/web_user")},createDefaultDevices:()=>{Ae.mkdir("/dev"),Ae.registerDevice(Ae.makedev(1,3),{read:()=>0,write:(e,t,r,n,i)=>n}),Ae.mkdev("/dev/null",Ae.makedev(1,3)),xe.register(Ae.makedev(5,0),xe.default_tty_ops),xe.register(Ae.makedev(6,0),xe.default_tty1_ops),Ae.mkdev("/dev/tty",Ae.makedev(5,0)),Ae.mkdev("/dev/tty1",Ae.makedev(6,0));var e=Ee();Ae.createDevice("/dev","random",e),Ae.createDevice("/dev","urandom",e),Ae.mkdir("/dev/shm"),Ae.mkdir("/dev/shm/tmp")},createSpecialDirectories:()=>{Ae.mkdir("/proc");var e=Ae.mkdir("/proc/self");Ae.mkdir("/proc/self/fd"),Ae.mount({mount:()=>{var t=Ae.createNode(e,"fd",16895,73);return t.node_ops={lookup:(e,t)=>{var r=+t,n=Ae.getStream(r);if(!n)throw new Ae.ErrnoError(8);var i={parent:null,mount:{mountpoint:"fake"},node_ops:{readlink:()=>n.path}};return i.parent=i,i}},t}},{},"/proc/self/fd")},createStandardStreams:()=>{i.stdin?Ae.createDevice("/dev","stdin",i.stdin):Ae.symlink("/dev/tty","/dev/stdin"),i.stdout?Ae.createDevice("/dev","stdout",null,i.stdout):Ae.symlink("/dev/tty","/dev/stdout"),i.stderr?Ae.createDevice("/dev","stderr",null,i.stderr):Ae.symlink("/dev/tty1","/dev/stderr"),Ae.open("/dev/stdin",0),Ae.open("/dev/stdout",1),Ae.open("/dev/stderr",1)},ensureErrnoError:()=>{Ae.ErrnoError||(Ae.ErrnoError=function(e,t){this.node=t,this.setErrno=function(e){this.errno=e},this.setErrno(e),this.message="FS error"},Ae.ErrnoError.prototype=new Error,Ae.ErrnoError.prototype.constructor=Ae.ErrnoError,[44].forEach((e=>{Ae.genericErrors[e]=new Ae.ErrnoError(e),Ae.genericErrors[e].stack="<generic error, no stack>"})))},staticInit:()=>{Ae.ensureErrnoError(),Ae.nameTable=new Array(4096),Ae.mount(Fe,{},"/"),Ae.createDefaultDirectories(),Ae.createDefaultDevices(),Ae.createSpecialDirectories(),Ae.filesystems={MEMFS:Fe}},init:(e,t,r)=>{Ae.init.initialized=!0,Ae.ensureErrnoError(),i.stdin=e||i.stdin,i.stdout=t||i.stdout,i.stderr=r||i.stderr,Ae.createStandardStreams()},quit:()=>{Ae.init.initialized=!1;for(var e=0;e<Ae.streams.length;e++){var t=Ae.streams[e];!t||Ae.close(t)}},getMode:(e,t)=>{var r=0;return e&&(r|=365),t&&(r|=146),r},findObject:(e,t)=>{var r=Ae.analyzePath(e,t);return r.exists?r.object:null},analyzePath:(e,t)=>{try{e=(n=Ae.lookupPath(e,{follow:!t})).path}catch(e){}var r={isRoot:!1,exists:!1,error:0,name:null,path:null,object:null,parentExists:!1,parentPath:null,parentObject:null};try{var n=Ae.lookupPath(e,{parent:!0});r.parentExists=!0,r.parentPath=n.path,r.parentObject=n.node,r.name=ke.basename(e),n=Ae.lookupPath(e,{follow:!t}),r.exists=!0,r.path=n.path,r.object=n.node,r.name=n.node.name,r.isRoot="/"===n.path}catch(e){r.error=e.errno}return r},createPath:(e,t,r,n)=>{e="string"==typeof e?e:Ae.getPath(e);for(var i=t.split("/").reverse();i.length;){var a=i.pop();if(a){var o=ke.join2(e,a);try{Ae.mkdir(o)}catch(e){}e=o}}return o},createFile:(e,t,r,n,i)=>{var a=ke.join2("string"==typeof e?e:Ae.getPath(e),t),o=Ae.getMode(n,i);return Ae.create(a,o)},createDataFile:(e,t,r,n,i,a)=>{var o=t;e&&(e="string"==typeof e?e:Ae.getPath(e),o=t?ke.join2(e,t):e);var s=Ae.getMode(n,i),u=Ae.create(o,s);if(r){if("string"==typeof r){for(var l=new Array(r.length),c=0,f=r.length;c<f;++c)l[c]=r.charCodeAt(c);r=l}Ae.chmod(u,146|s);var d=Ae.open(u,577);Ae.write(d,r,0,r.length,0,a),Ae.close(d),Ae.chmod(u,s)}return u},createDevice:(e,t,r,n)=>{var i=ke.join2("string"==typeof e?e:Ae.getPath(e),t),a=Ae.getMode(!!r,!!n);Ae.createDevice.major||(Ae.createDevice.major=64);var o=Ae.makedev(Ae.createDevice.major++,0);return Ae.registerDevice(o,{open:e=>{e.seekable=!1},close:e=>{n&&n.buffer&&n.buffer.length&&n(10)},read:(e,t,n,i,a)=>{for(var o=0,s=0;s<i;s++){var u;try{u=r()}catch(e){throw new Ae.ErrnoError(29)}if(void 0===u&&0===o)throw new Ae.ErrnoError(6);if(null==u)break;o++,t[n+s]=u}return o&&(e.node.timestamp=Date.now()),o},write:(e,t,r,i,a)=>{for(var o=0;o<i;o++)try{n(t[r+o])}catch(e){throw new Ae.ErrnoError(29)}return i&&(e.node.timestamp=Date.now()),o}}),Ae.mkdev(i,a,o)},forceLoadFile:e=>{if(e.isDevice||e.isFolder||e.link||e.contents)return!0;if("undefined"!=typeof XMLHttpRequest)throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");if(!a)throw new Error("Cannot load without read() or XMLHttpRequest.");try{e.contents=ur(a(e.url),!0),e.usedBytes=e.contents.length}catch(e){throw new Ae.ErrnoError(29)}},createLazyFile:(e,t,r,n,i)=>{function a(){this.lengthKnown=!1,this.chunks=[]}if(a.prototype.get=function(e){if(!(e>this.length-1||e<0)){var t=e%this.chunkSize,r=e/this.chunkSize|0;return this.getter(r)[t]}},a.prototype.setDataGetter=function(e){this.getter=e},a.prototype.cacheLength=function(){var e=new XMLHttpRequest;if(e.open("HEAD",r,!1),e.send(null),!(e.status>=200&&e.status<300||304===e.status))throw new Error("Couldn't load "+r+". Status: "+e.status);var t,n=Number(e.getResponseHeader("Content-length")),i=(t=e.getResponseHeader("Accept-Ranges"))&&"bytes"===t,a=(t=e.getResponseHeader("Content-Encoding"))&&"gzip"===t,o=1048576;i||(o=n);var s=this;s.setDataGetter((e=>{var t=e*o,i=(e+1)*o-1;if(i=Math.min(i,n-1),"undefined"==typeof s.chunks[e]&&(s.chunks[e]=((e,t)=>{if(e>t)throw new Error("invalid range ("+e+", "+t+") or no bytes requested!");if(t>n-1)throw new Error("only "+n+" bytes available! programmer error!");var i=new XMLHttpRequest;if(i.open("GET",r,!1),n!==o&&i.setRequestHeader("Range","bytes="+e+"-"+t),i.responseType="arraybuffer",i.overrideMimeType&&i.overrideMimeType("text/plain; charset=x-user-defined"),i.send(null),!(i.status>=200&&i.status<300||304===i.status))throw new Error("Couldn't load "+r+". Status: "+i.status);return void 0!==i.response?new Uint8Array(i.response||[]):ur(i.responseText||"",!0)})(t,i)),"undefined"==typeof s.chunks[e])throw new Error("doXHR failed!");return s.chunks[e]})),(a||!n)&&(o=n=1,n=this.getter(0).length,o=n,w("LazyFiles on gzip forces download of the whole file when length is accessed")),this._length=n,this._chunkSize=o,this.lengthKnown=!0},"undefined"!=typeof XMLHttpRequest){if(!g)throw"Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc";var o=new a;Object.defineProperties(o,{length:{get:function(){return this.lengthKnown||this.cacheLength(),this._length}},chunkSize:{get:function(){return this.lengthKnown||this.cacheLength(),this._chunkSize}}});var s={isDevice:!1,contents:o}}else s={isDevice:!1,url:r};var u=Ae.createFile(e,t,s,n,i);s.contents?u.contents=s.contents:s.url&&(u.contents=null,u.url=s.url),Object.defineProperties(u,{usedBytes:{get:function(){return this.contents.length}}});var l={};function c(e,t,r,n,i){var a=e.node.contents;if(i>=a.length)return 0;var o=Math.min(a.length-i,n);if(a.slice)for(var s=0;s<o;s++)t[r+s]=a[i+s];else for(s=0;s<o;s++)t[r+s]=a.get(i+s);return o}return Object.keys(u.stream_ops).forEach((e=>{var t=u.stream_ops[e];l[e]=function(){return Ae.forceLoadFile(u),t.apply(null,arguments)}})),l.read=(e,t,r,n,i)=>(Ae.forceLoadFile(u),c(e,t,r,n,i)),l.mmap=(e,t,r,n,i)=>{Ae.forceLoadFile(u);var a=Ce(t);if(!a)throw new Ae.ErrnoError(48);return c(e,P,a,t,r),{ptr:a,allocated:!0}},u.stream_ops=l,u},createPreloadedFile:(e,t,r,n,i,a,o,s,l,c)=>{var f=t?Se.resolve(ke.join2(e,t)):e;function d(r){function u(r){c&&c(),s||Ae.createDataFile(e,t,r,n,i,l),a&&a(),ie()}Browser.handledByPreloadPlugin(r,f,u,(()=>{o&&o(),ie()}))||u(r)}ne(),"string"==typeof r?function(e,t,r,n){var i=n?"":"al "+e;u(e,(function(r){C(r,'Loading data file "'+e+'" failed (no arrayBuffer).'),t(new Uint8Array(r)),i&&ie()}),(function(t){if(!r)throw'Loading data file "'+e+'" failed.';r()})),i&&ne()}(r,(e=>d(e)),o):d(r)},indexedDB:()=>window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB,DB_NAME:()=>"EM_FS_"+window.location.pathname,DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:(e,t,r)=>{t=t||(()=>{}),r=r||(()=>{});var n=Ae.indexedDB();try{var i=n.open(Ae.DB_NAME(),Ae.DB_VERSION)}catch(e){return r(e)}i.onupgradeneeded=()=>{w("creating db"),i.result.createObjectStore(Ae.DB_STORE_NAME)},i.onsuccess=()=>{var n=i.result.transaction([Ae.DB_STORE_NAME],"readwrite"),a=n.objectStore(Ae.DB_STORE_NAME),o=0,s=0,u=e.length;function l(){0==s?t():r()}e.forEach((e=>{var t=a.put(Ae.analyzePath(e).object.contents,e);t.onsuccess=()=>{++o+s==u&&l()},t.onerror=()=>{s++,o+s==u&&l()}})),n.onerror=r},i.onerror=r},loadFilesFromDB:(e,t,r)=>{t=t||(()=>{}),r=r||(()=>{});var n=Ae.indexedDB();try{var i=n.open(Ae.DB_NAME(),Ae.DB_VERSION)}catch(e){return r(e)}i.onupgradeneeded=r,i.onsuccess=()=>{var n=i.result;try{var a=n.transaction([Ae.DB_STORE_NAME],"readonly")}catch(e){return void r(e)}var o=a.objectStore(Ae.DB_STORE_NAME),s=0,u=0,l=e.length;function c(){0==u?t():r()}e.forEach((e=>{var t=o.get(e);t.onsuccess=()=>{Ae.analyzePath(e).exists&&Ae.unlink(e),Ae.createDataFile(ke.dirname(e),ke.basename(e),t.result,!0,!0,!0),++s+u==l&&c()},t.onerror=()=>{u++,s+u==l&&c()}})),a.onerror=r},i.onerror=r}},Te={DEFAULT_POLLMASK:5,calculateAt:function(e,t,r){if(ke.isAbs(t))return t;var n;if(-100===e)n=Ae.cwd();else{var i=Ae.getStream(e);if(!i)throw new Ae.ErrnoError(8);n=i.path}if(0==t.length){if(!r)throw new Ae.ErrnoError(44);return n}return ke.join2(n,t)},doStat:function(e,t,r){try{var n=e(t)}catch(e){if(e&&e.node&&ke.normalize(t)!==ke.normalize(Ae.getPath(e.node)))return-54;throw e}return M[r>>2]=n.dev,M[r+4>>2]=0,M[r+8>>2]=n.ino,M[r+12>>2]=n.mode,M[r+16>>2]=n.nlink,M[r+20>>2]=n.uid,M[r+24>>2]=n.gid,M[r+28>>2]=n.rdev,M[r+32>>2]=0,de=[n.size>>>0,(fe=n.size,+Math.abs(fe)>=1?fe>0?(0|Math.min(+Math.floor(fe/4294967296),4294967295))>>>0:~~+Math.ceil((fe-+(~~fe>>>0))/4294967296)>>>0:0)],M[r+40>>2]=de[0],M[r+44>>2]=de[1],M[r+48>>2]=4096,M[r+52>>2]=n.blocks,M[r+56>>2]=n.atime.getTime()/1e3|0,M[r+60>>2]=0,M[r+64>>2]=n.mtime.getTime()/1e3|0,M[r+68>>2]=0,M[r+72>>2]=n.ctime.getTime()/1e3|0,M[r+76>>2]=0,de=[n.ino>>>0,(fe=n.ino,+Math.abs(fe)>=1?fe>0?(0|Math.min(+Math.floor(fe/4294967296),4294967295))>>>0:~~+Math.ceil((fe-+(~~fe>>>0))/4294967296)>>>0:0)],M[r+80>>2]=de[0],M[r+84>>2]=de[1],0},doMsync:function(e,t,r,n,i){var a=R.slice(e,e+r);Ae.msync(t,a,i,r,n)},varargs:void 0,get:function(){return Te.varargs+=4,M[Te.varargs-4>>2]},getStr:function(e){return T(e)},getStreamFromFD:function(e){var t=Ae.getStream(e);if(!t)throw new Ae.ErrnoError(8);return t}};var De={};function ze(e){for(;e.length;){var t=e.pop();e.pop()(t)}}function Ie(e){return this.fromWireType(M[e>>2])}var Oe={},Pe={},Re={};function je(e){if(void 0===e)return"_unknown";var t=(e=e.replace(/[^a-zA-Z0-9_]/g,"$")).charCodeAt(0);return t>=48&&t<=57?"_"+e:e}function Be(e,t){return e=je(e),function(){return t.apply(this,arguments)}}function Me(e,t){var r=Be(t,(function(e){this.name=t,this.message=e;var r=new Error(e).stack;void 0!==r&&(this.stack=this.toString()+"\n"+r.replace(/^Error(:[^\n]*)?\n/,""))}));return r.prototype=Object.create(e.prototype),r.prototype.constructor=r,r.prototype.toString=function(){return void 0===this.message?this.name:this.name+": "+this.message},r}var Ne=void 0;function Ue(e){throw new Ne(e)}function Le(e,t,r){function n(t){var n=r(t);n.length!==e.length&&Ue("Mismatched type converter count");for(var i=0;i<e.length;++i)Ye(e[i],n[i])}e.forEach((function(e){Re[e]=t}));var i=new Array(t.length),a=[],o=0;t.forEach(((e,t)=>{Pe.hasOwnProperty(e)?i[t]=Pe[e]:(a.push(e),Oe.hasOwnProperty(e)||(Oe[e]=[]),Oe[e].push((()=>{i[t]=Pe[e],++o===a.length&&n(i)})))})),0===a.length&&n(i)}function We(e){switch(e){case 1:return 0;case 2:return 1;case 4:return 2;case 8:return 3;default:throw new TypeError("Unknown type size: "+e)}}var $e=void 0;function Ze(e){for(var t="",r=e;R[r];)t+=$e[R[r++]];return t}var He=void 0;function Ge(e){throw new He(e)}function Ye(e,t,r={}){if(!("argPackAdvance"in t))throw new TypeError("registerType registeredInstance requires argPackAdvance");var n=t.name;if(e||Ge('type "'+n+'" must have a positive integer typeid pointer'),Pe.hasOwnProperty(e)){if(r.ignoreDuplicateRegistrations)return;Ge("Cannot register type '"+n+"' twice")}if(Pe[e]=t,delete Re[e],Oe.hasOwnProperty(e)){var i=Oe[e];delete Oe[e],i.forEach((e=>e()))}}function Ve(e){if(!(this instanceof gt&&e instanceof gt))return!1;for(var t=this.$$.ptrType.registeredClass,r=this.$$.ptr,n=e.$$.ptrType.registeredClass,i=e.$$.ptr;t.baseClass;)r=t.upcast(r),t=t.baseClass;for(;n.baseClass;)i=n.upcast(i),n=n.baseClass;return t===n&&r===i}function qe(e){return{count:e.count,deleteScheduled:e.deleteScheduled,preservePointerOnDelete:e.preservePointerOnDelete,ptr:e.ptr,ptrType:e.ptrType,smartPtr:e.smartPtr,smartPtrType:e.smartPtrType}}function Xe(e){Ge(e.$$.ptrType.registeredClass.name+" instance already deleted")}var Ke=!1;function Je(e){}function Qe(e){e.count.value-=1,0===e.count.value&&function(e){e.smartPtr?e.smartPtrType.rawDestructor(e.smartPtr):e.ptrType.registeredClass.rawDestructor(e.ptr)}(e)}function et(e,t,r){if(t===r)return e;if(void 0===r.baseClass)return null;var n=et(e,t,r.baseClass);return null===n?null:r.downcast(n)}var tt={};function rt(){return Object.keys(ut).length}function nt(){var e=[];for(var t in ut)ut.hasOwnProperty(t)&&e.push(ut[t]);return e}var it=[];function at(){for(;it.length;){var e=it.pop();e.$$.deleteScheduled=!1,e.delete()}}var ot=void 0;function st(e){ot=e,it.length&&ot&&ot(at)}var ut={};function lt(e,t){return t=function(e,t){for(void 0===t&&Ge("ptr should not be undefined");e.baseClass;)t=e.upcast(t),e=e.baseClass;return t}(e,t),ut[t]}function ct(e,t){return(!t.ptrType||!t.ptr)&&Ue("makeClassHandle requires ptr and ptrType"),!!t.smartPtrType!==!!t.smartPtr&&Ue("Both smartPtrType and smartPtr must be specified"),t.count={value:1},dt(Object.create(e,{$$:{value:t}}))}function ft(e){var t=this.getPointee(e);if(!t)return this.destructor(e),null;var r=lt(this.registeredClass,t);if(void 0!==r){if(0===r.$$.count.value)return r.$$.ptr=t,r.$$.smartPtr=e,r.clone();var n=r.clone();return this.destructor(e),n}function i(){return this.isSmartPointer?ct(this.registeredClass.instancePrototype,{ptrType:this.pointeeType,ptr:t,smartPtrType:this,smartPtr:e}):ct(this.registeredClass.instancePrototype,{ptrType:this,ptr:e})}var a,o=this.registeredClass.getActualType(t),s=tt[o];if(!s)return i.call(this);a=this.isConst?s.constPointerType:s.pointerType;var u=et(t,this.registeredClass,a.registeredClass);return null===u?i.call(this):this.isSmartPointer?ct(a.registeredClass.instancePrototype,{ptrType:a,ptr:u,smartPtrType:this,smartPtr:e}):ct(a.registeredClass.instancePrototype,{ptrType:a,ptr:u})}function dt(e){return"undefined"==typeof FinalizationRegistry?(dt=e=>e,e):(Ke=new FinalizationRegistry((e=>{Qe(e.$$)})),Je=e=>Ke.unregister(e),(dt=e=>{var t=e.$$;if(!!t.smartPtr){var r={$$:t};Ke.register(e,r,e)}return e})(e))}function ht(){if(this.$$.ptr||Xe(this),this.$$.preservePointerOnDelete)return this.$$.count.value+=1,this;var e=dt(Object.create(Object.getPrototypeOf(this),{$$:{value:qe(this.$$)}}));return e.$$.count.value+=1,e.$$.deleteScheduled=!1,e}function pt(){this.$$.ptr||Xe(this),this.$$.deleteScheduled&&!this.$$.preservePointerOnDelete&&Ge("Object already scheduled for deletion"),Je(this),Qe(this.$$),this.$$.preservePointerOnDelete||(this.$$.smartPtr=void 0,this.$$.ptr=void 0)}function mt(){return!this.$$.ptr}function _t(){return this.$$.ptr||Xe(this),this.$$.deleteScheduled&&!this.$$.preservePointerOnDelete&&Ge("Object already scheduled for deletion"),it.push(this),1===it.length&&ot&&ot(at),this.$$.deleteScheduled=!0,this}function gt(){}function vt(e,t,r){if(void 0===e[t].overloadTable){var n=e[t];e[t]=function(){return e[t].overloadTable.hasOwnProperty(arguments.length)||Ge("Function '"+r+"' called with an invalid number of arguments ("+arguments.length+") - expects one of ("+e[t].overloadTable+")!"),e[t].overloadTable[arguments.length].apply(this,arguments)},e[t].overloadTable=[],e[t].overloadTable[n.argCount]=n}}function yt(e,t,r){i.hasOwnProperty(e)?((void 0===r||void 0!==i[e].overloadTable&&void 0!==i[e].overloadTable[r])&&Ge("Cannot register public name '"+e+"' twice"),vt(i,e,e),i.hasOwnProperty(r)&&Ge("Cannot register multiple overloads of a function with the same number of arguments ("+r+")!"),i[e].overloadTable[r]=t):(i[e]=t,void 0!==r&&(i[e].numArguments=r))}function wt(e,t,r,n,i,a,o,s){this.name=e,this.constructor=t,this.instancePrototype=r,this.rawDestructor=n,this.baseClass=i,this.getActualType=a,this.upcast=o,this.downcast=s,this.pureVirtualFunctions=[]}function bt(e,t,r){for(;t!==r;)t.upcast||Ge("Expected null or instance of "+r.name+", got an instance of "+t.name),e=t.upcast(e),t=t.baseClass;return e}function kt(e,t){if(null===t)return this.isReference&&Ge("null is not a valid "+this.name),0;t.$$||Ge('Cannot pass "'+$t(t)+'" as a '+this.name),t.$$.ptr||Ge("Cannot pass deleted object as a pointer of type "+this.name);var r=t.$$.ptrType.registeredClass;return bt(t.$$.ptr,r,this.registeredClass)}function Et(e,t){var r;if(null===t)return this.isReference&&Ge("null is not a valid "+this.name),this.isSmartPointer?(r=this.rawConstructor(),null!==e&&e.push(this.rawDestructor,r),r):0;t.$$||Ge('Cannot pass "'+$t(t)+'" as a '+this.name),t.$$.ptr||Ge("Cannot pass deleted object as a pointer of type "+this.name),!this.isConst&&t.$$.ptrType.isConst&&Ge("Cannot convert argument of type "+(t.$$.smartPtrType?t.$$.smartPtrType.name:t.$$.ptrType.name)+" to parameter type "+this.name);var n=t.$$.ptrType.registeredClass;if(r=bt(t.$$.ptr,n,this.registeredClass),this.isSmartPointer)switch(void 0===t.$$.smartPtr&&Ge("Passing raw pointer to smart pointer is illegal"),this.sharingPolicy){case 0:t.$$.smartPtrType===this?r=t.$$.smartPtr:Ge("Cannot convert argument of type "+(t.$$.smartPtrType?t.$$.smartPtrType.name:t.$$.ptrType.name)+" to parameter type "+this.name);break;case 1:r=t.$$.smartPtr;break;case 2:if(t.$$.smartPtrType===this)r=t.$$.smartPtr;else{var i=t.clone();r=this.rawShare(r,Wt.toHandle((function(){i.delete()}))),null!==e&&e.push(this.rawDestructor,r)}break;default:Ge("Unsupporting sharing policy")}return r}function St(e,t){if(null===t)return this.isReference&&Ge("null is not a valid "+this.name),0;t.$$||Ge('Cannot pass "'+$t(t)+'" as a '+this.name),t.$$.ptr||Ge("Cannot pass deleted object as a pointer of type "+this.name),t.$$.ptrType.isConst&&Ge("Cannot convert argument of type "+t.$$.ptrType.name+" to parameter type "+this.name);var r=t.$$.ptrType.registeredClass;return bt(t.$$.ptr,r,this.registeredClass)}function xt(e){return this.rawGetPointee&&(e=this.rawGetPointee(e)),e}function Ct(e){this.rawDestructor&&this.rawDestructor(e)}function Ft(e){null!==e&&e.delete()}function At(e,t,r,n,i,a,o,s,u,l,c){this.name=e,this.registeredClass=t,this.isReference=r,this.isConst=n,this.isSmartPointer=i,this.pointeeType=a,this.sharingPolicy=o,this.rawGetPointee=s,this.rawConstructor=u,this.rawShare=l,this.rawDestructor=c,i||void 0!==t.baseClass?this.toWireType=Et:n?(this.toWireType=kt,this.destructorFunction=null):(this.toWireType=St,this.destructorFunction=null)}function Tt(e,t,r){i.hasOwnProperty(e)||Ue("Replacing nonexistant public symbol"),void 0!==i[e].overloadTable&&void 0!==r?i[e].overloadTable[r]=t:(i[e]=t,i[e].argCount=r)}function Dt(e,t,r){return e.includes("j")?function(e,t,r){var n=i["dynCall_"+e];return r&&r.length?n.apply(null,[t].concat(r)):n.call(null,t)}(e,t,r):_e(t).apply(null,r)}function zt(e,t){var r=(e=Ze(e)).includes("j")?function(e,t){var r=[];return function(){return r.length=0,Object.assign(r,arguments),Dt(e,t,r)}}(e,t):_e(t);return"function"!=typeof r&&Ge("unknown function pointer with signature "+e+": "+t),r}var It=void 0;function Ot(e){var t=hr(e),r=Ze(t);return fr(t),r}function Pt(e,t){var r=[],n={};throw t.forEach((function e(t){if(!n[t]&&!Pe[t]){if(Re[t])return void Re[t].forEach(e);r.push(t),n[t]=!0}})),new It(e+": "+r.map(Ot).join([", "]))}function Rt(e,t){for(var r=[],n=0;n<e;n++)r.push(N[t+4*n>>2]);return r}function jt(e,t,r,n,i){var a=t.length;a<2&&Ge("argTypes array size mismatch! Must at least get return value and 'this' types!");for(var o=null!==t[1]&&null!==r,s=!1,u=1;u<t.length;++u)if(null!==t[u]&&void 0===t[u].destructorFunction){s=!0;break}var l="void"!==t[0].name,c=a-2,f=new Array(c),d=[],h=[];return function(){var r;arguments.length!==c&&Ge("function "+e+" called with "+arguments.length+" arguments, expected "+c+" args!"),h.length=0,d.length=o?2:1,d[0]=i,o&&(r=t[1].toWireType(h,this),d[1]=r);for(var a=0;a<c;++a)f[a]=t[a+2].toWireType(h,arguments[a]),d.push(f[a]);var u=n.apply(null,d);function p(e){if(s)ze(h);else for(var n=o?1:2;n<t.length;n++){var i=1===n?r:f[n-2];null!==t[n].destructorFunction&&t[n].destructorFunction(i)}if(l)return t[0].fromWireType(e)}return p(u)}}var Bt=[],Mt=[{},{value:void 0},{value:null},{value:!0},{value:!1}];function Nt(e){e>4&&0==--Mt[e].refcount&&(Mt[e]=void 0,Bt.push(e))}function Ut(){for(var e=0,t=5;t<Mt.length;++t)void 0!==Mt[t]&&++e;return e}function Lt(){for(var e=5;e<Mt.length;++e)if(void 0!==Mt[e])return Mt[e];return null}var Wt={toValue:e=>(e||Ge("Cannot use deleted val. handle = "+e),Mt[e].value),toHandle:e=>{switch(e){case void 0:return 1;case null:return 2;case!0:return 3;case!1:return 4;default:var t=Bt.length?Bt.pop():Mt.length;return Mt[t]={refcount:1,value:e},t}}};function $t(e){if(null===e)return"null";var t=typeof e;return"object"===t||"array"===t||"function"===t?e.toString():""+e}function Zt(e,t){switch(t){case 2:return function(e){return this.fromWireType(U[e>>2])};case 3:return function(e){return this.fromWireType(L[e>>3])};default:throw new TypeError("Unknown float type: "+e)}}function Ht(e,t,r){switch(t){case 0:return r?function(e){return P[e]}:function(e){return R[e]};case 1:return r?function(e){return j[e>>1]}:function(e){return B[e>>1]};case 2:return r?function(e){return M[e>>2]}:function(e){return N[e>>2]};default:throw new TypeError("Unknown integer type: "+e)}}function Gt(e,t){var r=Pe[e];return void 0===r&&Ge(t+" has unknown type "+Ot(e)),r}var Yt,Vt=[];function qt(e){try{return S.grow(e-O.byteLength+65535>>>16),X(S.buffer),1}catch(e){}}function Xt(e){return ae("Cannot use convertFrameToPC (needed by __builtin_return_address) without -sUSE_OFFSET_CONVERTER"),0}Yt=v?()=>{var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:()=>performance.now();var Kt={};function Jt(e){e.forEach((e=>{Xt()}))}var Qt={};function er(){if(!er.strings){var e={USER:"web_user",LOGNAME:"web_user",PATH:"/",PWD:"/",HOME:"/home/web_user",LANG:("object"==typeof navigator&&navigator.languages&&navigator.languages[0]||"C").replace("-","_")+".UTF-8",_:p||"./this.program"};for(var t in Qt)void 0===Qt[t]?delete e[t]:e[t]=Qt[t];var r=[];for(var t in e)r.push(t+"="+e[t]);er.strings=r}return er.strings}function tr(e){return e%4==0&&(e%100!=0||e%400==0)}var rr=[31,29,31,30,31,30,31,31,30,31,30,31],nr=[31,28,31,30,31,30,31,31,30,31,30,31];function ir(e,t,r,n){var i=M[n+40>>2],a={tm_sec:M[n>>2],tm_min:M[n+4>>2],tm_hour:M[n+8>>2],tm_mday:M[n+12>>2],tm_mon:M[n+16>>2],tm_year:M[n+20>>2],tm_wday:M[n+24>>2],tm_yday:M[n+28>>2],tm_isdst:M[n+32>>2],tm_gmtoff:M[n+36>>2],tm_zone:i?T(i):""},o=T(r),s={"%c":"%a %b %d %H:%M:%S %Y","%D":"%m/%d/%y","%F":"%Y-%m-%d","%h":"%b","%r":"%I:%M:%S %p","%R":"%H:%M","%T":"%H:%M:%S","%x":"%m/%d/%y","%X":"%H:%M:%S","%Ec":"%c","%EC":"%C","%Ex":"%m/%d/%y","%EX":"%H:%M:%S","%Ey":"%y","%EY":"%Y","%Od":"%d","%Oe":"%e","%OH":"%H","%OI":"%I","%Om":"%m","%OM":"%M","%OS":"%S","%Ou":"%u","%OU":"%U","%OV":"%V","%Ow":"%w","%OW":"%W","%Oy":"%y"};for(var u in s)o=o.replace(new RegExp(u,"g"),s[u]);var l=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],c=["January","February","March","April","May","June","July","August","September","October","November","December"];function f(e,t,r){for(var n="number"==typeof e?e.toString():e||"";n.length<t;)n=r[0]+n;return n}function d(e,t){return f(e,t,"0")}function h(e,t){function r(e){return e<0?-1:e>0?1:0}var n;return 0===(n=r(e.getFullYear()-t.getFullYear()))&&0===(n=r(e.getMonth()-t.getMonth()))&&(n=r(e.getDate()-t.getDate())),n}function p(e){switch(e.getDay()){case 0:return new Date(e.getFullYear()-1,11,29);case 1:return e;case 2:return new Date(e.getFullYear(),0,3);case 3:return new Date(e.getFullYear(),0,2);case 4:return new Date(e.getFullYear(),0,1);case 5:return new Date(e.getFullYear()-1,11,31);case 6:return new Date(e.getFullYear()-1,11,30)}}function m(e){var t=function(e,t){for(var r=new Date(e.getTime());t>0;){var n=tr(r.getFullYear()),i=r.getMonth(),a=(n?rr:nr)[i];if(!(t>a-r.getDate()))return r.setDate(r.getDate()+t),r;t-=a-r.getDate()+1,r.setDate(1),i<11?r.setMonth(i+1):(r.setMonth(0),r.setFullYear(r.getFullYear()+1))}return r}(new Date(e.tm_year+1900,0,1),e.tm_yday),r=new Date(t.getFullYear(),0,4),n=new Date(t.getFullYear()+1,0,4),i=p(r),a=p(n);return h(i,t)<=0?h(a,t)<=0?t.getFullYear()+1:t.getFullYear():t.getFullYear()-1}var _={"%a":function(e){return l[e.tm_wday].substring(0,3)},"%A":function(e){return l[e.tm_wday]},"%b":function(e){return c[e.tm_mon].substring(0,3)},"%B":function(e){return c[e.tm_mon]},"%C":function(e){return d((e.tm_year+1900)/100|0,2)},"%d":function(e){return d(e.tm_mday,2)},"%e":function(e){return f(e.tm_mday,2," ")},"%g":function(e){return m(e).toString().substring(2)},"%G":function(e){return m(e)},"%H":function(e){return d(e.tm_hour,2)},"%I":function(e){var t=e.tm_hour;return 0==t?t=12:t>12&&(t-=12),d(t,2)},"%j":function(e){return d(e.tm_mday+function(e,t){for(var r=0,n=0;n<=t;r+=e[n++]);return r}(tr(e.tm_year+1900)?rr:nr,e.tm_mon-1),3)},"%m":function(e){return d(e.tm_mon+1,2)},"%M":function(e){return d(e.tm_min,2)},"%n":function(){return"\n"},"%p":function(e){return e.tm_hour>=0&&e.tm_hour<12?"AM":"PM"},"%S":function(e){return d(e.tm_sec,2)},"%t":function(){return"\t"},"%u":function(e){return e.tm_wday||7},"%U":function(e){var t=e.tm_yday+7-e.tm_wday;return d(Math.floor(t/7),2)},"%V":function(e){var t=Math.floor((e.tm_yday+7-(e.tm_wday+6)%7)/7);if((e.tm_wday+371-e.tm_yday-2)%7<=2&&t++,t){if(53==t){var r=(e.tm_wday+371-e.tm_yday)%7;4!=r&&(3!=r||!tr(e.tm_year))&&(t=1)}}else{t=52;var n=(e.tm_wday+7-e.tm_yday-1)%7;(4==n||5==n&&tr(e.tm_year%400-1))&&t++}return d(t,2)},"%w":function(e){return e.tm_wday},"%W":function(e){var t=e.tm_yday+7-(e.tm_wday+6)%7;return d(Math.floor(t/7),2)},"%y":function(e){return(e.tm_year+1900).toString().substring(2)},"%Y":function(e){return e.tm_year+1900},"%z":function(e){var t=e.tm_gmtoff,r=t>=0;return t=(t=Math.abs(t)/60)/60*100+t%60,(r?"+":"-")+String("0000"+t).slice(-4)},"%Z":function(e){return e.tm_zone},"%%":function(){return"%"}};for(var u in o=o.replace(/%%/g,"\0\0"),_)o.includes(u)&&(o=o.replace(new RegExp(u,"g"),_[u](a)));var g=ur(o=o.replace(/\0\0/g,"%"),!1);return g.length>t?0:(function(e,t){P.set(e,t)}(g,e),g.length-1)}var ar=function(e,t,r,n){e||(e=this),this.parent=e,this.mount=e.mount,this.mounted=null,this.id=Ae.nextInode++,this.name=t,this.mode=r,this.node_ops={},this.stream_ops={},this.rdev=n},or=365,sr=146;function ur(e,t,r){var n=r>0?r:I(e)+1,i=new Array(n),a=D(e,i,0,i.length);return t&&(i.length=a),i}Object.defineProperties(ar.prototype,{read:{get:function(){return(this.mode&or)===or},set:function(e){e?this.mode|=or:this.mode&=~or}},write:{get:function(){return(this.mode&sr)===sr},set:function(e){e?this.mode|=sr:this.mode&=~sr}},isFolder:{get:function(){return Ae.isDir(this.mode)}},isDevice:{get:function(){return Ae.isChrdev(this.mode)}}}),Ae.FSNode=ar,Ae.staticInit(),Ne=i.InternalError=Me(Error,"InternalError"),function(){for(var e=new Array(256),t=0;t<256;++t)e[t]=String.fromCharCode(t);$e=e}(),He=i.BindingError=Me(Error,"BindingError"),gt.prototype.isAliasOf=Ve,gt.prototype.clone=ht,gt.prototype.delete=pt,gt.prototype.isDeleted=mt,gt.prototype.deleteLater=_t,i.getInheritedInstanceCount=rt,i.getLiveInheritedInstances=nt,i.flushPendingDeletes=at,i.setDelayFunction=st,At.prototype.getPointee=xt,At.prototype.destructor=Ct,At.prototype.argPackAdvance=8,At.prototype.readValueFromPointer=Ie,At.prototype.deleteObject=Ft,At.prototype.fromWireType=ft,It=i.UnboundTypeError=Me(Error,"UnboundTypeError"),i.count_emval_handles=Ut,i.get_first_emval=Lt;var lr={HaveOffsetConverter:function(){return"undefined"!=typeof wasmOffsetConverter},__cxa_allocate_exception:function(e){return cr(e+24)+24},__cxa_begin_catch:function(e){var t=new we(e);return t.get_caught()||(t.set_caught(!0)),t.set_rethrown(!1),ve.push(t),function(e){e.add_ref()}(t),t.get_exception_ptr()},__cxa_end_catch:function(){mr(0),function(e){if(e.release_ref()&&!e.get_rethrown()){var t=e.get_destructor();t&&_e(t)(e.excPtr),be(e.excPtr)}}(ve.pop()),ye=0},__cxa_find_matching_catch_2:function(){var e=ye;if(!e)return E(0),0;var t=new we(e);t.set_adjusted_ptr(e);var r=t.get_type();if(!r)return E(0),e;for(var n=Array.prototype.slice.call(arguments),i=0;i<n.length;i++){var a=n[i];if(0===a||a===r)break;var o=t.ptr+16;if(yr(a,r,o))return E(a),e}return E(r),e},__cxa_find_matching_catch_3:function(){var e=ye;if(!e)return E(0),0;var t=new we(e);t.set_adjusted_ptr(e);var r=t.get_type();if(!r)return E(0),e;for(var n=Array.prototype.slice.call(arguments),i=0;i<n.length;i++){var a=n[i];if(0===a||a===r)break;var o=t.ptr+16;if(yr(a,r,o))return E(a),e}return E(r),e},__cxa_free_exception:be,__cxa_throw:function(e,t,r){throw new we(e).init(t,r),ye=e,e},__resumeException:function(e){throw ye||(ye=e),e},__syscall_fcntl64:function(e,t,r){Te.varargs=r;try{var n=Te.getStreamFromFD(e);switch(t){case 0:return(i=Te.get())<0?-28:Ae.createStream(n,i).fd;case 1:case 2:case 6:case 7:return 0;case 3:return n.flags;case 4:var i=Te.get();return n.flags|=i,0;case 5:i=Te.get();return j[i+0>>1]=2,0;case 16:case 8:default:return-28;case 9:return function(e){M[dr()>>2]=e}(28),-1}}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return-e.errno}},__syscall_fstat64:function(e,t){try{var r=Te.getStreamFromFD(e);return Te.doStat(Ae.stat,r.path,t)}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return-e.errno}},__syscall_getdents64:function(e,t,r){try{var n=Te.getStreamFromFD(e);n.getdents||(n.getdents=Ae.readdir(n.path));for(var i=280,a=0,o=Ae.llseek(n,0,1),s=Math.floor(o/i);s<n.getdents.length&&a+i<=r;){var u,l,c=n.getdents[s];if("."===c)u=n.node.id,l=4;else if(".."===c){u=Ae.lookupPath(n.path,{parent:!0}).node.id,l=4}else{var f=Ae.lookupNode(n.node,c);u=f.id,l=Ae.isChrdev(f.mode)?2:Ae.isDir(f.mode)?4:Ae.isLink(f.mode)?10:8}de=[u>>>0,(fe=u,+Math.abs(fe)>=1?fe>0?(0|Math.min(+Math.floor(fe/4294967296),4294967295))>>>0:~~+Math.ceil((fe-+(~~fe>>>0))/4294967296)>>>0:0)],M[t+a>>2]=de[0],M[t+a+4>>2]=de[1],de=[(s+1)*i>>>0,(fe=(s+1)*i,+Math.abs(fe)>=1?fe>0?(0|Math.min(+Math.floor(fe/4294967296),4294967295))>>>0:~~+Math.ceil((fe-+(~~fe>>>0))/4294967296)>>>0:0)],M[t+a+8>>2]=de[0],M[t+a+12>>2]=de[1],j[t+a+16>>1]=280,P[t+a+18>>0]=l,z(c,t+a+19,256),a+=i,s+=1}return Ae.llseek(n,s*i,0),a}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return-e.errno}},__syscall_ioctl:function(e,t,r){Te.varargs=r;try{var n=Te.getStreamFromFD(e);switch(t){case 21509:case 21505:case 21510:case 21511:case 21512:case 21506:case 21507:case 21508:case 21523:case 21524:return n.tty?0:-59;case 21519:if(!n.tty)return-59;var i=Te.get();return M[i>>2]=0,0;case 21520:return n.tty?-28:-59;case 21531:i=Te.get();return Ae.ioctl(n,t,i);default:ae("bad ioctl syscall "+t)}}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return-e.errno}},__syscall_lstat64:function(e,t){try{return e=Te.getStr(e),Te.doStat(Ae.lstat,e,t)}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return-e.errno}},__syscall_mkdirat:function(e,t,r){try{return t=Te.getStr(t),t=Te.calculateAt(e,t),"/"===(t=ke.normalize(t))[t.length-1]&&(t=t.substr(0,t.length-1)),Ae.mkdir(t,r,0),0}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return-e.errno}},__syscall_newfstatat:function(e,t,r,n){try{t=Te.getStr(t);var i=256&n,a=4096&n;return n&=-4353,t=Te.calculateAt(e,t,a),Te.doStat(i?Ae.lstat:Ae.stat,t,r)}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return-e.errno}},__syscall_openat:function(e,t,r,n){Te.varargs=n;try{t=Te.getStr(t),t=Te.calculateAt(e,t);var i=n?Te.get():0;return Ae.open(t,r,i).fd}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return-e.errno}},__syscall_stat64:function(e,t){try{return e=Te.getStr(e),Te.doStat(Ae.stat,e,t)}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return-e.errno}},_embind_finalize_value_object:function(e){var t=De[e];delete De[e];var r=t.rawConstructor,n=t.rawDestructor,i=t.fields;Le([e],i.map((e=>e.getterReturnType)).concat(i.map((e=>e.setterArgumentType))),(e=>{var a={};return i.forEach(((t,r)=>{var n=t.fieldName,o=e[r],s=t.getter,u=t.getterContext,l=e[r+i.length],c=t.setter,f=t.setterContext;a[n]={read:e=>o.fromWireType(s(u,e)),write:(e,t)=>{var r=[];c(f,e,l.toWireType(r,t)),ze(r)}}})),[{name:t.name,fromWireType:function(e){var t={};for(var r in a)t[r]=a[r].read(e);return n(e),t},toWireType:function(e,t){for(var i in a)if(!(i in t))throw new TypeError('Missing field:  "'+i+'"');var o=r();for(i in a)a[i].write(o,t[i]);return null!==e&&e.push(n,o),o},argPackAdvance:8,readValueFromPointer:Ie,destructorFunction:n}]}))},_embind_register_bigint:function(e,t,r,n,i){},_embind_register_bool:function(e,t,r,n,i){var a=We(r);Ye(e,{name:t=Ze(t),fromWireType:function(e){return!!e},toWireType:function(e,t){return t?n:i},argPackAdvance:8,readValueFromPointer:function(e){var n;if(1===r)n=P;else if(2===r)n=j;else{if(4!==r)throw new TypeError("Unknown boolean type size: "+t);n=M}return this.fromWireType(n[e>>a])},destructorFunction:null})},_embind_register_class:function(e,t,r,n,i,a,o,s,u,l,c,f,d){c=Ze(c),a=zt(i,a),s&&(s=zt(o,s)),l&&(l=zt(u,l)),d=zt(f,d);var h=je(c);yt(h,(function(){Pt("Cannot construct "+c+" due to unbound types",[n])})),Le([e,t,r],n?[n]:[],(function(t){var r,i;t=t[0],n?i=(r=t.registeredClass).instancePrototype:i=gt.prototype;var o=Be(h,(function(){if(Object.getPrototypeOf(this)!==u)throw new He("Use 'new' to construct "+c);if(void 0===f.constructor_body)throw new He(c+" has no accessible constructor");var e=f.constructor_body[arguments.length];if(void 0===e)throw new He("Tried to invoke ctor of "+c+" with invalid number of parameters ("+arguments.length+") - expected ("+Object.keys(f.constructor_body).toString()+") parameters instead!");return e.apply(this,arguments)})),u=Object.create(i,{constructor:{value:o}});o.prototype=u;var f=new wt(c,o,u,d,r,a,s,l),p=new At(c,f,!0,!1,!1),m=new At(c+"*",f,!1,!1,!1),_=new At(c+" const*",f,!1,!0,!1);return tt[e]={pointerType:m,constPointerType:_},Tt(h,o),[p,m,_]}))},_embind_register_class_constructor:function(e,t,r,n,i,a){C(t>0);var o=Rt(t,r);i=zt(n,i),Le([],[e],(function(e){var r="constructor "+(e=e[0]).name;if(void 0===e.registeredClass.constructor_body&&(e.registeredClass.constructor_body=[]),void 0!==e.registeredClass.constructor_body[t-1])throw new He("Cannot register multiple constructors with identical number of parameters ("+(t-1)+") for class '"+e.name+"'! Overload resolution is currently only performed using the parameter count, not actual type info!");return e.registeredClass.constructor_body[t-1]=()=>{Pt("Cannot construct "+e.name+" due to unbound types",o)},Le([],o,(function(n){return n.splice(1,0,null),e.registeredClass.constructor_body[t-1]=jt(r,n,null,i,a),[]})),[]}))},_embind_register_class_function:function(e,t,r,n,i,a,o,s){var u=Rt(r,n);t=Ze(t),a=zt(i,a),Le([],[e],(function(e){var n=(e=e[0]).name+"."+t;function i(){Pt("Cannot call "+n+" due to unbound types",u)}t.startsWith("@@")&&(t=Symbol[t.substring(2)]),s&&e.registeredClass.pureVirtualFunctions.push(t);var l=e.registeredClass.instancePrototype,c=l[t];return void 0===c||void 0===c.overloadTable&&c.className!==e.name&&c.argCount===r-2?(i.argCount=r-2,i.className=e.name,l[t]=i):(vt(l,t,n),l[t].overloadTable[r-2]=i),Le([],u,(function(i){var s=jt(n,i,e,a,o);return void 0===l[t].overloadTable?(s.argCount=r-2,l[t]=s):l[t].overloadTable[r-2]=s,[]})),[]}))},_embind_register_emval:function(e,t){Ye(e,{name:t=Ze(t),fromWireType:function(e){var t=Wt.toValue(e);return Nt(e),t},toWireType:function(e,t){return Wt.toHandle(t)},argPackAdvance:8,readValueFromPointer:Ie,destructorFunction:null})},_embind_register_float:function(e,t,r){var n=We(r);Ye(e,{name:t=Ze(t),fromWireType:function(e){return e},toWireType:function(e,t){return t},argPackAdvance:8,readValueFromPointer:Zt(t,n),destructorFunction:null})},_embind_register_function:function(e,t,r,n,i,a){var o=Rt(t,r);e=Ze(e),i=zt(n,i),yt(e,(function(){Pt("Cannot call "+e+" due to unbound types",o)}),t-1),Le([],o,(function(r){var n=[r[0],null].concat(r.slice(1));return Tt(e,jt(e,n,null,i,a),t-1),[]}))},_embind_register_integer:function(e,t,r,n,i){t=Ze(t);var a=We(r),o=e=>e;if(0===n){var s=32-8*r;o=e=>e<<s>>>s}var u=t.includes("unsigned");Ye(e,{name:t,fromWireType:o,toWireType:u?function(e,t){return this.name,t>>>0}:function(e,t){return this.name,t},argPackAdvance:8,readValueFromPointer:Ht(t,a,0!==n),destructorFunction:null})},_embind_register_memory_view:function(e,t,r){var n=[Int8Array,Uint8Array,Int16Array,Uint16Array,Int32Array,Uint32Array,Float32Array,Float64Array][t];function i(e){var t=N,r=t[e>>=2],i=t[e+1];return new n(O,i,r)}Ye(e,{name:r=Ze(r),fromWireType:i,argPackAdvance:8,readValueFromPointer:i},{ignoreDuplicateRegistrations:!0})},_embind_register_smart_ptr:function(e,t,r,n,i,a,o,s,u,l,c,f){r=Ze(r),a=zt(i,a),s=zt(o,s),l=zt(u,l),f=zt(c,f),Le([e],[t],(function(e){return e=e[0],[new At(r,e.registeredClass,!1,!1,!0,e,n,a,s,l,f)]}))},_embind_register_std_string:function(e,t){var r="std::string"===(t=Ze(t));Ye(e,{name:t,fromWireType:function(e){var t,n=N[e>>2],i=e+4;if(r)for(var a=i,o=0;o<=n;++o){var s=i+o;if(o==n||0==R[s]){var u=T(a,s-a);void 0===t?t=u:(t+=String.fromCharCode(0),t+=u),a=s+1}}else{var l=new Array(n);for(o=0;o<n;++o)l[o]=String.fromCharCode(R[i+o]);t=l.join("")}return fr(e),t},toWireType:function(e,t){t instanceof ArrayBuffer&&(t=new Uint8Array(t));var n,i="string"==typeof t;i||t instanceof Uint8Array||t instanceof Uint8ClampedArray||t instanceof Int8Array||Ge("Cannot pass non-string to std::string"),n=r&&i?I(t):t.length;var a=cr(4+n+1),o=a+4;if(N[a>>2]=n,r&&i)z(t,o,n+1);else if(i)for(var s=0;s<n;++s){var u=t.charCodeAt(s);u>255&&(fr(o),Ge("String has UTF-16 code units that do not fit in 8 bits")),R[o+s]=u}else for(s=0;s<n;++s)R[o+s]=t[s];return null!==e&&e.push(fr,a),a},argPackAdvance:8,readValueFromPointer:Ie,destructorFunction:function(e){fr(e)}})},_embind_register_std_wstring:function(e,t,r){var n,i,a,o,s;r=Ze(r),2===t?(n=$,i=Z,o=H,a=()=>B,s=1):4===t&&(n=G,i=Y,o=V,a=()=>N,s=2),Ye(e,{name:r,fromWireType:function(e){for(var r,i=N[e>>2],o=a(),u=e+4,l=0;l<=i;++l){var c=e+4+l*t;if(l==i||0==o[c>>s]){var f=n(u,c-u);void 0===r?r=f:(r+=String.fromCharCode(0),r+=f),u=c+t}}return fr(e),r},toWireType:function(e,n){"string"!=typeof n&&Ge("Cannot pass non-string to C++ string type "+r);var a=o(n),u=cr(4+a+t);return N[u>>2]=a>>s,i(n,u+4,a+t),null!==e&&e.push(fr,u),u},argPackAdvance:8,readValueFromPointer:Ie,destructorFunction:function(e){fr(e)}})},_embind_register_value_object:function(e,t,r,n,i,a){De[e]={name:Ze(t),rawConstructor:zt(r,n),rawDestructor:zt(i,a),fields:[]}},_embind_register_value_object_field:function(e,t,r,n,i,a,o,s,u,l){De[e].fields.push({fieldName:Ze(t),getterReturnType:r,getter:zt(n,i),getterContext:a,setterArgumentType:o,setter:zt(s,u),setterContext:l})},_embind_register_void:function(e,t){Ye(e,{isVoid:!0,name:t=Ze(t),argPackAdvance:0,fromWireType:function(){},toWireType:function(e,t){}})},_emscripten_date_now:function(){return Date.now()},_emscripten_get_now_is_monotonic:function(){return true},_emval_call:function(e,t,r,n){e=Wt.toValue(e);for(var i=function(e,t){for(var r=new Array(e),n=0;n<e;++n)r[n]=Gt(N[t+4*n>>2],"parameter "+n);return r}(t,r),a=new Array(t),o=0;o<t;++o){var s=i[o];a[o]=s.readValueFromPointer(n),n+=s.argPackAdvance}var u=e.apply(void 0,a);return Wt.toHandle(u)},_emval_decref:Nt,_emval_incref:function(e){e>4&&(Mt[e].refcount+=1)},_emval_take_value:function(e,t){var r=(e=Gt(e,"_emval_take_value")).readValueFromPointer(t);return Wt.toHandle(r)},_gmtime_js:function(e,t){var r=new Date(1e3*M[e>>2]);M[t>>2]=r.getUTCSeconds(),M[t+4>>2]=r.getUTCMinutes(),M[t+8>>2]=r.getUTCHours(),M[t+12>>2]=r.getUTCDate(),M[t+16>>2]=r.getUTCMonth(),M[t+20>>2]=r.getUTCFullYear()-1900,M[t+24>>2]=r.getUTCDay();var n=Date.UTC(r.getUTCFullYear(),0,1,0,0,0,0),i=(r.getTime()-n)/864e5|0;M[t+28>>2]=i},_localtime_js:function(e,t){var r=new Date(1e3*M[e>>2]);M[t>>2]=r.getSeconds(),M[t+4>>2]=r.getMinutes(),M[t+8>>2]=r.getHours(),M[t+12>>2]=r.getDate(),M[t+16>>2]=r.getMonth(),M[t+20>>2]=r.getFullYear()-1900,M[t+24>>2]=r.getDay();var n=new Date(r.getFullYear(),0,1),i=(r.getTime()-n.getTime())/864e5|0;M[t+28>>2]=i,M[t+36>>2]=-60*r.getTimezoneOffset();var a=new Date(r.getFullYear(),6,1).getTimezoneOffset(),o=n.getTimezoneOffset(),s=0|(a!=o&&r.getTimezoneOffset()==Math.min(o,a));M[t+32>>2]=s},_mktime_js:function(e){var t=new Date(M[e+20>>2]+1900,M[e+16>>2],M[e+12>>2],M[e+8>>2],M[e+4>>2],M[e>>2],0),r=M[e+32>>2],n=t.getTimezoneOffset(),i=new Date(t.getFullYear(),0,1),a=new Date(t.getFullYear(),6,1).getTimezoneOffset(),o=i.getTimezoneOffset(),s=Math.min(o,a);if(r<0)M[e+32>>2]=Number(a!=o&&s==n);else if(r>0!=(s==n)){var u=Math.max(o,a),l=r>0?s:u;t.setTime(t.getTime()+6e4*(l-n))}M[e+24>>2]=t.getDay();var c=(t.getTime()-i.getTime())/864e5|0;return M[e+28>>2]=c,M[e>>2]=t.getSeconds(),M[e+4>>2]=t.getMinutes(),M[e+8>>2]=t.getHours(),M[e+12>>2]=t.getDate(),M[e+16>>2]=t.getMonth(),t.getTime()/1e3|0},_mmap_js:function(e,t,r,n,i,a){try{var o=Ae.getStream(n);if(!o)return-8;var s=Ae.mmap(o,e,i,t,r),u=s.ptr;return M[a>>2]=s.allocated,u}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return-e.errno}},_tzset_js:function e(t,r,n){e.called||(e.called=!0,function(e,t,r){var n=(new Date).getFullYear(),i=new Date(n,0,1),a=new Date(n,6,1),o=i.getTimezoneOffset(),s=a.getTimezoneOffset(),u=Math.max(o,s);function l(e){var t=e.toTimeString().match(/\(([A-Za-z ]+)\)$/);return t?t[1]:"GMT"}M[e>>2]=60*u,M[t>>2]=Number(o!=s);var c=l(i),f=l(a),d=q(c),h=q(f);s<o?(N[r>>2]=d,N[r+4>>2]=h):(N[r>>2]=h,N[r+4>>2]=d)}(t,r,n))},abort:function(){ae("")},emscripten_asm_const_int:function(e,t,r){var n=function(e,t){var r;for(Vt.length=0,t>>=2;r=R[e++];)t+=105!=r&t,Vt.push(105==r?M[t]:L[t++>>1]),++t;return Vt}(t,r);return he[e].apply(null,n)},emscripten_get_heap_max:function(){return 2147483648},emscripten_get_now:Yt,emscripten_memcpy_big:function(e,t,r){R.copyWithin(e,t,t+r)},emscripten_resize_heap:function(e){var t,r,n=R.length,i=2147483648;if((e>>>=0)>i)return!1;for(var a=1;a<=4;a*=2){var o=n*(1+.2/a);if(o=Math.min(o,e+100663296),qt(Math.min(i,(t=Math.max(e,o))+((r=65536)-t%r)%r)))return!0}return!1},emscripten_stack_snapshot:function(){var e=ge().split("\n");return"Error"==e[0]&&e.shift(),Jt(e),Kt.last_addr=Xt(e[3]),Kt.last_stack=e,Kt.last_addr},emscripten_stack_unwind_buffer:function(e,t,r){var n;Kt.last_addr==e?n=Kt.last_stack:("Error"==(n=ge().split("\n"))[0]&&n.shift(),Jt(n));for(var i=3;n[i]&&Xt(n[i])!=e;)++i;for(var a=0;a<r&&n[a+i];++a)M[t+4*a>>2]=Xt(n[a+i]);return a},environ_get:function(e,t){var r=0;return er().forEach((function(n,i){var a=t+r;N[e+4*i>>2]=a,function(e,t,r){for(var n=0;n<e.length;++n)P[t++>>0]=e.charCodeAt(n);r||(P[t>>0]=0)}(n,a),r+=n.length+1})),0},environ_sizes_get:function(e,t){var r=er();N[e>>2]=r.length;var n=0;return r.forEach((function(e){n+=e.length+1})),N[t>>2]=n,0},exit:function(e){!function(e,t){!function(e){m(e,new br(e))}(e)}(e)},fd_close:function(e){try{var t=Te.getStreamFromFD(e);return Ae.close(t),0}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return e.errno}},fd_read:function(e,t,r,n){try{var i=function(e,t,r,n){for(var i=0,a=0;a<r;a++){var o=N[t>>2],s=N[t+4>>2];t+=8;var u=Ae.read(e,P,o,s,n);if(u<0)return-1;if(i+=u,u<s)break}return i}(Te.getStreamFromFD(e),t,r);return M[n>>2]=i,0}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return e.errno}},fd_seek:function(e,t,r,n,i){try{var a=function(e,t){return t+2097152>>>0<4194305-!!e?(e>>>0)+4294967296*t:NaN}(t,r);if(isNaN(a))return 61;var o=Te.getStreamFromFD(e);return Ae.llseek(o,a,n),de=[o.position>>>0,(fe=o.position,+Math.abs(fe)>=1?fe>0?(0|Math.min(+Math.floor(fe/4294967296),4294967295))>>>0:~~+Math.ceil((fe-+(~~fe>>>0))/4294967296)>>>0:0)],M[i>>2]=de[0],M[i+4>>2]=de[1],o.getdents&&0===a&&0===n&&(o.getdents=null),0}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return e.errno}},fd_write:function(e,t,r,n){try{var i=function(e,t,r,n){for(var i=0,a=0;a<r;a++){var o=N[t>>2],s=N[t+4>>2];t+=8;var u=Ae.write(e,P,o,s,n);if(u<0)return-1;i+=u}return i}(Te.getStreamFromFD(e),t,r);return N[n>>2]=i,0}catch(e){if("undefined"==typeof Ae||!(e instanceof Ae.ErrnoError))throw e;return e.errno}},getTempRet0:function(){return k},getentropy:function e(t,r){e.randomDevice||(e.randomDevice=Ee());for(var n=0;n<r;n++)P[t+n>>0]=e.randomDevice();return 0},invoke_ii:function(e,t){var r=_r();try{return _e(e)(t)}catch(e){if(gr(r),e!==e+0)throw e;mr(1,0)}},invoke_iii:function(e,t,r){var n=_r();try{return _e(e)(t,r)}catch(e){if(gr(n),e!==e+0)throw e;mr(1,0)}},invoke_iiii:function(e,t,r,n){var i=_r();try{return _e(e)(t,r,n)}catch(e){if(gr(i),e!==e+0)throw e;mr(1,0)}},invoke_iiiii:function(e,t,r,n,i){var a=_r();try{return _e(e)(t,r,n,i)}catch(e){if(gr(a),e!==e+0)throw e;mr(1,0)}},invoke_iiiiii:function(e,t,r,n,i,a){var o=_r();try{return _e(e)(t,r,n,i,a)}catch(e){if(gr(o),e!==e+0)throw e;mr(1,0)}},invoke_iiiiiii:function(e,t,r,n,i,a,o){var s=_r();try{return _e(e)(t,r,n,i,a,o)}catch(e){if(gr(s),e!==e+0)throw e;mr(1,0)}},invoke_v:function(e){var t=_r();try{_e(e)()}catch(e){if(gr(t),e!==e+0)throw e;mr(1,0)}},invoke_vi:function(e,t){var r=_r();try{_e(e)(t)}catch(e){if(gr(r),e!==e+0)throw e;mr(1,0)}},invoke_vii:function(e,t,r){var n=_r();try{_e(e)(t,r)}catch(e){if(gr(n),e!==e+0)throw e;mr(1,0)}},invoke_viii:function(e,t,r,n){var i=_r();try{_e(e)(t,r,n)}catch(e){if(gr(i),e!==e+0)throw e;mr(1,0)}},invoke_viiii:function(e,t,r,n,i){var a=_r();try{_e(e)(t,r,n,i)}catch(e){if(gr(a),e!==e+0)throw e;mr(1,0)}},invoke_viiiii:function(e,t,r,n,i,a){var o=_r();try{_e(e)(t,r,n,i,a)}catch(e){if(gr(o),e!==e+0)throw e;mr(1,0)}},llvm_eh_typeid_for:function(e){return e},setTempRet0:function(e){E(e)},strftime:ir,strftime_l:function(e,t,r,n){return ir(e,t,r,n)}};!function(){var e={env:lr,wasi_snapshot_preview1:lr};function t(e,t){var r=e.exports;i.asm=r,X((S=i.asm.memory).buffer),K=i.asm.__indirect_function_table,function(e){Q.unshift(e)}(i.asm.__wasm_call_ctors),ie()}function r(e){t(e.instance)}function a(t){return function(){if(_||g){if("function"==typeof fetch&&!le(oe))return fetch(oe,i.fetchSettings||{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+oe+"'";return e.arrayBuffer()})).catch((function(){return ce(oe)}));if(u)return new Promise((function(e,t){u(oe,(function(t){e(new Uint8Array(t))}),t)}))}return Promise.resolve().then((function(){return ce(oe)}))}().then((function(t){return WebAssembly.instantiate(t,e)})).then((function(e){return e})).then(t,(function(e){b("failed to asynchronously prepare wasm: "+e),ae(e)}))}if(ne(),i.instantiateWasm)try{return i.instantiateWasm(e,t)}catch(e){return b("Module.instantiateWasm callback failed with error: "+e),!1}("function"!=typeof WebAssembly.instantiateStreaming||ue(oe)||le(oe)||v||"function"!=typeof fetch?a(r):fetch(oe,i.fetchSettings||{credentials:"same-origin"}).then((function(t){return WebAssembly.instantiateStreaming(t,e).then(r,(function(e){return b("wasm streaming compile failed: "+e),b("falling back to ArrayBuffer instantiation"),a(r)}))}))).catch(n)}(),i.___wasm_call_ctors=function(){return(i.___wasm_call_ctors=i.asm.__wasm_call_ctors).apply(null,arguments)};var cr=i._malloc=function(){return(cr=i._malloc=i.asm.malloc).apply(null,arguments)},fr=i._free=function(){return(fr=i._free=i.asm.free).apply(null,arguments)},dr=i.___errno_location=function(){return(dr=i.___errno_location=i.asm.__errno_location).apply(null,arguments)},hr=i.___getTypeName=function(){return(hr=i.___getTypeName=i.asm.__getTypeName).apply(null,arguments)};i.___embind_register_native_and_builtin_types=function(){return(i.___embind_register_native_and_builtin_types=i.asm.__embind_register_native_and_builtin_types).apply(null,arguments)};var pr=i._emscripten_builtin_memalign=function(){return(pr=i._emscripten_builtin_memalign=i.asm.emscripten_builtin_memalign).apply(null,arguments)},mr=i._setThrew=function(){return(mr=i._setThrew=i.asm.setThrew).apply(null,arguments)},_r=i.stackSave=function(){return(_r=i.stackSave=i.asm.stackSave).apply(null,arguments)},gr=i.stackRestore=function(){return(gr=i.stackRestore=i.asm.stackRestore).apply(null,arguments)};i.stackAlloc=function(){return(i.stackAlloc=i.asm.stackAlloc).apply(null,arguments)},i.___cxa_demangle=function(){return(i.___cxa_demangle=i.asm.__cxa_demangle).apply(null,arguments)};var vr,yr=i.___cxa_can_catch=function(){return(yr=i.___cxa_can_catch=i.asm.__cxa_can_catch).apply(null,arguments)},wr=i.___cxa_is_pointer_type=function(){return(wr=i.___cxa_is_pointer_type=i.asm.__cxa_is_pointer_type).apply(null,arguments)};function br(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function kr(e){te>0||(pe(J),te>0)||vr||(vr=!0,i.calledRun=!0,!x&&(!i.noFSInit&&!Ae.init.initialized&&Ae.init(),Ae.ignorePermissions=!1,pe(Q),r(i),i.onRuntimeInitialized&&i.onRuntimeInitialized(),pe(ee)))}i.dynCall_viijjii=function(){return(i.dynCall_viijjii=i.asm.dynCall_viijjii).apply(null,arguments)},i.dynCall_ji=function(){return(i.dynCall_ji=i.asm.dynCall_ji).apply(null,arguments)},i.dynCall_viiji=function(){return(i.dynCall_viiji=i.asm.dynCall_viiji).apply(null,arguments)},i.dynCall_viiiji=function(){return(i.dynCall_viiiji=i.asm.dynCall_viiiji).apply(null,arguments)},i.dynCall_viijii=function(){return(i.dynCall_viijii=i.asm.dynCall_viijii).apply(null,arguments)},i.dynCall_iij=function(){return(i.dynCall_iij=i.asm.dynCall_iij).apply(null,arguments)},i.dynCall_vij=function(){return(i.dynCall_vij=i.asm.dynCall_vij).apply(null,arguments)},i.dynCall_viji=function(){return(i.dynCall_viji=i.asm.dynCall_viji).apply(null,arguments)},i.dynCall_jii=function(){return(i.dynCall_jii=i.asm.dynCall_jii).apply(null,arguments)},i.dynCall_vj=function(){return(i.dynCall_vj=i.asm.dynCall_vj).apply(null,arguments)},i.dynCall_viij=function(){return(i.dynCall_viij=i.asm.dynCall_viij).apply(null,arguments)},i.dynCall_jiji=function(){return(i.dynCall_jiji=i.asm.dynCall_jiji).apply(null,arguments)},i.dynCall_iijjiiii=function(){return(i.dynCall_iijjiiii=i.asm.dynCall_iijjiiii).apply(null,arguments)},i.dynCall_iiiiij=function(){return(i.dynCall_iiiiij=i.asm.dynCall_iiiiij).apply(null,arguments)},i.dynCall_iiiiijj=function(){return(i.dynCall_iiiiijj=i.asm.dynCall_iiiiijj).apply(null,arguments)},i.dynCall_iiiiiijj=function(){return(i.dynCall_iiiiiijj=i.asm.dynCall_iiiiiijj).apply(null,arguments)},i.FS=Ae,re=function e(){vr||kr(),vr||(re=e)},i.run=kr,kr();let Er="NUMERICAL",Sr="CATEGORICAL",xr="CATEGORICAL_SET";function Cr(e,t,r){let n=[];for(let i of e){if(!r.includes(i.type))continue;let e=-1;for(let r of t)if(i.specIdx==r.specIdx){e=r.internalIdx;break}n.push({specIdx:i.specIdx,internalIdx:e})}return n.sort(((e,t)=>e.specIdx<t.specIdx?-1:1)),Array.from({length:n.length}).map(((e,t)=>n[t].internalIdx))}function Fr(e){return Array.from({length:e.size()}).map(((t,r)=>e.get(r)))}function Ar(e){let t=i.CreateVectorString(e.length);for(let r of e)t.push_back(r);return t}function Tr(e){return Array.from({length:e.size()}).map(((t,r)=>Fr(e.get(r))))}class Dr{constructor(e,t){this.internalModel=e,this.createdTFDFSignature=t;let r=this.internalModel.getInputFeatures();this.inputFeatures=Array.from({length:r.size()}).map(((e,t)=>r.get(t))),this.numericalFeaturesIndex=null,this.booleanFeaturesIndex=null,this.categoricalIntFeaturesIndex=null,this.categoricalSetIntFeaturesIndex=null,this.createdTFDFSignature&&this.createdTFDFSignature_()}createdTFDFSignature_(){let e=this.internalModel.getProtoInputFeatures(),t=Fr(e);e.delete(),this.numericalFeaturesIndex=Cr(t,this.inputFeatures,["NUMERICAL","DISCRETIZED_NUMERICAL"]),this.booleanFeaturesIndex=Cr(t,this.inputFeatures,["BOOLEAN"]),this.categoricalIntFeaturesIndex=Cr(t,this.inputFeatures,["CATEGORICAL"]),this.categoricalSetIntFeaturesIndex=Cr(t,this.inputFeatures,["CATEGORICAL_SET"])}getInputFeatures(){return this.inputFeatures}predict(e){if("object"!=typeof e)throw new Error("argument should be an array or an object");let t;for(let r of Object.values(e)){if(!Array.isArray(r))throw new Error("features should be arrays");if(void 0===t)t=r.length;else if(t!==r.length)throw new Error("features have a different number of values")}if(void 0===t)throw new Error("not features");this.internalModel.newBatchOfExamples(t);for(let t of this.inputFeatures){let r=e[t.name];if(t.type===Er)for(let[e,n]of r.entries())null!==n&&this.internalModel.setNumerical(e,t.internalIdx,n);else if(t.type===Sr)for(let[e,n]of r.entries())null!==n&&("string"==typeof n?this.internalModel.setCategoricalString(e,t.internalIdx,n):this.internalModel.setCategoricalInt(e,t.internalIdx,n));else{if(t.type!==xr)throw new Error(`Non supported feature type ${t}`);for(let[e,n]of r.entries()){if(null===n)continue;let r=Ar(n);this.internalModel.setCategoricalSetString(e,t.internalIdx,r),r.delete()}}}let r=this.internalModel.predict(),n=Fr(r);return r.delete(),n}predictTFDFSignature(e){if(!this.createdTFDFSignature)throw new Error("Model not loaded with options.createdTFDFSignature=true");let t=0;if(0!=e.numericalFeatures.length){if(0!=t&&t!=e.numericalFeatures.length)throw new Error("features have a different number of values");if(this.numericalFeaturesIndex.length!=e.numericalFeatures[0].length)throw new Error("Unexpected numerical input feature shape");t=e.numericalFeatures.length}if(0!=e.booleanFeatures.length){if(0!=t&&t!=e.booleanFeatures.length)throw new Error("features have a different number of values");if(this.booleanFeaturesIndex.length!=e.booleanFeatures[0].length)throw new Error("Unexpected boolean input feature shape");t=e.booleanFeatures.length}if(0!=e.categoricalIntFeatures.length){if(0!=t&&t!=e.categoricalIntFeatures.length)throw new Error("features have a different number of values");if(this.categoricalIntFeaturesIndex.length!=e.categoricalIntFeatures[0].length)throw new Error("Unexpected categorical int input feature shape");t=e.categoricalIntFeatures.length}if(e.categoricalSetIntFeaturesRowSplitsDim2.length>1){if(null==this.categoricalSetIntFeaturesIndex.length||this.categoricalSetIntFeaturesIndex.length<=0)throw new Error("Invalid categoricalSetIntFeaturesIndex");let r=e.categoricalSetIntFeaturesRowSplitsDim2[e.categoricalSetIntFeaturesRowSplitsDim2.length-1]/this.categoricalSetIntFeaturesIndex.length;if(0!=t&&t!=r)throw new Error("Invalid categorical-set feature shape");t=r}this.internalModel.newBatchOfExamples(t);for(let r=0;r<this.numericalFeaturesIndex.length;r++){let n=this.numericalFeaturesIndex[r];if(-1!=n)for(let i=0;i<t;i++){let t=e.numericalFeatures[i][r];isNaN(t)||this.internalModel.setNumerical(i,n,t)}}for(let r=0;r<this.booleanFeaturesIndex.length;r++){let n=this.booleanFeaturesIndex[r];if(-1!=n)for(let i=0;i<t;i++){let t=e.booleanFeatures[i][r];isNaN(t)||this.internalModel.setBoolean(i,n,t)}}for(let r=0;r<this.categoricalIntFeaturesIndex.length;r++){let n=this.categoricalIntFeaturesIndex[r];if(-1!=n)for(let i=0;i<t;i++){let t=e.categoricalIntFeatures[i][r];t<0||this.internalModel.setCategoricalInt(i,n,t)}}for(let r=0;r<this.categoricalSetIntFeaturesIndex.length;r++){let n=this.categoricalSetIntFeaturesIndex[r];if(-1!=n)for(let a=0;a<t;a++){let t=a*this.categoricalSetIntFeaturesIndex.length+r,o=e.categoricalSetIntFeaturesRowSplitsDim1[t],s=e.categoricalSetIntFeaturesRowSplitsDim1[t+1],u=i.CreateVectorInt(s-o);if(!(s>o&&-1==e.categoricalSetIntFeaturesValues[o])){for(let t=o;t<s;t++)u.push_back(e.categoricalSetIntFeaturesValues[t]);this.internalModel.setCategoricalSetInt(a,n,u),u.delete()}}}let r=this.internalModel.predictTFDFSignature(e.denseOutputDim),n=Fr(r.denseColRepresentation);return{densePredictions:Tr(r.densePredictions),denseColRepresentation:n}}unload(){null!==this.internalModel&&(this.internalModel.delete(),this.internalModel=null)}}return i.loadModelFromZipBlob=function(e,t){return o(this,null,(function*(){(t=void 0!==t?Object.assign({},t):{}).createdTFDFSignature=void 0!==t.createdTFDFSignature&&t.createdTFDFSignature,t.file_prefix=void 0===t.file_prefix?"__NO_PREFIX__":t.file_prefix;let r="model_"+Math.floor(4294967295*Math.random());i.FS.mkdirTree(r);let n=yield s().loadAsync(e),a=[];n.forEach(((e,t)=>{a.push(t.async("blob").then((e=>function(e){return e.arrayBuffer?e.arrayBuffer():new Promise((t=>{let r=new FileReader;r.readAsArrayBuffer(e),r.onload=function(e){t(e.target.result)}}))}(e))).then((t=>{if(e.endsWith("/"))throw new Error("The model zipfile is expected to be a flat zip file, but it contains a sub-directory. If zipping the model manually with the `zip` tool, make sure to use the `-j` option.");i.FS.writeFile(r+"/"+e,new Uint8Array(t),{encoding:"binary"})})))})),yield Promise.all(a);let o=i.InternalLoadModel(r,t.createdTFDFSignature,t.file_prefix);for(let e of i.FS.readdir(r))"."===e||".."===e||i.FS.unlink(r+"/"+e);if(i.FS.rmdir(r),null==o)throw new Error("Cannot parse model");return new Dr(o,t.createdTFDFSignature)}))},i.loadModelFromUrl=function(e,t){return o(this,null,(function*(){let r=yield fetch(e).then((e=>e.blob()));return i.loadModelFromZipBlob(r,t)}))},t.ready}})();e.exports=u}(a);const o=a.exports;let s=null,u=null;var l=()=>(null==s&&(s=o({locateFile:u})),s);let c,f;function d(e){c=e}t.registerOp("SimpleMLCreateModelResource",(()=>[r.scalar(0)])),t.registerOp("SimpleMLLoadModelFromPathWithHandle",(async e=>{const t=await l(),n={createdTFDFSignature:!0};return f="string"==typeof c?await t.loadModelFromUrl(c,n):await t.loadModelFromZipBlob(c,n),[r.scalar(0)]})),t.registerOp("SimpleMLInferenceOpWithHandle",(async e=>{const t=e.inputs.map((e=>e.arraySync())),n=e.attrs.dense_output_dim,i={numericalFeatures:t[0],booleanFeatures:t[1],categoricalIntFeatures:t[2],categoricalSetIntFeaturesValues:t[3],categoricalSetIntFeaturesRowSplitsDim1:t[4],categoricalSetIntFeaturesRowSplitsDim2:t[5],denseOutputDim:n},a=f.predictTFDFSignature(i);return[r.tensor2d(a.densePredictions),r.tensor1d(a.denseColRepresentation,"string")]}));class h{constructor(e,t){this.graphModel=e,this.assets=t}get inputs(){return this.graphModel.inputs}get outputs(){return this.graphModel.outputs}predict(e,t){return d(this.assets),this.graphModel.predict(e,t)}execute(e,t){return d(this.assets),this.graphModel.execute(e,t)}executeAsync(e,t){return d(this.assets),this.graphModel.executeAsync(e,t)}dispose(){this.graphModel.dispose()}}e.TFDFModel=h,e.loadTFDFModel=async function(e,n={},i=r.io){if(null==e)throw new Error("modelUrl in loadTFDFModel() cannot be null. Please provide a url or an TFDFLoadHandler that loads the model");let a,o;"string"==typeof e?(a=e,o=new URL("assets.zip",e).href):(a={load:e.loadModel},o=await e.loadAssets());const s=await t.loadGraphModel(a,n,i);return new h(s,o)},e.loadTFDFModelSync=function(e){if(null==e)throw new Error("modelUrl in loadTFDFModelSync() cannot be null. Please provide a url or an TFDFLoadHandlerSync that loads the model");if(!e.loadModel)throw new Error(`modelUrl IO Handler ${e} has no loadModel function`);if(!e.loadAssets)throw new Error(`modelUrl IO Handler ${e} has no loadAssets function`);const r={load:e.loadModel},n=e.loadAssets(),i=t.loadGraphModelSync(r);return new h(i,n)},e.setLocateFile=e=>{u=e}}));
//# sourceMappingURL=tf-tfdf.es2017.min.js.map
